2008-03-03  Jan Schmidt  <jan.schmidt@sun.com>

	* gst/matroska/ebml-read.c:
	Use GINT64 formatting constants from GLIB.

	* gst/matroska/matroska-demux.c:
	Add some guards to avoid a possible division by 0 and crashing
	with NULL events on some systems.
	Use gst_gdouble_to_guint64 somewhere instead of an implicit
	conversion. 

	* gst/matroska/matroska-mux.c:
	Check for invalid timestamps in a bunch of places to avoid
	writing bogus durations into the output file.
	Fix some double<->gint64 conversions that weren't using
	gst_guint64_to_gdouble

2008-03-03  Peter Kjellerstedt  <pkj@axis.com>

	* configure.ac:
	Move the checks for bison, flex and as to the program section and the
	check for gcc inline asm to the compiler characteristics section.

2008-03-03  Peter Kjellerstedt  <pkj@axis.com>

	* configure.ac:
	Use AG_GST_CHECK_PLUGIN and AG_GST_DISABLE_PLUGIN to simplify which
	plug-ins are included/excluded. (#498222)

2008-02-29  Michael Smith <msmith@fluendo.com>

	* gst/videomixer/videomixer.c: (gst_videomixer_blend_buffers):
	  Don't call gst_object_sync_values() unless we have a valid timestamp.

2008-02-28  David Schleef  <ds@schleef.org>

	* gst/matroska/matroska-demux.c:
	* gst/matroska/matroska-ids.h:
	* gst/matroska/matroska-mux.c:
	  Fix Dirac mapping.  I had previously added a VfW-type
	  mapping, but it looks like Dirac will get a native Matroska
	  mapping, and this is the most likely method.

2008-02-28  David Schleef  <ds@schleef.org>

	* gst/avi/gstavimux.c: Add Dirac encoding

2008-02-28  Wim Taymans  <wim.taymans@collabora.co.uk>

	Patch by: Peter Kjellerstedt <pkj at axis com>

	* gst/udp/gstudpsrc.c: (gst_udpsrc_init), (gst_udpsrc_create),
	(gst_udpsrc_get_property), (gst_udpsrc_start), (gst_udpsrc_unlock),
	(gst_udpsrc_unlock_stop), (gst_udpsrc_stop):
	* gst/udp/gstudpsrc.h:
	Port to GstPoll. See #505417.

2008-02-28  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/law/mulaw-decode.c: (gst_mulawdec_chain):
	Return GST_FLOW_NOT_NEGOTIATED when the caps are not set
	yet on the srcpad. We need rate and channels before we
	can do any processing. Fixes bug #519088.

2008-02-26  Jan Schmidt  <jan.schmidt@sun.com>

	* configure.ac:
	Detect and indicate if GCC inline assembly syntax is
	available.

	* gst/goom/Makefile.am:
	* gst/goom/convolve_fx.c:
	* gst/goom/flying_stars_fx.c:
	* gst/goom/goom_config.h:
	* gst/goom/goom_core.c:
	* gst/goom/goomsl.c:
	* gst/goom/ifs.c:
	* gst/goom/mmx.c:
	* gst/goom/plugin_info.c:
	* gst/goom/xmmx.c:
	Fix various GCC-isms, and only build the inline assembly
	with compilers that support GCC inline assembly.

	Fix a couple of other warnings shown with Forte.

2008-02-25  Stefan Kost  <ensonic@users.sf.net>

	* gst/goom/xmmx.c:
	  Use 'emms' instead of 'femms' to not crash on cpus that do not
	  implement this 3dnow specific instruction.

2008-02-25  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/goom/plugin_info.c: (setOptimizedMethods):
	Use extended MMX for draw_line() too if available, not only
	normal MMX.

2008-02-25  Sebastian Dröge  <slomo@circular-chaos.org>

	* ext/jpeg/gstjpeg.c: (plugin_init):
	Remove (commented out) smoke typefinder. This is in base now.

2008-02-23  Jan Schmidt  <jan.schmidt@sun.com>

	* gst/goom2k1/Makefile.am:
	* gst/goom2k1/gstgoom.c:

	Rename the installed library, and don't register the same 
	GType name as the new goom.

2008-02-23  Tim-Philipp Müller  <tim at centricular dot net>

	* configure.ac:
	* ext/taglib/Makefile.am:
	  Check for and define ERROR_CXXFLAGS and use them when building
	  C++ code (#516509).

2008-02-23  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/goom/gstgoom.c: (goom_debug), (plugin_init):
	* gst/goom/plugin_info.c: (goom_debug), (GST_CAT_DEFAULT),
	  (setOptimizedMethods):
	  Call oil_init(), otherwise oil_get_cpu_flags() won't return
	  anything useful. Export goom debug category so we can get
	  rid of the VERBOSE define and the printfs.

2008-02-23  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/goom/goomsl_heap.c: (align_it):
	* gst/goom/plugin_info.c: (setOptimizedMethods):
	  Compile fixes for x86-64.

2008-02-23  Bastien Nocera  <hadess@hadess.net>

	* gst/goom/Makefile.am: Don't compile lex or yacc outputs
	with warnings, but add other CFLAGS

	* gst/goom/goomsl.c (gsl_instr_set_namespace),
	(gsl_instr_add_param), (iflow_execute), (gsl_enternamespace),
	(calculate_labels), (gsl_read_file):
	* gst/goom/goomsl_lex.l:
	* gst/goom/goomsl_yacc.y:
	* gst/goom/plugin_info.c: Remove a few live printf, and
	fprintf, replace exit() calls with g_assert_not_reached()
	if it not optimal for a library

2008-02-23  Bastien Nocera  <hadess@hadess.net>

	* gst/goom/Makefile.am: Remove the warnings being disabled,
	fix linkage on x86, spotted by Sebastian Dröge
	<slomo@circular-chaos.org>

	* gst/goom/convolve_fx.c (convolve_init),
	(create_output_with_brightness), (convolve_apply):
	* gst/goom/filters.c (zoomFilterVisualFXWrapper_create):
	* gst/goom/goomsl.c:
	* gst/goom/ifs.c (ifs_update), (ifs_visualfx_create):
	* gst/goom/plugin_info.c:
	* gst/goom/tentacle3d.c (tentacle_fx_create):
	Fix warnings, and disable the motifs in the convolve_fx
	plugin (they were causing warnings, and they were just
	"Goom" in funny letterring)

2008-02-23  Bastien Nocera  <hadess@hadess.net>

	* configure.ac: Add checks for Flex/Yacc/Bison and other
	furry animals, for the new goom 2k4 based plugin

	* gst/goom/*: Update to use goom 2k4, uses liboil to detect
	CPU optimisations (not working yet), move the old plugin to...

	* gst/goom2k1/*: ... here, in case somebody is sick enough

	Fixes #515073

2008-02-22  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_setup_streams):
	Post the server response code in an error message instead of a generic
	'error' message. Fixes #517237.

2008-02-22  Sebastian Dröge  <slomo@circular-chaos.org>

	* tests/check/Makefile.am:
	Ignore gconfaudiosrc for the states unit test too. It will fallback
	to alsasrc if the gconf settings can't be read and not everybody has
	alsa.

2008-02-22  Sebastian Dröge  <slomo@circular-chaos.org>

	* ext/wavpack/gstwavpackparse.c: (gst_wavpack_parse_src_query),
	(gst_wavpack_parse_create_src_pad):
	* ext/wavpack/gstwavpackparse.h:
	Always report the duration if we know it in push mode and don't
	return 0 just to make totem believe we can't seek in push mode.
	Newer totem version use the SEEKING query which properly reports
	if we can seek or not.

2008-02-22  Sebastian Dröge  <slomo@circular-chaos.org>

	Patch by: Jens Granseuer <jensgr at gmx dot net>

	* tests/examples/equalizer/demo.c: (main):
	C89 fix, moving variable declarations to the beginning of
	the block. Fixes bug #517933.

2008-02-21  Jan Schmidt  <jan.schmidt@sun.com>

	* configure.ac:
	Back to development...

=== release 0.10.7 ===

2008-02-20  Jan Schmidt <jan.schmidt@sun.com>

	* configure.ac:
	  releasing 0.10.7, "Red Door Black"

2008-02-19  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/alpha/Makefile.am:
	Link alpha plugin with libgstbase. Fixes bug #517386.

2008-02-18  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_create_stream):
	Init values to -1 instead of the default 0 value.
	Fixes #516524.

2008-02-14  Stefan Kost  <ensonic@users.sf.net>

	* tests/examples/spectrum/spectrum-example.c:
	Add missing include to fix compilation when libxml usage is disabled.
	Fixes: #516371

2008-02-12  Jan Schmidt  <jan.schmidt@sun.com>

	patch by:  Wim Taymans  <wim.taymans@collabora.co.uk>
	fixes: #514889

	* gst/rtp/gstrtph264pay.c:
	* gst/rtp/gstrtpmp4gdepay.c:
	* gst/rtp/gstrtpmp4gpay.c:
	* gst/rtp/gstrtpmp4gpay.h:
	* gst/rtp/gstrtptheorapay.c:
	* gst/rtp/gstrtpvorbispay.c:

	Fix various leaks shown up in valgrind
	- free sprops and buffer in error cases in H264 payloader
	- fix leak in mp4g depayloader when construction the caps
	- don't leak config string in the mp4g payloader
	- don't leak buffers and headers in theora and vorbis payloaders

	* tests/check/elements/rtp-payloading.c:

	Fix the RTP data test
	- Actually send valid amr data to the payloader instead of 20
	zero-bytes
	- The mp4g payloader expects codec_data on the caps

2008-02-12  Sebastien Moutte  <sebastien@moutte.net>

	* win32/MANIFEST:
	Add libgstpng.dsp to MANIFEST.
	* win32/vs6/libgstaudiofx.dsp:
	Add new source files to VS project file.

2008-02-12  Jan Schmidt  <jan.schmidt@sun.com>

	* sys/ximage/gstximagesrc.c:
	Initialise variables when opening the X display rather
	than in _start(), as the display can be opened before that.

	Fixes: #515985

2008-02-12  Sebastian Dröge  <slomo@circular-chaos.org>

	* sys/directdraw/gstdirectdrawsink.c:
	(gst_ddrawsurface_class_init), (gst_ddrawsurface_finalize),
	(gst_directdraw_sink_finalize):
	Properly chain up finalize functions. Fixes bug #515980.

2008-02-12  Sebastian Dröge  <slomo@circular-chaos.org>

	* sys/v4l2/v4l2src_calls.c: (gst_v4l2_buffer_finalize),
	(gst_v4l2_buffer_class_init), (gst_v4l2_buffer_pool_finalize),
	(gst_v4l2_buffer_pool_class_init):
	Chain up the finalize functions. Fixes bug #515984.

2008-02-12  Jan Schmidt  <jan.schmidt@sun.com>

	* sys/ximage/ximageutil.c:
	Chain up in the finalize function for our custom
	buffer sub-class.
	Patch by: Sebastian Dröge  <slomo@circular-chaos.org>
	Fixes: #515706

2008-02-12  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/debug/efence.c: (gst_fenced_buffer_finalize),
	(gst_fenced_buffer_class_init):
	Properly chain up finalize method. Fixes bug #515979.

2008-02-12  Jan Schmidt  <jan.schmidt@sun.com>

	* sys/ximage/gstximagesrc.c:
	Free allocated Damage memory before closing our connection to the
	X server. Partially fixes: #515706

2008-02-12  Sebastian Dröge  <slomo@circular-chaos.org>

	* ext/jpeg/gstsmokeenc.c: (gst_smokeenc_chain):
	* tests/check/Makefile.am:
	* tests/check/gst-plugins-good.supp:
	Add a few libjpeg suppressions and initialize a variable to
	make smokeenc valgrind clean. Fixes bug #515701.

2008-02-11  Jan Schmidt  <jan.schmidt@sun.com>

	* gst/avi/gstavidemux.c:
	Revert patch which sends timestamps only on keyframes, as it
	breaks playback with current gst-ffmpeg.

	Fixes: #515562

2008-02-11  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/multifile/gstmultifilesrc.c: (gst_multi_file_src_create):
	* tests/check/elements/multifile.c: (GST_START_TEST):
	Close some memory leaks spotted by the unit test. Fixes bug #515697.

2008-02-11  Sebastian Dröge  <slomo@circular-chaos.org>

	* ext/gconf/gconf.c: (gst_gconf_render_bin_with_default):
	Use and unset the GError when pipeline creation fails instead of
	simply leaking it. Fixes bug #515704.

2008-02-10  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/audiofx/audioamplify.c:
	* gst/audiofx/audiochebband.c:
	* gst/audiofx/audiocheblimit.c:
	* gst/audiofx/audiodynamic.c:
	* gst/audiofx/audioinvert.c:
	* gst/audiofx/audiopanorama.c:
	* gst/audiofx/audiowsincband.c:
	* gst/audiofx/audiowsinclimit.c:
	Fix long description of audiofx elements. Fixes bug #515457.

2008-02-09  Jan Schmidt  <jan.schmidt@sun.com>

	* docs/plugins/Makefile.am:
	* gst/spectrum/gstspectrum.c:
	* tests/examples/spectrum/.cvsignore:
	* tests/examples/spectrum/Makefile.am:
	* tests/examples/spectrum/spectrum-example.c:

	Add a simple example application for the spectrum element, include it
	in the docs, and fix some documentation ambiguities.

	Fixes: #348085

2008-02-08  Jan Schmidt  <jan.schmidt@sun.com>

	* gst/equalizer/Makefile.am:
	* gst/spectrum/Makefile.am:
	Fix includes order

	* tests/check/Makefile.am:
	Exclude v4l2src from the states test - it takes too long to start.

	* tests/check/elements/spectrum.c:
	Make the test run properly with CK_FORK=no

2008-02-08 Christian Schaller <christian.schaller@collabora.co.uk>

	* gst/audiofix/Makefile.am: add missing header files 

2008-02-08  Julien Moutte  <julien@fluendo.com>

	* gst/matroska/matroska-demux.c:
	(gst_matroska_demux_parse_blockgroup_or_simpleblock): Flag
	keyframe and delta units correctly when dealign with a BlockGroup.
	Fixes: #514397

2008-02-08  Jan Schmidt  <jan.schmidt@sun.com>

	* tests/check/elements/.cvsignore:
	Spell the new tests correctly in .cvsignore

2008-02-08  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/multifile/gstmultifilesrc.c: (gst_multi_file_src_create):
	  Need to use gsize here for the size, fixes compiler warning.

	* tests/examples/equalizer/.cvsignore:
	* tests/examples/equalizer/Makefile.am:
	* tests/examples/spectrum/.cvsignore:
	* tests/examples/spectrum/Makefile.am:
	  Add missing files to fix the build.

2008-02-08  Jan Schmidt  <jan.schmidt@sun.com>

	* configure.ac:
	* docs/plugins/Makefile.am:
	* docs/plugins/gst-plugins-good-plugins-docs.sgml:
	* docs/plugins/gst-plugins-good-plugins-sections.txt:
	* docs/plugins/gst-plugins-good-plugins.args:
	* docs/plugins/gst-plugins-good-plugins.hierarchy:
	* docs/plugins/inspect/plugin-multifile.xml:
	* tests/check/Makefile.am:
	* tests/check/elements/.cvsignore:

	Move multifile plugin from -bad.
	Fixes: #490283

2008-02-08  Jan Schmidt  <jan.schmidt@sun.com>

	* configure.ac:
	* docs/plugins/Makefile.am:
	* docs/plugins/gst-plugins-good-plugins-docs.sgml:
	* docs/plugins/gst-plugins-good-plugins-sections.txt:
	* docs/plugins/gst-plugins-good-plugins.args:
	* docs/plugins/gst-plugins-good-plugins.hierarchy:
	* docs/plugins/inspect/plugin-spectrum.xml:
	* gst/spectrum/Makefile.am:
	* tests/check/Makefile.am:
	* tests/check/elements/.cvsignore:
	* tests/examples/Makefile.am:

	Move spectrum plugin from -bad.
	Move examples into tests/examples/spectrum.

2008-02-08  Jan Schmidt  <jan.schmidt@sun.com>

	* configure.ac:
	* docs/plugins/Makefile.am:
	* docs/plugins/gst-plugins-good-plugins-docs.sgml:
	* docs/plugins/gst-plugins-good-plugins-sections.txt:
	* docs/plugins/gst-plugins-good-plugins.args:
	* docs/plugins/gst-plugins-good-plugins.hierarchy:
	* docs/plugins/gst-plugins-good-plugins.interfaces:
	* docs/plugins/inspect/plugin-equalizer.xml:
	* gst/equalizer/Makefile.am:
	* tests/check/Makefile.am:
	* tests/examples/Makefile.am:
	Move the equalizer plugin across from -bad

	* tests/check/elements/.cvsignore:
	Add equalizer, audiosincwband and audiosincwlimit

	* tests/check/elements/equalizer.c:
	Fix compiler warnings

	Fixes: #415627

2008-02-07  Jan Schmidt  <jan.schmidt@sun.com>

	* configure.ac:
	Only build with DISABLE_DEPRECATED during the CVS cycle. Pre-releases
	are treated like releases and build without it.

2008-02-07  Jan Schmidt  <jan.schmidt@sun.com>

	* docs/plugins/Makefile.am:
	* docs/plugins/gst-plugins-good-plugins-docs.sgml:
	* docs/plugins/gst-plugins-good-plugins-sections.txt:
	* docs/plugins/gst-plugins-good-plugins.args:
	* docs/plugins/inspect/plugin-audiofx.xml:
	* gst/audiofx/Makefile.am:
	* gst/audiofx/audiofx.c:
	* gst/audiofx/audiowsincband.c:
	* gst/audiofx/audiowsincband.h:
	* gst/audiofx/audiowsinclimit.c:
	* gst/audiofx/audiowsinclimit.h:
	* tests/check/Makefile.am:
	* tests/check/elements/audiowsincband.c:
	* tests/check/elements/audiowsinclimit.c:

	Move the lpwsinc and bpwsinc elements from gst-plugins-bad into
	the audiofx plugin, and rename to audiowsinclimit and audiowsincband
	respectively.

	Fixes: #467666

2008-02-07  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/icydemux/gsticydemux.c: (gst_icydemux_chain):
	* tests/check/elements/icydemux.c:
	  Return GST_FLOW_NOT_NEGOTIATED if we get a buffer without
	  caps, and add a somewhat useful debug message. Plus test.

2008-02-07  Sebastien Moutte  <sebastien@moutte.net>

	* gst/rtsp/gstrtspsrc.c:
	Include unistd.h only if HAVE_UNISTD_H is defined
	* win32/common/config.h.in:
	* win32/common/config.h:
	Define socklen_t as it seems it's not defined in default 
	Visual Studio headers.
	* win32/vs6/libgstalpha.dsp:
	* win32/vs6/libgstapetag.dsp:
	* win32/vs6/libgstavi.dsp:
	* win32/vs6/libgstrtp.dsp:
	* win32/vs6/libgstrtsp.dsp:
	* win32/vs6/libgstvideomixer.dsp:
	Update project file dependencies and add new source files	

2008-02-07  Sebastian Dröge  <slomo@circular-chaos.org>

	Patch by: Bjarne Rosengren <bjarne at axis dot com>

	* gst/matroska/ebml-write.c: (gst_ebml_write_element_push):
	Don't leak buffers when we don't push them downstream.
	Fixes bug #514965.

2008-02-07  Tim-Philipp Müller  <tim at centricular dot net>

	* configure.ac:
	  Bump requirements to (good) released versions to avoid
	  confusion and make implicit core requirement explicit.

2008-02-06  Jan Schmidt  <jan.schmidt@sun.com>

	* docs/plugins/Makefile.am:
	* docs/plugins/gst-plugins-good-plugins-docs.sgml:
	* docs/plugins/gst-plugins-good-plugins-sections.txt:
	* docs/plugins/gst-plugins-good-plugins.args:
	* docs/plugins/inspect/plugin-audiofx.xml:
	* gst/audiofx/Makefile.am:
	* gst/audiofx/audiochebband.c:
	* gst/audiofx/audiochebband.h:
	* gst/audiofx/audiocheblimit.c:
	* gst/audiofx/audiocheblimit.h:
	* gst/audiofx/audiochebyshevfreqband.c:
	* gst/audiofx/audiochebyshevfreqband.h:
	* gst/audiofx/audiochebyshevfreqlimit.c:
	* gst/audiofx/audiochebyshevfreqlimit.h:
	* gst/audiofx/audiofx.c:
	* tests/check/Makefile.am:
	* tests/check/elements/.cvsignore:
	* tests/check/elements/audiochebband.c:
	* tests/check/elements/audiocheblimit.c:
	* tests/check/elements/audiochebyshevfreqband.c:
	* tests/check/elements/audiochebyshevfreqlimit.c:

	Rename audiochebyshevfreqband -> audiochebband and
	audiochebyshevfreqlimit -> audiocheblimit and do the requisite CVS
	surgery.

	Closes: #491811

2008-02-05  Wim Taymans  <wim.taymans@collabora.co.uk>

	Patch by: Orjan Friberg <orjanf at axis dot com>

	* gst/multipart/multipartmux.c: (gst_multipart_mux_collected):
	Fix caps memory leak. Fixes #514573.

2008-02-04  Edward Hervey  <edward.hervey@collabora.co.uk>

	* gst/avi/gstavidemux.c: (gst_avi_demux_parse_subindex):
	If there's no entries in the subindex, don't try to do anything stupid,
	just return.

2008-02-02  Tim-Philipp Müller  <tim at centricular dot net>

	Patch by: John Millikin <jmillikin at gmail dot com>

	* ext/flac/gstflacdec.c: (gst_flac_dec_scan_for_last_block),
	  (gst_flac_extract_picture_buffer), (gst_flac_dec_metadata_callback):
	  Fix extraction of picture blocks with newer libflac versions again:
	  FLAC__METADATA_TYPE_PICTURE is an enum, not a define (#513628).

2008-02-02  Tim-Philipp Müller  <tim at centricular dot net>

	* tests/check/Makefile.am:
	  Add rtp-payloading test to VALGRIND_TO_FIX.

	* tests/check/elements/rtp-payloading.c:
	  Add semicolons after GST_TEST_END so gst-indent gets the
	  formatting right; make test less verbose in general, but
	  more verbose in the error case (which should probably
	  make the test fail anyway).

2008-02-01  Thijs Vermeir  <thijsvermeir@gmail.com>

	* docs/plugins/Makefile.am:
	* docs/plugins/gst-plugins-good-plugins-docs.sgml:
	* docs/plugins/gst-plugins-good-plugins-sections.txt:
	* gst/avi/gstavisubtitle.c:
	Add documentation for avisubtitle and change class to
	Codec/Parser/Subtitle

2008-01-31  Jan Schmidt  <Jan.Schmidt@sun.com>

	* sys/v4l2/v4l2_calls.c: (gst_v4l2_fill_lists):
	Treat ENOTTY (driver does not implement ioctl) the same as
	EINVAL since it implies there are no available standards.

	* sys/v4l2/v4l2src_calls.c: (gst_v4l2src_probe_caps_for_format),
	(gst_v4l2src_get_nearest_size):
	Replace gst_v4l2src_get_size_limits with 2 calls to new function
	gst_v4l2src_get_nearest_size, and get it to use VIDIOC_S_FMT to
	probe if the driver does not support VIDIOC_TRY_FMT for whatever
	reason, and if we aren't yet actively capturing.

	* sys/v4l2/v4l2src_calls.h:
	Remove replaced function declaration.

2008-01-31  Jan Schmidt  <Jan.Schmidt@sun.com>

	* configure.ac:
	Bump plugins-base requirement to 0.10.16 for the gst_video_format_*
	API.

2008-01-31  Jan Schmidt  <jan.schmidt@sun.com>

	* configure.ac:
	Fix typo.

2008-01-30  Jan Schmidt  <jan.schmidt@sun.com>

	* gst/alpha/Makefile.am:
	* gst/alpha/gstalpha.c:

	Re-write the 'alpha' plugin to be BaseTransform based, simplifying
	some stuff, and making buffer-alloc and resizing work automatically.
	No longer crashes on odd frame widths and heights, although there
	seems to be a disagreement with ffmpegcolorspace about what size
	an AYUV frame with odd height should be.

2008-01-29  Wim Taymans  <wim.taymans@collabora.co.uk>

	Patch by: Alessandro Decina <alessandro at nnva dot org>

	* ext/libpng/gstpngenc.c: (user_write_data), (gst_pngenc_chain):
	* ext/libpng/gstpngenc.h:
	Preallocate the output buffer so that g_memdup() and
	gst_buffer_merge() aren't needed anymore. This greatly improves
	performances and fixes #512544.

2008-01-29  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst/avi/gstavidemux.c: (gst_avi_demux_process_next_entry),
	(gst_avi_demux_stream_data):
	GStreamer timestamps are PTS values while AVI only knows about DTS
	timestamps. Make sure we only copy the DTS as the buffer timestamp when
	we are dealing with a key frame.

2008-01-29  Stefan Kost  <ensonic@users.sf.net>

	* tests/check/Makefile.am:
	* tests/check/elements/.cvsignore:
	* tests/check/elements/rtp-payloading.c:
	  Add add testsuite for the rtp-payloader that tries simulating
	  dataflow. Needs more test data.

2008-01-29  Stefan Kost  <ensonic@users.sf.net>

	* tests/check/elements/alphacolor.c:
	  Remove two unused variables.

2008-01-28  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_parse_rtpinfo):
	  Use g_ascii_strtoll() instead of atoll, which is only
	  available in C99.

2008-01-25  Thijs Vermeir  <thijsvermeir@gmail.com>

	* gst/rtp/Makefile.am:
	* gst/rtp/gstrtp.c:
	* gst/rtp/gstrtpmpvpay.c:
	* gst/rtp/gstrtpmpvpay.h:
	Add MPEG2 video payloader

2008-01-23  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/level/gstlevel.c:
	Use #include <math.h> instead of #include "math.h".

2008-01-21  Jan Schmidt  <Jan.Schmidt@sun.com>

	* tests/check/Makefile.am:
	Fix up some CFLAGS sets.
	Don't include gconfvideosrc in the states test.

	* tests/check/elements/autodetect.c: (GST_START_TEST):
	Add some error strings to fail_unless arguments to fix some weird
	compiler errors on Solaris.

2008-01-21  Jan Schmidt  <Jan.Schmidt@sun.com>

	* configure.ac:
	Detect video4linux headers on Solaris too.
	* sys/v4l2/gstv4l2colorbalance.h:
	* sys/v4l2/gstv4l2object.h:
	* sys/v4l2/v4l2_calls.c:
	* sys/v4l2/v4l2src_calls.c: (gst_v4l2_buffer_finalize),
	(gst_v4l2_buffer_new):

	Make v4l2 build on Solaris.
	Patch by: Brian Cameron  <brian.cameron at sun dot com>
	Fixes: #510505

2008-01-21  Stefan Kost  <ensonic@users.sf.net>

	* docs/plugins/gst-plugins-good-plugins-docs.sgml:
	  Update list from (still local) scanning script.

2008-01-19  Sebastian Dröge  <slomo@circular-chaos.org>

	Based on a patch by:
	    Victor STINNER <victor dot stinner at haypocalc dot com>

	* gst/wavparse/gstwavparse.c: (gst_wavparse_stream_headers):
	Set variable to NULL after freeing it to prevent double frees
	or make failures by another use of it afterwards more obvious
	and fix use of it after the freeing. Fixes bug #510592.

2008-01-18  Thijs Vermeir  <thijsvermeir@gmail.com>

	* gst/udp/gstmultiudpsink.c:
	use GST_WARNING for logging

2008-01-18  Thijs Vermeir  <thijsvermeir@gmail.com>

	* gst/udp/gstmultiudpsink.c:
	Don't try to leave a multicast group with an invalid socket

2008-01-17  Tim-Philipp Müller  <tim at centricular dot net>

	* ext/flac/gstflacdec.c:
	  Fix compilation against flac 1.1.2 (as on debian stable), where
	  the picture metadata defines and structs don't exist yet.
	  Fixes #509301.

2008-01-17  Wim Taymans  <wim.taymans@collabora.co.uk>

	Patch by: Olivier Crete <tester at tester dot ca>

	* gst/udp/gstmultiudpsink.c: (gst_multiudpsink_class_init),
	(gst_multiudpsink_init), (gst_multiudpsink_set_property),
	(gst_multiudpsink_get_property), (gst_multiudpsink_init_send),
	(gst_multiudpsink_add_internal), (gst_multiudpsink_remove):
	* gst/udp/gstmultiudpsink.h:
	Add property to automatically join a multicast group or not. This can be
	useful when sharing a socket between multiple elements.
	Fixes #509531.

2008-01-16  Stefan Kost  <ensonic@users.sf.net>

	* gst/videomixer/Makefile.am:
	  Add controller flags.

2008-01-16  Stefan Kost  <ensonic@users.sf.net>

	* gst/videomixer/videomixer.c:
	  Also commit the missing gst_object_sync_values().

2008-01-16  Stefan Kost  <ensonic@users.sf.net>

	* docs/plugins/Makefile.am:
	  Remove duplicate entry.

2008-01-15  Stefan Kost  <ensonic@users.sf.net>

	* docs/plugins/Makefile.am:
	* docs/plugins/gst-plugins-good-plugins-docs.sgml:
	* docs/plugins/gst-plugins-good-plugins-sections.txt:
	* docs/plugins/inspect/plugin-gamma.xml:
	* docs/plugins/inspect/plugin-monoscope.xml:
	* docs/plugins/inspect/plugin-video4linux2.xml:
	  Add 3 more plugins to docs.

2008-01-15  Stefan Kost  <ensonic@users.sf.net>

	* docs/plugins/gst-plugins-good-plugins-sections.txt:
	* sys/osxvideo/osxvideosink.h:
	  Revert previous change caused by a file that got stuck on an old
	  revision.

2008-01-15  Stefan Kost  <ensonic@users.sf.net>

	* docs/plugins/gst-plugins-good-plugins-sections.txt:
	* gst/multipart/Makefile.am:
	* gst/multipart/multipartdemux.c:
	* gst/multipart/multipartdemux.h:
	* gst/multipart/multipartmux.c:
	* gst/multipart/multipartmux.h:
	  Re-add multipartdemux to the docs. Last round of section cleanup.

2008-01-15  Stefan Kost  <ensonic@users.sf.net>

	* docs/plugins/Makefile.am:
	* docs/plugins/gst-plugins-good-plugins-sections.txt:
	* sys/osxaudio/gstosxaudiosink.h:
	* sys/osxvideo/osxvideosink.h:
	  Managed to resolve most unused declarations. Filed a bug for one left.	  

2008-01-15  Stefan Kost  <ensonic@users.sf.net>

	* docs/plugins/gst-plugins-good-plugins-sections.txt:
	  Cleanup section file.

2008-01-15  Stefan Kost  <ensonic@users.sf.net>

	* docs/plugins/Makefile.am:
	* docs/plugins/gst-plugins-good-plugins.args:
	* docs/plugins/gst-plugins-good-plugins.signals:
	* docs/plugins/inspect/plugin-alaw.xml:
	* docs/plugins/inspect/plugin-alpha.xml:
	* docs/plugins/inspect/plugin-alphacolor.xml:
	* docs/plugins/inspect/plugin-annodex.xml:
	* docs/plugins/inspect/plugin-apetag.xml:
	* docs/plugins/inspect/plugin-audiofx.xml:
	* docs/plugins/inspect/plugin-auparse.xml:
	* docs/plugins/inspect/plugin-autodetect.xml:
	* docs/plugins/inspect/plugin-avi.xml:
	* docs/plugins/inspect/plugin-cairo.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-cutter.xml:
	* docs/plugins/inspect/plugin-debug.xml:
	* docs/plugins/inspect/plugin-dv.xml:
	* docs/plugins/inspect/plugin-efence.xml:
	* docs/plugins/inspect/plugin-effectv.xml:
	* docs/plugins/inspect/plugin-flac.xml:
	* docs/plugins/inspect/plugin-flxdec.xml:
	* docs/plugins/inspect/plugin-gconfelements.xml:
	* docs/plugins/inspect/plugin-gdkpixbuf.xml:
	* docs/plugins/inspect/plugin-goom.xml:
	* docs/plugins/inspect/plugin-halelements.xml:
	* docs/plugins/inspect/plugin-icydemux.xml:
	* docs/plugins/inspect/plugin-id3demux.xml:
	* docs/plugins/inspect/plugin-jpeg.xml:
	* docs/plugins/inspect/plugin-ladspa.xml:
	* docs/plugins/inspect/plugin-level.xml:
	* docs/plugins/inspect/plugin-matroska.xml:
	* docs/plugins/inspect/plugin-mulaw.xml:
	* docs/plugins/inspect/plugin-multipart.xml:
	* docs/plugins/inspect/plugin-navigationtest.xml:
	* docs/plugins/inspect/plugin-png.xml:
	* docs/plugins/inspect/plugin-quicktime.xml:
	* docs/plugins/inspect/plugin-rtp.xml:
	* docs/plugins/inspect/plugin-rtsp.xml:
	* docs/plugins/inspect/plugin-shout2send.xml:
	* docs/plugins/inspect/plugin-smpte.xml:
	* docs/plugins/inspect/plugin-speex.xml:
	* docs/plugins/inspect/plugin-taglib.xml:
	* docs/plugins/inspect/plugin-udp.xml:
	* docs/plugins/inspect/plugin-videobalance.xml:
	* docs/plugins/inspect/plugin-videobox.xml:
	* docs/plugins/inspect/plugin-videocrop.xml:
	* docs/plugins/inspect/plugin-videoflip.xml:
	* docs/plugins/inspect/plugin-videomixer.xml:
	* docs/plugins/inspect/plugin-wavenc.xml:
	* docs/plugins/inspect/plugin-wavpack.xml:
	* docs/plugins/inspect/plugin-wavparse.xml:
	  Update plugin docs.

	* gst/videomixer/Makefile.am:
	* gst/videomixer/videomixer.c:
	* gst/videomixer/videomixer.h:
	* gst/videomixer/videomixerpad.h:
	  Split out header to fix warnings from the doc-build.

2008-01-14  Wim Taymans  <wim.taymans@collabora.co.uk>

	As found by: Tommi Myöhänen <ext-tommi.myohanen nokia com>

	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_parse_rtpinfo):
	Use atoll to parse the rtptime with enough precision. Fixes #509329.

2008-01-14  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/avi/gstavisubtitle.c: (gst_avi_subtitle_extract_file):
	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_send):
	  Initialise variables to work around (false) 'foo might be used
	  uninitialized in this function' warnings by gcc-3.3.3 (#509298).

2008-01-11  David Schleef  <ds@schleef.org>

	* docs/plugins/.cvsignore:
	* tests/check/pipelines/.cvsignore:
	  Ignore more files for the buildbot.

2008-01-11  Jan Schmidt  <Jan.Schmidt@sun.com>

	* ext/flac/gstflacdec.c: (gst_flac_extract_picture_buffer):
	* gst/id3demux/id3v2frames.c: (parse_picture_frame):
	Generate the image-type values correctly. Leave them out of the caps
	when outputting a "preview image" tag, since it only makes sense
	to have one of those - the type is irrelevant.

	* sys/sunaudio/gstsunaudiomixerctrl.c:
	(gst_sunaudiomixer_ctrl_open):
	If we can, mark the mixer multiple open when we use it, in case
	(for some reason) the process wants to open it again elsewhere.

2008-01-11  Wim Taymans  <wim.taymans@collabora.co.uk>

	Patch by: Olivier Crete <tester at tester dot ca>

	* gst/rtp/gstrtptheoradepay.c: (gst_rtp_theora_depay_setcaps):
	* gst/rtp/gstrtptheorapay.c:
	Fix the clock rate to 90000 as required by the RFC.
	Fixes #508644.

2008-01-11  Tim-Philipp Müller  <tim at centricular dot net>

	* tests/check/elements/icydemux.c: (GST_START_TEST), (icydemux_suite):
	  Don't use deprecated GST_PLUGIN_DEFINE_STATIC.

2008-01-10  Sebastian Dröge  <slomo@circular-chaos.org>

	* autogen.sh:
	  Add -Wno-portability to the automake parameters to stop warnings
	  about GNU make extensions being used. We require GNU make in almost
	  every Makefile anyway.
	  
	* configure.ac:
	  Use AM_PROG_CC_C_O as a compiler that accepts both -c and -o
	  at the same time is required for per target flags.

2008-01-09  Edward Hervey  <edward.hervey@collabora.co.uk>

	* gst/videomixer/videomixer.c: (gst_videomixer_init):
	Fix error from my last commit.

2008-01-09  Tim-Philipp Müller  <tim at centricular dot net>

	Based on patch by: Tommi Myöhänen <ext-tommi.myohanen nokia com>

	* gst/id3demux/id3v2frames.c: (parse_comment_frame):
	  Make sure the ISO 639-X language code in ID3v2 COMM frames
	  is actually valid UTF-8 (or rather: ASCII), so we don't end
	  up with non-UTF8 strings in tags if there's garbage in the
	  language field. Also make sure the language code is always
	  lower case. Fixes: #508291.

2008-01-09  Stefan Kost  <ensonic@users.sf.net>

	* ChangeLog:
	  Fix ChangeLog typo.

2008-01-09  Stefan Kost  <ensonic@users.sf.net>

	* Makefile.am:
	  Include lcov.mak to allow building coverage reports. Guard
	  check-torture target like in the other packages.

2008-01-09  Sameer Naik  <sameer@damagehead.com>

	reviewed by: Edward Hervey  <edward.hervey@collabora.co.uk>

	* gst/videomixer/videomixer.c:
	(gst_videomixer_set_master_geometry), (_do_init),
	(gst_videomixer_child_proxy_get_child_by_index),
	(gst_videomixer_child_proxy_get_children_count),
	(gst_videomixer_child_proxy_init), (gst_videomixer_reset),
	(gst_videomixer_init), (gst_videomixer_request_new_pad),
	(gst_videomixer_release_pad), (gst_videomixer_fill_queues):
	Implement GstChildProxy interface.
	Send newsegment at the right moment
	Fixes #488879

2008-01-09  Edward Hervey  <edward.hervey@collabora.co.uk>

	* gst/alpha/Makefile.am:
	* gst/alpha/gstalpha.c: (gst_alpha_class_init), (gst_alpha_init),
	(gst_alpha_sink_event), (gst_alpha_chain),
	(gst_alpha_change_state), (plugin_init):
	Make the various properties of 'alpha' controllable. This allows doing
	niceties like fade-in/fade-out.

2008-01-09  Stefan Kost  <ensonic@users.sf.net>

	* gst/rtp/gstasteriskh263.c:
	* gst/rtp/gstrtpL16depay.c:
	* gst/rtp/gstrtpac3depay.c:
	* gst/rtp/gstrtpamrpay.c:
	* gst/rtp/gstrtpdepay.c:
	* gst/rtp/gstrtpgsmdepay.c:
	* gst/rtp/gstrtph263depay.c:
	* gst/rtp/gstrtph263pdepay.c:
	* gst/rtp/gstrtph263ppay.c:
	* gst/rtp/gstrtph264depay.c:
	* gst/rtp/gstrtph264pay.c:
	* gst/rtp/gstrtpmp2tdepay.c:
	* gst/rtp/gstrtpmp4adepay.c:
	* gst/rtp/gstrtpmp4gdepay.c:
	* gst/rtp/gstrtpmp4gpay.c:
	* gst/rtp/gstrtpmp4vdepay.c:
	* gst/rtp/gstrtpmpadepay.c:
	* gst/rtp/gstrtpmpvdepay.c:
	* gst/rtp/gstrtpsv3vdepay.c:
	* gst/rtp/gstrtptheoradepay.c:
	* gst/rtp/gstrtptheorapay.c:
	* gst/rtp/gstrtpvorbisdepay.c:
	* gst/rtp/gstrtpvorbispay.c:
	  Remove copy/paste unused code (property setters and getter) found by
	  the coverage suite (yay, saves ~20k on disk).

2008-01-08  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/matroska/matroska-mux.c: (COMMON_VIDEO_CAPS_NO_FRAMERATE),
	  (videosink_templ):
	  Also fix up pad templates to indicate that image/jpeg doesn't
	  absolutely require the framerate property to be set (#504081).

2008-01-08  Tim-Philipp Müller  <tim at centricular dot net>

	Based on patch by: Wouter Cloetens  <wouter at mind be>

	* gst/matroska/matroska-mux.c: (gst_matroska_mux_video_pad_setcaps),
	  (gst_matroska_mux_request_new_pad), (gst_matroska_mux_release_pad),
	  (gst_matroska_mux_finish), (gst_matroska_mux_collected):
	* gst/matroska/matroska-mux.h:
	  Keep track of first and last timestamps for each incoming stream,
	  so we can calculate the total duration for live sources and other
	  input where we can't query the duration from the start or where
	  there's no constant framerate from which we can deduce the
	  duration; also use calculated/observed duration if it is bigger
	  than the previously queried duration. Furthermore, use
	  gst_pad_query_peer_duration() and take into account that it may
	  return TRUE but still a duration of CLOCK_TIME_NONE, which easily
	  screws up comparisons when using unsigned integers. Fixes #504081.

2008-01-08  Sebastian Dröge  <slomo@circular-chaos.org>

	* configure.ac:
	* gst/audiofx/audioamplify.c:
	(gst_audio_amplify_clipping_method_get_type),
	(gst_audio_amplify_init), (gst_audio_amplify_transform_ip):
	* gst/audiofx/audiodynamic.c: (gst_audio_dynamic_init),
	(gst_audio_dynamic_transform_ip):
	* gst/audiofx/audioinvert.c: (gst_audio_invert_init),
	(gst_audio_invert_transform_ip):
	* gst/audiofx/audiopanorama.c: (gst_audio_panorama_init),
	(gst_audio_panorama_transform):
	* gst/level/gstlevel.c: (gst_level_init):
	Make elements GST_BUFFER_FLAG_GAP aware and call
	gst_base_transform_set_gap_aware for this.
	Bump core requirement to CVS.
	
	* gst/audiofx/audiochebyshevfreqband.c:
	(gst_audio_chebyshev_freq_band_transform_ip):
	* gst/audiofx/audiochebyshevfreqlimit.c:
	(gst_audio_chebyshev_freq_limit_transform_ip):
	Also sync GObject properties to the controller if operating
	in passthrough mode.

2008-01-07  Tim-Philipp Müller  <tim at centricular dot net>

	* sys/directdraw/gstdirectdrawsink.c:
	  (gst_directdraw_sink_window_thread):
	  FALSE is not a gpointer.

2008-01-05  Julien Moutte  <julien@fluendo.com>

	* sys/directdraw/gstdirectdrawsink.c:
	(gst_directdraw_sink_set_window_id),
	(gst_directdraw_sink_set_caps), (gst_directdraw_sink_change_state),
	(gst_directdraw_sink_buffer_alloc),
	(gst_directdraw_sink_draw_borders),
	(gst_directdraw_sink_show_frame),
	(gst_directdraw_sink_setup_ddraw),
	(gst_directdraw_sink_window_thread),
	(gst_directdraw_sink_get_ddrawcaps),
	(gst_directdraw_sink_surface_create): Make sure we create our
	internal window only when we need it. That will give a chance to
	the application to get the prepare-xwindow-id bus message. Draw
	black borders when keeping aspect ratio. Handle the case where our
	rendering window disappears (closed or errors) like other sinks
	do. Various 80 columns fixes, improve state change order. That
	element could need some more love.

2008-01-04  Sebastian Dröge  <slomo@circular-chaos.org>

	* ext/taglib/gstapev2mux.h:
	* ext/taglib/gstid3v2mux.h:
	Remove useless typedefs without new type name. Fixes a warning with
	gcc 4.3.

2008-01-03  Wim Taymans  <wim.taymans@collabora.co.uk>

	Patch by: John Millikin <jmillikin at gmail dot com>

	* ext/flac/gstflacdec.c: (gst_flac_dec_setup_seekable_decoder),
	(gst_flac_dec_setup_stream_decoder),
	(gst_flac_normalize_picture_mime_type),
	(gst_flac_extract_picture_buffer),
	(gst_flac_dec_metadata_callback):
	Emit metadata messages when a PICTURE block is encountered.
	Fixes #506715.

2008-01-02  Thijs Vermeir  <thijsvermeir@gmail.com>

	* gst/avi/gstavi.c:
	increase rank because no known issues anymore ...
	* gst/avi/gstavisubtitle.c:
	send subtitle name to the srcpad

2007-12-31  Wim Taymans  <wim.taymans@collabora.co.uk>

	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_send), (gst_rtspsrc_open):
	* gst/rtsp/gstrtspsrc.h:
	Implement redirect for the DESCRIBE reply. Fixes #506025.

2007-12-29  Sebastian Dröge  <slomo@circular-chaos.org>

	* ext/flac/gstflacdec.c: (gst_flac_dec_write):
	Fix 'xyz may be used uninitialized' compiler warnings caused
	by broken g_assert_not_reached() macro in GLib-2.15.x and don't
	abort() in any case but properly report the error.

2007-12-26  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/avi/gstavidemux.c: (gst_avi_demux_loop):
	* gst/wavparse/gstwavparse.c: (gst_wavparse_chain):
	* sys/ximage/gstximagesrc.c: (composite_pixel):
	  Fix 'xyz may be used uninitialized' compiler warnings caused
	  by broken g_assert_not_reached() macro in GLib-2.15.x (it's
	  not really nice to abort in any case). Fixes #505745.

2007-12-18  Tim-Philipp Müller  <tim at centricular dot net>

	* tests/check/elements/avisubtitle.c: (check_correct_buffer):
	  Small unit test fix (has no practical impact at the moment,
	  since we're only feeding utf8 and hence just create a sub-
	  buffer for the output).

2007-12-18  Thijs Vermeir <thijsvermeir@gmail.com>

	* gst/avi/gstavisubtitle.c:
	* tests/check/elements/avisubtitle.c:
	Add seeking support for avi subtitle

2007-12-18  Wim Taymans  <wim.taymans@collabora.co.uk>

	* ext/flac/gstflacdec.c: (gst_flac_dec_reset_decoders),
	(gst_flac_dec_update_metadata), (gst_flac_dec_metadata_callback),
	(gst_flac_dec_write):
	* ext/flac/gstflacdec.h:
	Remove some unused vars.
	Do more cleanup of leftover events and tags.
	Output tags after the segment event. Fixes #504018.

2007-12-18  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/avi/gstavisubtitle.c: (IS_BOM_UTF8), (IS_BOM_UTF16_BE),
	  (IS_BOM_UTF16_LE), (IS_BOM_UTF32_BE), (IS_BOM_UTF32_LE),
	  (gst_avi_subtitle_extract_file), (gst_avi_subtitle_parse_gab2_chunk):
	  Detect other UTF byte order markers and convert to UTF-8 as
	  appropriate.

2007-12-18  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/avi/gstavisubtitle.c: (src_template),
	  (gst_avi_subtitle_extract_utf8_file),
	  (gst_avi_subtitle_parse_gab2_chunk), (gst_avi_subtitle_chain),
	  (gst_avi_subtitle_base_init), (gst_avi_subtitle_class_init),
	  (gst_avi_subtitle_init), (gst_avi_subtitle_change_state):
	* gst/avi/gstavisubtitle.h:
	  Refactor a bit; fix name extraction; don't assume all the data
	  in the chunk is actually subtitle data, there may be padding at
	  the end; fix GST_ELEMENT_ERROR usage; store extracted subtitle
	  file so it's there to send again after a seek (for future use).

2007-12-18  Thijs Vermeir  <thijsvermeir@gmail.com>

	* gst/avi/Makefile.am:
	* gst/avi/gstavi.c:
	* gst/avi/gstavisubtitle.c:
	* gst/avi/gstavisubtitle.h:
	* tests/check/Makefile.am:
	* tests/check/elements/avisubtitle.c:
	* win32/common/config.h:
		Add avi subtitle element for bug #442034. Need seeking support
		and more support for character conversion.

2007-12-18  Tim-Philipp Müller  <tim at centricular dot net>

	* Makefile.am:
	  Include common/win32.mak for CRLF check of win32 project
	  files (see #393626).

	* win32/vs6/libgstpng.dsp:
	  Fix line endings and do cvs admin -kb.

2007-12-17  Edward Hervey  <edward.hervey@collabora.co.uk>

	* ext/jpeg/gstjpegdec.c: (gst_jpeg_dec_chain):
	Actually drop the buffers which are outside the currently configured
	segment instead of just emitting a WARNING.

2007-12-14  Wim Taymans  <wim.taymans@collabora.co.uk>

	* ext/flac/gstflacdec.c: (gst_flac_dec_metadata_callback),
	(gst_flac_dec_write):
	* ext/flac/gstflacdec.h:
	Send segments from the streaming thread. Fixes #502187.
	Fix segment seeking and a bunch of other seeking cases.

2007-12-14  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/id3demux/id3v2frames.c: (parse_url_link_frame):
	  Parse WOAF frames and put the result into GST_TAG_CONTACT,
	  which is where it would end up if the same information was
	  put in a vorbis comment (don't think it's worth adding a
	  new URI tag for this). Fixes #488112.

2007-12-11  Tim-Philipp Müller  <tim at centricular dot net>

	* configure.ac:
	  We need core/base 0.10.15 or later.

2007-12-11  Wim Taymans  <wim.taymans@collabora.co.uk>

	Patch by: Mark Nauwelaerts <manauw skynet be>

	* gst/avi/gstavimux.c: (gst_avi_mux_start_file):
	Fix regression in stream numbering. Fixes #502655.

2007-12-11  Wim Taymans  <wim.taymans@collabora.co.uk>

	Patch by: Wai-Ming Ho <webregbox at yahoo dot co dot uk>

	* gst/rtp/gstrtph264pay.c: (gst_rtp_h264_pay_init),
	(gst_rtp_h264_pay_finalize), (gst_rtp_h264_pay_setcaps),
	(next_start_code), (is_nal_equal), (gst_rtp_h264_pay_decode_nal),
	(encode_base64), (gst_rtp_h264_pay_parse_sps_pps),
	(gst_rtp_h264_pay_handle_buffer):
	* gst/rtp/gstrtph264pay.h:
	Use higher performance start-code searching.
	Parse NALs and store SPS, PPS and profile in the caps so that they can
	be used in the SDP. Fixes #502814.

2007-12-11  Tim-Philipp Müller  <tim at centricular dot net>

	* sys/v4l2/v4l2_calls.c: (gst_v4l2_fill_lists):
	* sys/v4l2/v4l2src_calls.c: (gst_v4l2src_fill_format_list):
	  Init some structs to zero before we pass them to ioctl, which
	  avoids valgrind warnings.  Also fix a small memory leak.

2007-12-11  Wim Taymans  <wim.taymans@collabora.co.uk>

	Patch by: Wouter Cloetens <wouter at mind dot be>

	* gst/multipart/multipartdemux.c: (gst_multipart_demux_chain):
	Copy timestamp from input to output. Not very perfect yet but better
	than nothing. Fixes #503023.

2007-12-09  Sebastian Dröge  <slomo@circular-chaos.org>

	* ext/wavpack/gstwavpackdec.c: (gst_wavpack_dec_chain):
	  Also print a useful error message with the old Wavpack API
	  if possible.

2007-12-09  Tim-Philipp Müller  <tim at centricular dot net>

	* ext/wavpack/gstwavpackdec.c:
	  More build fixes for old libwavpack versions: include config.h so
	  that WAVPACK_OLD_API is actually defined as detected; only use
	  WavpackGetErrorMessage if it is available. This fixes the build
	  on debian stable for me.

2007-12-09  Sebastian Dröge  <slomo@circular-chaos.org>

	* ext/wavpack/gstwavpackdec.c: (gst_wavpack_dec_chain):
	* ext/wavpack/gstwavpackparse.c:
	  (gst_wavpack_parse_create_src_pad):
	  Workaround the non-existance of WavpackGetChannelMask in Wavpack
	  versions below 4.40.0.

2007-12-09  Sebastian Dröge  <slomo@circular-chaos.org>

	* configure.ac:
	  And now do it right for real...

2007-12-09  Sebastian Dröge  <slomo@circular-chaos.org>

	* configure.ac:
	  Correctly reset $LIBS to not contain -lm.

2007-12-09  Sebastian Dröge  <slomo@circular-chaos.org>

	Based on a patch by: Kwang Yul Seo <kwangyul dot seo at gmail dot com>

	* configure.ac:
	* ext/cairo/gsttimeoverlay.c:
	  (gst_cairo_time_overlay_print_smpte_time):
	  Fix compilation with MSVC by using gst_util_guint64_to_gdouble()
	  and checking for rint() and implementing it ourself if it doesn't
	  exist. Fixes #497293.

2007-12-09  Sebastian Dröge  <slomo@circular-chaos.org>

	* configure.ac:
	  Don't define GST_DISABLE_DEPRECATED for releases. Fixes #498181.

2007-12-08  Jan Schmidt  <jan.schmidt@sun.com>

	* sys/oss/gstosshelper.c:
	Verify that the format returned after the ioctl is the one
	we requested. It is valid for the ioctl to succeed while
	substituting an alternate 'supported' sample format.

2007-12-07  Tim-Philipp Müller  <tim at centricular dot net>

	* sys/oss/gstossaudio.c: (plugin_init):
	* sys/oss/gstosssink.c: (gst_oss_sink_open):
	* sys/oss/gstosssrc.c: (gst_oss_src_open):
	  Post decent (and translated) error message when we can't
	  open the audio device for some reason.

2007-12-07  Jan Schmidt  <jan.schmidt@sun.com>

	* sys/oss/gstosssink.c:
	* sys/oss/gstosssrc.c:
	Allow the AUDIODEV environment variable to redirect us
	to a different default OSS device, like sunaudiosink does
	on Solaris (makes audio play automatically on SunRays).

2007-12-06  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/audiofx/audioamplify.c: (gst_audio_amplify_transform_ip):
	* gst/audiofx/audiochebyshevfreqband.c:
	(gst_audio_chebyshev_freq_band_transform_ip):
	* gst/audiofx/audiochebyshevfreqlimit.c:
	(gst_audio_chebyshev_freq_limit_transform_ip):
	* gst/audiofx/audiodynamic.c: (gst_audio_dynamic_transform_ip):
	* gst/audiofx/audioinvert.c: (gst_audio_invert_transform_ip):
	The transform_ip() methods should do nothing if in passthrough mode.
	It might get non-writable buffers in that case but the buffer might
	as well be writable.

	* gst/audiofx/audiopanorama.c: (gst_audio_panorama_transform):
	The transform() methods won't be called in passthrough mode and
	otherwise the buffer is always writable so don't check here.

2007-12-06  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/wavparse/gstwavparse.c: (gst_wavparse_srcpad_event):
	  Fix seeking in .wav files again (#501775).  Some people seem to think
	  they don't need to test their changes when they're just 'reflowing'
	  some code.

2007-12-05  Wim Taymans  <wim.taymans@gmail.com>

	* gst/autodetect/gstautovideosink.c:
	(gst_auto_video_sink_class_init), (gst_auto_video_sink_dispose),
	(gst_auto_video_sink_init),
	(gst_auto_video_sink_create_element_with_pretty_name),
	(gst_auto_video_sink_find_best),
	(gst_auto_video_sink_set_property),
	(gst_auto_video_sink_get_property):
	* gst/autodetect/gstautovideosink.h:
	Fix docs.
	Use same error reporting code as autoaudiosink.
	Add property to filter sinks based on caps. Only select raw video sinks
	by default for backwards compat.
	API: GstAutoVideoSink::filter-caps

2007-12-05  Wim Taymans  <wim.taymans@gmail.com>

	Patch by: Tommi Myöhänen  <ext-tommi dot myohanen at nokia dot com>

	* gst/autodetect/gstautoaudiosink.c:
	(gst_auto_audio_sink_class_init), (gst_auto_audio_sink_dispose),
	(gst_auto_audio_sink_init), (gst_auto_audio_sink_find_best),
	(gst_auto_audio_sink_set_property),
	(gst_auto_audio_sink_get_property):
	* gst/autodetect/gstautoaudiosink.h:
	Add property to filter sinks based on caps. Only select raw audio sinks
	by default for backwards compat.  Fixes #417420.
	API: GstAutoAudioSink::filter-caps

2007-11-29  Michael Smith <msmith@fluendo.com>

	Patch by: Arek Korbik <arkadini@gmail.com>

	* gst/videobox/gstvideobox.c: (plugin_init):
	  Initialise liboil in plugin_init()

2007-11-29  Wim Taymans  <wim.taymans@gmail.com>

	* ext/libpng/gstpngdec.c: (gst_pngdec_task):
	Post error before sending EOS. Fixes #499178.

2007-11-28  Sebastien Moutte  <sebastien@moutte.net>

	* win32/vs6/gst_plugins_good.dsw:
	* win32/vs6/libgstpng.dsp:
	Add a project file for libgstpng

2007-11-28  Edward Hervey  <bilboed@bilboed.com>

	* gst/rtp/gstrtph263depay.c: (gst_rtp_h263_depay_class_init),
	(gst_rtp_h263_depay_process):
	Code beautification.
	Added debug statements.
	Don't bit-shift everything, just do operations on last/first byte
	instead.

2007-11-27  Wim Taymans  <wim.taymans@gmail.com>

	Patch by: Jayarama S. Santana <sundarsantana at gmail dot com>

	* gst/rtp/gstrtpmp4adepay.c: (gst_rtp_mp4a_depay_process):
	Fix wrong comparison in overrun check. Fixes #499239 some more.

2007-11-27  Edward Hervey  <bilboed@bilboed.com>

	* gst/rtp/gstrtph263depay.c: (gst_rtp_h263_depay_init),
	(gst_rtp_h263_depay_process):
	* gst/rtp/gstrtph263depay.h:
	Fix h263 depayloader so that ANY h263 decoder can handle the outgoing
	stream.

2007-11-26  Wim Taymans  <wim.taymans@gmail.com>

	Based on Path by: Jayarama S. Santana <sundarsantana at gmail dot com>

	* gst/rtp/gstrtpmp4adepay.c: (gst_rtp_mp4a_depay_setcaps),
	(gst_rtp_mp4a_depay_process):
	* gst/rtp/gstrtpmp4adepay.h:
	Fix depayloading when multiple frames are inside one RTP packet.
	Fixes #499239.

2007-11-26  Stefan Kost  <ensonic@users.sf.net>

	* gst/level/gstlevel.c:
	  Add GAP-flag support.

2007-11-26  Edward Hervey  <bilboed@bilboed.com>

	* gst/rtp/gstrtph263depay.c: (gst_rtp_h263_depay_process):
	Read the I flag for Mode A h263 rtp stream and set the
	GST_BUFFER_FLAG_DELTA_UNIT accordingly.
	Fixes #499383

2007-11-26  Stefan Kost  <ensonic@users.sf.net>

	* gst/level/gstlevel.c:
	  Remove some dead code and do cleanups.

2007-11-26  Stefan Kost  <ensonic@users.sf.net>

	* tests/check/pipelines/simple-launch-lines.c:
	  Improve the tests by allowing to set a target state.

2007-11-26  Sebastian Dröge  <slomo@circular-chaos.org>

	* tests/check/elements/wavpackenc.c: (GST_START_TEST):
	Don't check the caps of the output buffer if they're equal some
	other caps. The caps can change in a backward compatible way
	and did at this point.

2007-11-24  Julien MOUTTE  <julien@moutte.net>

	* gst/qtdemux/qtdemux.c: (gst_qtdemux_find_segment),
	(gst_qtdemux_move_stream), (gst_qtdemux_do_seek),
	(gst_qtdemux_seek_to_previous_keyframe),
	(gst_qtdemux_activate_segment), (gst_qtdemux_advance_sample),
	(gst_qtdemux_loop_state_movie), (gst_qtdemux_loop): Implement
	reverse playback support.

2007-11-20  Sebastian Dröge  <slomo@circular-chaos.org>

	* ext/wavpack/gstwavpackcommon.c: (gst_wavpack_set_channel_layout):
	Also set the channel layout on the Wavpack caps if we're having
	a mono layout. Of course only do it for "audio/x-wavpack".

2007-11-20  Sebastian Dröge  <slomo@circular-chaos.org>

	* ext/wavpack/gstwavpackcommon.c:
	(gst_wavpack_get_default_channel_mask),
	(gst_wavpack_set_channel_layout),
	(gst_wavpack_get_default_channel_positions),
	(gst_wavpack_get_channel_mask_from_positions),
	(gst_wavpack_set_channel_mapping):
	* ext/wavpack/gstwavpackcommon.h:
	* ext/wavpack/gstwavpackdec.c: (gst_wavpack_dec_reset),
	(gst_wavpack_dec_sink_set_caps), (gst_wavpack_dec_chain):
	* ext/wavpack/gstwavpackdec.h:
	* ext/wavpack/gstwavpackenc.c: (gst_wavpack_enc_reset),
	(gst_wavpack_enc_init), (gst_wavpack_enc_sink_set_caps),
	(gst_wavpack_enc_set_wp_config), (gst_wavpack_enc_push_block),
	(gst_wavpack_enc_fix_channel_order), (gst_wavpack_enc_chain),
	(gst_wavpack_enc_rewrite_first_block),
	(gst_wavpack_enc_sink_event):
	* ext/wavpack/gstwavpackenc.h:
	* ext/wavpack/gstwavpackparse.c:
	(gst_wavpack_parse_index_append_entry), (gst_wavpack_parse_reset),
	(gst_wavpack_parse_scan_to_find_sample),
	(gst_wavpack_parse_sink_event), (gst_wavpack_parse_create_src_pad),
	(gst_wavpack_parse_push_buffer), (gst_wavpack_parse_loop):
	* ext/wavpack/gstwavpackparse.h:
	Add support for encoding, parsing and decoding multichannel
	files with up to 8 channels. This also improves the robustness
	of parsing quite a bit.

	* ext/wavpack/gstwavpackstreamreader.c:
	(gst_wavpack_stream_reader_read_bytes),
	(gst_wavpack_stream_reader_get_pos),
	(gst_wavpack_stream_reader_set_pos_abs),
	(gst_wavpack_stream_reader_set_pos_rel),
	(gst_wavpack_stream_reader_push_back_byte),
	(gst_wavpack_stream_reader_get_length),
	(gst_wavpack_stream_reader_can_seek),
	(gst_wavpack_stream_reader_write_bytes):
	Improve debugging.

2007-11-20  Stefan Kost  <ensonic@users.sf.net>

	* ext/libpng/gstpngdec.c:
	* ext/libpng/gstpngdec.h:
	  Don't release the png-memory from within the callback.

2007-11-20  Stefan Kost  <ensonic@users.sf.net>

	Patch by: René Stadler <mail at renestadler dot de>

	* ext/libpng/gstpngenc.c:
	  Don't leak buffer data memory. Fixes #498395.

2007-11-20  Stefan Kost  <ensonic@users.sf.net>

	Patch by: René Stadler <mail at renestadler dot de>

	* tests/check/pipelines/simple-launch-lines.c:
	  Tests for #498395.

2007-11-20  Julien MOUTTE  <julien@moutte.net>

	* ext/taglib/gsttaglibmux.c: (gst_tag_lib_mux_render_tag),
	(gst_tag_lib_mux_adjust_event_offsets):
	* gst/qtdemux/qtdemux.c: (qtdemux_parse_theora_extension):
	* sys/osxaudio/Makefile.am:
	* sys/osxvideo/cocoawindow.h:
	* sys/osxvideo/cocoawindow.m: Fix build on Mac OS X 10.5

2007-11-15  David Schleef  <ds@schleef.org>

	* ext/cairo/gsttextoverlay.c:
	  Change strcasecmp() to g_strcasecmp().  Fixes #497292.

2007-11-15  Wim Taymans  <wim.taymans@gmail.com>

	Patch by: Jordi Jaen Pallares <jordijp at gmail dot com>

	* gst/rtp/gstrtpmp2tpay.c: (gst_rtp_mp2t_pay_class_init),
	(gst_rtp_mp2t_pay_init), (gst_rtp_mp2t_pay_finalize),
	(gst_rtp_mp2t_pay_flush), (gst_rtp_mp2t_pay_handle_buffer):
	* gst/rtp/gstrtpmp2tpay.h:
	Fill the MTU with as many packets as possible. Fixes #491323.

2007-11-15  Wim Taymans  <wim.taymans@gmail.com>

	Patch by: Tommi Myöhänen  <ext-tommi dot myohanen at nokia dot com>

	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_setup_streams):
	Fix some more leaks. Fixes #497007.

2007-11-15  Wim Taymans  <wim.taymans@gmail.com>

	Patch by: Tommi Myöhänen  <ext-tommi dot myohanen at nokia dot com>

	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_stream_free),
	(gst_rtspsrc_stream_configure_tcp):
	Fix 3 pad leaks. Fixes #496983.

2007-11-15  Wim Taymans  <wim.taymans@gmail.com>

	Patch by: Tommi Myöhänen  <ext-tommi dot myohanen at nokia dot com>

	* gst/rtp/gstrtph264depay.c: (gst_rtp_h264_depay_setcaps):
	Fix small leak. Fixes #497017.

2007-11-15  Wim Taymans  <wim.taymans@gmail.com>

	* gst/qtdemux/qtdemux.c: (gst_qtdemux_change_state),
	(gst_qtdemux_prepare_current_sample),
	(gst_qtdemux_loop_state_movie), (qtdemux_parse_theora_extension),
	(qtdemux_parse_node), (qtdemux_parse_trak), (qtdemux_video_caps):
	* gst/qtdemux/qtdemux_fourcc.h:
	* gst/qtdemux/qtdemux_types.c:
	Add suppport for theora in quicktime according to XiphQT.

2007-11-15  Edgard Lima  <edgard.lima@indt.org.br>

	* sys/v4l2/gstv4l2src.c: (gst_v4l2src_class_init),
	(gst_v4l2src_init), (gst_v4l2src_set_property),
	(gst_v4l2src_get_property):
	* sys/v4l2/gstv4l2src.h:
	* sys/v4l2/v4l2src_calls.c: (gst_v4l2src_grab_frame):
	  Always copy buffers by default (handle safer with bugged drivers)
	  and added a property to make it possible to use mmap effectively (no
	  copy if possible) when application wants to. Fixes: #480557.

2007-11-14  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/id3demux/id3tags.c:
	* gst/id3demux/id3tags.h:
	* gst/id3demux/id3v2frames.c: (id3v2_tag_to_taglist):
	  We don't want the same string multiple times in a tag list for the
	  same tag ever, for any tag, not just for GST_TAG_GENRE, so make sure
	  this doesn't happen and remove special-case code for GST_TAG_GENRE.

2007-11-14  Tim-Philipp Müller  <tim at centricular dot net>

	* ext/taglib/gstid3v2mux.cc: (add_musicbrainz_tag), (add_funcs):
	  Write GST_TAG_MUSICBRAINZ_DISCID and GST_TAG_CDDA_CDDB_DISCID
	  into ID3v2 TXXX frames (fixes #347848).

2007-11-14  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_open):
	  Don't leak sdp message contents (fixes #496773).

	* gst/udp/gstudpsink.c: (gst_udpsink_finalize):
	  Don't leak URI string.

2007-11-14  Tim-Philipp Müller  <tim at centricular dot net>

	Patch by: Julien Puydt <julien dot puydt at laposte net>

	* ext/raw1394/Makefile.am:
	* ext/raw1394/gst1394probe.c: (gst_1394_get_guid_array),
	  (gst_1394_property_probe_get_properties),
	  (gst_1394_property_probe_probe_property),
	  (gst_1394_property_probe_needs_probe),
	  (gst_1394_property_probe_get_values),
	  (gst_1394_property_probe_interface_init),
	  (gst_1394_type_add_property_probe_interface):
	* ext/raw1394/gst1394probe.h: (GST_1394_PROBE_H):
	* ext/raw1394/gstdv1394src.c: (_do_init), (gst_dv1394src_class_init),
	  (gst_dv1394src_init), (gst_dv1394src_dispose),
	  (gst_dv1394src_set_property), (gst_dv1394src_get_property),
	  (gst_dv1394src_discover_avc_node), (gst_dv1394src_query),
	  (gst_dv1394src_update_device_name):
	* ext/raw1394/gstdv1394src.h:
	  Implement GstPropertyProbe interface and add "device-name" property,
	  so applications can use this to probe for available devices in the
	  same way they can already with v4lsrc and v4l2src (however horrible
	  this property probe interface may be). Fixes #358841.

2007-11-14  Tim-Philipp Müller  <tim at centricular dot net>

	Patch by: Tommi Myöhänen  <ext-tommi dot myohanen at nokia dot com>

	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_handle_src_event),
	  (gst_rtspsrc_parse_range):
	  Don't leak event, don't leak range (fixes #496752).

2007-11-14  Michael Smith <msmith@fluendo.com>

	Patch by: Arek Korbik <arkadini@gmail.com>

	* gst/alpha/gstalphacolor.c: (gst_alpha_color_set_caps):
	  Detect RGBA/BGRA correctly on little endian systems.

2007-11-13  Tim-Philipp Müller  <tim at centricular dot net>

	* sys/v4l2/v4l2src_calls.c: (gst_v4l2src_probe_caps_for_format):
	  If VIDIOC_ENUM_FRAMESIZES is defined (= recent kernel), but the
	  corresponding ioctl() call fails even though the driver claims to
	  support this format, just fall back to the pre-2.6.19 kernel
	  routine that creates caps with suitable height and width ranges
	  (see #448278).

2007-11-13  Tim-Philipp Müller  <tim at centricular dot net>

	Patch by: Mark Nauwelaerts <manauw skynet be>

	* gst/matroska/matroska-demux.c:
	  (gst_matroska_demux_push_dvd_clut_change_event),
	  (gst_matroska_demux_parse_blockgroup_or_simpleblock),
	  (gst_matroska_demux_subtitle_caps):
	* gst/matroska/matroska-ids.h:
	  Extract palette data for dvd subpicture streams and send it
	  downstream as custom gstreamer dvd event (fixes #453417).

2007-11-13  Tim-Philipp Müller  <tim at centricular dot net>

	* ext/cairo/gsttextoverlay.c: (gst_text_overlay_font_init):
	  Implement minimal parsing of the passed pango font description
	  string, so passing a font size works the same as with the
	  pango textoverlay plugin; fixes #455086.
	  (Maybe we could just use pangocairo here at some point).

2007-11-13  Stefan Kost  <ensonic@users.sf.net>

	* gst/avi/gstavidemux.c:
	* gst/wavparse/gstwavparse.c:
	  Return the result in _activate_pull(). Don't ref element there.

2007-11-13  Stefan Kost  <ensonic@users.sf.net>

	* gst/wavparse/gstwavparse.c: (gst_wavparse_stream_headers),
	(gst_wavparse_pad_convert), (gst_wavparse_pad_query),
	(gst_wavparse_srcpad_event):
	  Ref the element when we should, but not when we its not needed. Reflow
	  the event_handling to not leak the event.	  

2007-11-12  Edward Hervey  <bilboed@bilboed.com>

	* gst/qtdemux/qtdemux.c: (gst_qtdemux_change_state),
	(qtdemux_parse_samples):
	Properly free QTDemuxSamples array.
	Protect table write with a sensible check, some files apparently DO contain
	stts values starting with 0 :(

2007-11-12  Stefan Kost  <ensonic@users.sf.net>

	* gst/avi/gstavidemux.c:
	* gst/qtdemux/qtdemux.c:
	  Drop QOS in _handle_src_event(). Fix the refcount in qtdemux that
	  previous commit messed up.

2007-11-12  Stefan Kost  <ensonic@users.sf.net>

	* gst/avi/gstavidemux.c:
	* gst/qtdemux/qtdemux.c:
	  Sync _handle_src_event() with oggdemux. In avidemux also ref the
	  element when we should, but not when we its not needed.

2007-11-08  Stefan Kost  <ensonic@users.sf.net>

	* gst/wavparse/gstwavparse.c:
	  Return FALSE if we can't handle a query instead of changing the
	  format. Ignore fact when dealing with mpeg audio.

2007-11-02  Tim-Philipp Müller  <tim at centricular dot net>

	Patch by: Ole André Vadla Ravnås  <ole.andre.ravnas@tandberg.com>

	* configure.ac:
	* gst/udp/gstdynudpsink.c:
	* gst/udp/gstdynudpsink.h:
	* gst/udp/gstmultiudpsink.c:
	* gst/udp/gstmultiudpsink.h:
	* gst/udp/gstudpsink.c:
	* gst/udp/gstudpsink.h:
	  Fix includes for MSVC and GLib-2.14.0 (#492388).

	* gst/udp/gstudpsrc.c: (gst_udpsrc_start):
	  No more pipe define since GLib-2.14.0, need to use _pipe() directly.

2007-11-02  Edward Hervey  <bilboed@bilboed.com>

	* gst/law/mulaw-decode.c: (mulawdec_sink_setcaps),
	(gst_mulawdec_chain):
	* gst/law/mulaw-decode.h:
	Calculate outgoing buffer duration if incoming buffer didn't have a
	valid duration.

2007-10-30  Wim Taymans  <wim.taymans@gmail.com>

	* gst/qtdemux/qtdemux.c: (gst_qtdemux_activate_segment),
	(gst_qtdemux_combine_flows), (gst_qtdemux_loop_state_movie):
	Smarter combine_flow code that also deals with downstream elements
	returning UNEXPECTED when they receive data out of the segment
	boundaries. Fixes #491305.

2007-10-26  Tim-Philipp Müller  <tim at centricular dot net>

	* sys/v4l2/v4l2src_calls.c:
	  Fix 'unused variable' compiler warning when compiling against
	  older kernel headers.

2007-10-25  Tim-Philipp Müller  <tim at centricular dot net>

	* ext/taglib/gstid3v2mux.cc (add_funcs):
	  Map new SORTNAME tags to ID3v2 TSOP, TSOA and TSOT frames (#414539).

2007-10-24  Stefan Kost  <ensonic@users.sf.net>

	* tests/check/pipelines/simple-launch-lines.c:
	   Improve the tests a little more.

2007-10-23  Zaheer Abbas Merali <zaheerabbas at merali dot org>

	patch by: Yun Zheng Hu

	* sys/osxaudio/gstosxaudiosrc.c:
	Use default input device instead of default output device and
	only memcpy actual available bytes.

2007-10-22  Edgard Lima  <edgard.lima@indt.org.br>

	* sys/v4l2/v4l2src_calls.c: (gst_v4l2src_grab_frame):
	  Fixes "v4l2src ! queue ! xvimagesink". The queue ask for buffer too
	  early. It is temporary until we find something better.

2007-10-22  Wim Taymans  <wim.taymans@gmail.com>

	Patch by: Tommi Myöhänen  <ext-tommi dot myohanen at nokia dot com>

	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_loop_interleaved):
	Fix race when pausing a RTSP stream in interleaved.
	Fixes #475784.

2007-10-22  Wim Taymans  <wim.taymans@gmail.com>

	Patch by: Peter Kjellerstedt <pkj at axis com>

	* gst/rtp/gstrtpmp4vpay.c: (gst_rtp_mp4v_pay_finalize):
	Use correct unref function for buffers. #488844.

2007-10-19  Stefan Kost  <ensonic@users.sf.net>

	* gst/avi/gstavimux.c:
	* tests/check/elements/avimux.c:
	  Add some debug and sync tests with the fix.	  

2007-10-18  Wim Taymans  <wim.taymans@gmail.com>

	Based on patch by: Laurent Glayal  <spglegle yahoo fr>

	* gst/udp/gstudpsrc.c: (gst_udpsrc_create):
	When the socket is used by the app for other purposes, don't generate an
	error if there is activaty on the socket that is not data related.
	Fixes #487488.

2007-10-18  Wim Taymans  <wim.taymans@gmail.com>

	* sys/v4l2/v4l2src_calls.c: (gst_v4l2_buffer_finalize),
	(gst_v4l2src_grab_frame):
	Add some more debug info. Generate an error when we run out of buffers
	for some reason. See #480557.

2007-10-18  Wim Taymans  <wim.taymans@gmail.com>

	Patch by: Anders Skargren <anders dot skargren at axis dot com>

	* gst/rtp/gstrtph264pay.c: (gst_rtp_h264_pay_handle_buffer):
	Set marker bit correctly.

2007-10-17  Wim Taymans  <wim.taymans@gmail.com>

	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_open):
	Use allowed name for the GstStructure.

2007-10-17  Tim-Philipp Müller  <tim at centricular dot net>

	* ext/gconf/gstswitchsink.c:
	* gst/autodetect/gstautoaudiosink.c:
	  Use new gst_bus_pop_filtered().

2007-10-13  Tim-Philipp Müller  <tim at centricular dot net>

	* sys/v4l2/gstv4l2src.c:
	* sys/v4l2/v4l2src_calls.c:
	  When probing the formats and sizes a camera supports, make
	  sure the best ones (highest resolution, prefered format)
	  end up at the beginning of the probed caps and the less
	  desirable ones at the end.  This is important because the
	  order within the caps matters for things like fixation and
	  negotiation, ie. what format is chosen in the end.
	  With recent kernels, the current probing code will end up
	  querying the supported sizes from lowest resolution to
	  highest resolution, adding them to the probed caps in that
	  order, resulting to v4l2src fixating to the lowest possible
	  resolution if downstream does not express a size preference.
	  Also make up a somewhat random ranking of prefered output
	  formats for the same reason. Fixes #485828.
	
2007-10-11  Tim-Philipp Müller  <tim at centricular dot net>

	Based on patch by: Jason Kivlighn  <jkivlighn gmail com>

	* gst/id3demux/id3v2frames.c:
	  Extract license/copyright URIs from ID3v2 WCOP frames
	  (Fixes #447000).

	* tests/check/elements/id3demux.c:
	* tests/files/Makefile.am:
	* tests/files/id3-447000-wcop.tag:
	  Add simple unit test.

2007-10-11  Tim-Philipp Müller  <tim at centricular dot net>

	* ext/taglib/gstid3v2mux.cc:
	  Add support for license/copyright URI tags (ID3v2 WCOP frame).
	  Prerequisite for #447000.

2007-10-08  Jan Schmidt  <Jan.Schmidt@sun.com>

	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_flush):
	Fix compiler warning by using GST_CLOCK_TIME_NONE to initialise
	a GstClockTime.

2007-10-08  Wim Taymans  <wim.taymans@gmail.com>

	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_flush),
	(gst_rtspsrc_do_seek), (gst_rtspsrc_perform_seek),
	(gst_rtspsrc_configure_caps), (gst_rtspsrc_loop_udp),
	(gst_rtspsrc_parse_range), (gst_rtspsrc_open), (gst_rtspsrc_play),
	(gst_rtspsrc_change_state):
	More seeking fixes, mostly passing around the new playback segment in
	order to configure it properly.
	Also reset base_time of udp sources when setting them back to PLAYING as
	a temporary hack until core supports seek in live sources properly.

2007-10-08  Wim Taymans  <wim.taymans@gmail.com>

	* gst/rtp/gstrtpmp4adepay.c:
	Fix caps as to not confuse autopluggers.

2007-10-06  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/id3demux/gstid3demux.c:
	* gst/id3demux/gstid3demux.h:
	* gst/id3demux/id3tags.c:
	* gst/id3demux/id3tags.h:
	* gst/id3demux/id3v2frames.c:
	  Port ID3 tag demuxer over to the new GstTagDemux in -base
	  (now would be a good time to test re-importing your music
	  collection).

2007-10-06  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/apetag/Makefile.am:
	* gst/apetag/gstapedemux.c:
	* gst/apetag/gstapedemux.h:
	* gst/apetag/gsttagdemux.c:
	* gst/apetag/gsttagdemux.h:
	  Port APE tag demuxer over to the new GstTagDemux in -base.

2007-10-05  Wim Taymans  <wim.taymans@gmail.com>

	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_flush),
	(gst_rtspsrc_perform_seek), (gst_rtspsrc_handle_src_event),
	(gst_rtspsrc_handle_internal_src_query),
	(gst_rtspsrc_handle_src_query), (new_session_pad),
	(gst_rtspsrc_stream_configure_tcp),
	(gst_rtspsrc_stream_configure_transport),
	(gst_rtspsrc_loop_send_cmd):
	Improve flushing behaviour.
	Set state of the udp sources to PAUSE/PLAYING correctly.
	Handle events and queries for UDP and TCP transport now.

2007-10-04  Stefan Kost  <ensonic@users.sf.net>

	* gst/rtp/gstrtpgsmdepay.c:
	* gst/rtp/gstrtpgsmpay.c:
	  Add log category.

2007-10-04  Stefan Kost  <ensonic@users.sf.net>

	Patch by: Timo Hotti <Timo.Hotti@sysopendigia.com>

	* tests/check/Makefile.am:
	* tests/check/pipelines/simple-launch-lines.c:
	  Add unit tests for payloaders/depayloaders.

2007-10-02  Stefan Kost  <ensonic@users.sf.net>

	* gst/avi/gstavimux.c:
	* gst/avi/gstavimux.h:
	  Also save codec data for audio streams. Fixes #482495.

2007-10-02  Stefan Kost  <ensonic@users.sf.net>

	* gst/avi/gstavimux.c:
	  Fix "Index entry has invalid stream nr 1".
	  Add support for muxing aac - work in progress (see #482495).

2007-10-01  Wim Taymans  <wim.taymans@gmail.com>

	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_get_bandwidth),
	(gst_rtspsrc_collect_bandwidth), (gst_rtspsrc_create_stream),
	(gst_rtspsrc_media_to_caps), (gst_rtspsrc_loop_interleaved):
	* gst/rtsp/gstrtspsrc.h:
	Parse bandwidth modifiers, they are not yet configured in the session
	manager because we don't have an API for that yet.

2007-10-01  Wim Taymans  <wim.taymans@gmail.com>

	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_parse_rtpmap),
	(gst_rtspsrc_media_to_caps), (gst_rtspsrc_loop_interleaved):
	Use shiny new function in -base to get the default clock-rate.
	Update some docs.

2007-09-29  Sebastien Moutte  <sebastien@moutte.net>

	* win32/MANIFEST:
	Add files to win32 manifest.
	* win32/vs6/libgstaudiofx.dsp:
	* win32/vs6/libgstqtdemux.dsp:
	* win32/vs6/libgstrtp.dsp:
	* win32/vs6/libgstrtsp.dsp:
	Update project files.

2007-09-28  Wim Taymans  <wim.taymans@gmail.com>

	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_loop_interleaved),
	(gst_rtspsrc_play):
	* gst/rtsp/gstrtspsrc.h:
	In TCP mode, only timestamp the first buffer. TCP is not real time and
	it does not make sense to try to skew compensate, also some servers send
	the first batch of data in a burst.

2007-09-27  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/matroska/matroska-demux.c:
	  Fix setting the discont flag on the first buffer
	  pushed downstream for formats with private codec
	  data that needs to be deserialised into buffers
	  (such as vorbis and FLAC when in a matroska container).

2007-09-27  Wim Taymans  <wim.taymans@gmail.com>

	Patch by: Antoine Tremblay <hexa00 at gmail dot com>

	* gst/rtp/gstrtpmp4vpay.c: (gst_rtp_mp4v_pay_init),
	(gst_rtp_mp4v_pay_finalize), (gst_rtp_mp4v_pay_flush),
	(gst_rtp_mp4v_pay_handle_buffer):
	* gst/rtp/gstrtpmp4vpay.h:
	Free the config string. Fixes #480707.
	Clean up the timestamp code a little.

2007-09-26  Wim Taymans  <wim.taymans@gmail.com>

	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_create_stream),
	(gst_rtspsrc_handle_src_query), (gst_rtspsrc_loop_interleaved),
	(gst_rtspsrc_loop_udp), (gst_rtspsrc_close):
	* gst/rtsp/gstrtspsrc.h:
	Set timestamps on RTP buffers in interleaved mode.
	Mark first buffers with a DISCONT.
	Remove flush hack now that sync for live sources has been figured out.

2007-09-26  Wim Taymans  <wim.taymans@gmail.com>

	* gst/udp/gstudpsrc.c: (gst_udpsrc_create):
	Update documentation.

2007-09-26  Wim Taymans  <wim.taymans@gmail.com>

	* gst/qtdemux/gstrtpxqtdepay.c: (gst_rtp_xqt_depay_process),
	(gst_rtp_xqt_depay_change_state):
	* gst/qtdemux/gstrtpxqtdepay.h:
	Fail if we don't know the quicktime format.

2007-09-26  Tim-Philipp Müller  <tim at centricular dot net>

	* ext/flac/gstflacenc.c:
	* ext/flac/gstflacenc.h:
	  Save the flow return from the last gst_pad_push() and
	  make sure we pass the right flow return value upstream
	  in the case of failure; minor clean-ups.

2007-09-25  Tim-Philipp Müller  <tim at centricular dot net>

	* ext/taglib/gstapev2mux.cc:
	* ext/taglib/gstid3v2mux.cc:
	* gst/apetag/gstapedemux.c:
	  Add support for the new GST_TAG_COMPOSER (#459809).

2007-09-25  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/law/alaw-decode.c:
	* gst/law/alaw-decode.h:
	* gst/law/alaw-encode.c:
	* gst/law/alaw-encode.h:
	* gst/law/alaw.c:
	* gst/law/mulaw-conversion.h:
	  Compulsive clean-ups: use boilerplate macros, add debug
	  categories, fix up things to conform to symbol nomenklatura,
	  etc.

2007-09-25  Tim-Philipp Müller  <tim at centricular dot net>

	Based on patch by: Laurent Glayal  <spglegle yahoo fr>

	* gst/law/alaw-decode.c:
	* gst/law/alaw-encode.c:
	  Use static tables for A-Law decoding and encoding; this makes
	  A-Law decoding and encoding less CPU-intensive, but increases
	  the binary size a bit. Leaving old code around for now,
	  selectable by a define in the code. Fixes #435435.

2007-09-25  Sebastian Dröge  <slomo@circular-chaos.org>

	* configure.ac:
	Use AG_GST_ARG_WITH_PLUGINS, AG_GST_ARG_ENABLE_EXTERNAL and
	AG_GST_ARG_ENABLE_EXPERIMENTAL instead of duplicating those macros
	in configure.ac.

2007-09-25  Sebastian Dröge  <slomo@circular-chaos.org>

	Patch by: Jan Gerber <j at bootlab dot org>

	* gst/qtdemux/qtdemux.c: (qtdemux_video_caps):
	Add fourccs for MPEG2 HDV streams. Fixes #479960.

2007-09-23  Stefan Kost  <ensonic@users.sf.net>

	* sys/oss/gstosshelper.c:
	  Use GST_WARNING instead of a g_critical. This situation is not caused
	  by the application.

2007-09-22  Thomas Vander Stichele  <thomas at apestaart dot org>

	* po/LINGUAS:
	* po/nl.po:
	  Updated translations.

2007-09-22  Thomas Vander Stichele  <thomas at apestaart dot org>

	translated by: Mikel Olasagasti <hey_neken@mundurat.net>

	* po/eu.po:
	  Added Basque translation.

2007-09-22  Thomas Vander Stichele  <thomas at apestaart dot org>

	translated by: Abel Cheung <abelcheung@gmail.com>

	* po/zh_HK.po:
	* po/zh_TW.po:
	  Added Chinese (traditional and Hong Kong) translation.

2007-09-22  Thomas Vander Stichele  <thomas at apestaart dot org>

	translated by: Jakub Bogusz <qboosh@pld-linux.org>

	* po/pl.po:
	  Added Polish translation.

2007-09-22  Thomas Vander Stichele  <thomas at apestaart dot org>

	translated by: Ilkka Tuohela <hile@iki.fi>

	* po/fi.po:
	  Added Finnish translation.

2007-09-22  Thomas Vander Stichele  <thomas at apestaart dot org>

	translated by: Jorge González González <aloriel@gmail.com>

	* po/es.po:
	  Added Spanish translation.

2007-09-22  Thomas Vander Stichele  <thomas at apestaart dot org>

	translated by: Mogens Jaeger <mogens@jaeger.tf>

	* po/da.po:
	  Added Danish translation.

2007-09-22  Thomas Vander Stichele  <thomas at apestaart dot org>

	translated by: Funda Wang <fundawang@linux.net.cn>

	* po/zh_CN.po:
	  Added Chinese (simplified) translation.

2007-09-22  Thomas Vander Stichele  <thomas at apestaart dot org>

	translated by: Alexander Shopov <ash@contact.bg>

	* po/bg.po:
	  Added Bulgarian translation.

2007-09-21  Wim Taymans  <wim.taymans@gmail.com>

	* gst/rtp/gstrtpamrdepay.c: (gst_rtp_amr_depay_process):
	Set outgoing packet duration because we can. Fixes #478244 some more.

2007-09-20  Stefan Kost  <ensonic@users.sf.net>

	* ext/cairo/gsttextoverlay.c:
	  Add info about static leak.
	
	* tests/check/Makefile.am:
	* tests/check/generic/states.c:
	  Improved state change unit test.

2007-09-19  Stefan Kost  <ensonic@users.sf.net>

	* docs/plugins/.cvsignore:
	* tests/check/.cvsignore:
	  Ignore registries in any format.

2007-09-19  Wim Taymans  <wim.taymans@gmail.com>

	* gst/rtp/gstrtpL16pay.c: (gst_rtp_L16_pay_handle_buffer):
	Removed some unused code.

	* gst/rtp/gstrtpamrpay.c: (gst_rtp_amr_pay_handle_buffer):
	* gst/rtp/gstrtpgsmpay.c: (gst_rtp_gsm_pay_handle_buffer):
	* gst/rtp/gstrtpmp2tpay.c: (gst_rtp_mp2t_pay_handle_buffer):
	* gst/rtp/gstrtpspeexpay.c: (gst_rtp_speex_pay_handle_buffer):
	* gst/rtp/gstrtptheorapay.c: (gst_rtp_theora_pay_init_packet),
	(gst_rtp_theora_pay_flush_packet):
	* gst/rtp/gstrtpvorbispay.c: (gst_rtp_vorbis_pay_flush_packet):
	Try to preserve the incomming buffer duration on the outgoing
	packets. Fixes #478244.

2007-09-18  Tim-Philipp Müller  <tim at centricular dot net>

	* ext/taglib/gstapev2mux.cc:
	* ext/taglib/gstid3v2mux.cc:
	  Work around compiler warnings with g++-4.2 when assigning a
	  string constant to a gchar * (partially fixes #478092).

2007-09-18  Tim-Philipp Müller  <tim at centricular dot net>

	* configure.ac:
	  We require core CVS now for gst_base_src_set_do_timestamp().

2007-09-17  Jan Schmidt  <Jan.Schmidt@sun.com>

	* gst/audiofx/audiodynamic.c: (gst_audio_dynamic_class_init):
	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_create_stream),
	(new_session_pad), (request_pt_map), (gst_rtspsrc_do_stream_eos),
	(gst_rtspsrc_loop_interleaved), (gst_rtspsrc_parse_rtpinfo),
	(gst_rtspsrc_handle_message):
	Fix compiler warnings shown with Forte.

2007-09-16  Wim Taymans  <wim.taymans@gmail.com>

	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_setup_streams),
	(gst_rtspsrc_dup_printf):
	Give meaningfull error when all streams failed to configure for some
	reason.

2007-09-16  Wim Taymans  <wim.taymans@gmail.com>

	* gst/rtp/README:
	Update README with the design for synchronisation rules of RTP on
	sender and receiver.

2007-09-14  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/wavparse/gstwavparse.c: (gst_wavparse_loop),
	(gst_wavparse_chain):
	Don't push EOS from the chain function, the element
	driving the pipeline is responsible for this. The bug
	this was meant to fix seems to be queue not forwarding
	EOS in all cases (see #476514).

2007-09-13  Wim Taymans  <wim.taymans@gmail.com>

	* gst/level/gstlevel.c: (gst_level_class_init), (gst_level_start),
	(gst_level_transform_ip):
	* gst/level/gstlevel.h:
	Use basetransform segment so that it is correctly managed on flushes and
	start/stop.
	Report message timestamp as stream time, which is what an application
	can understand.

2007-09-13  Sebastian Dröge  <slomo@circular-chaos.org>

	* ext/taglib/gstapev2mux.cc:
	* ext/taglib/gstapev2mux.h:
	* ext/taglib/gsttaglibmux.c:
	* tests/check/elements/apev2mux.c:
	Update my mail address.

2007-09-13  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/wavparse/gstwavparse.c: (gst_wavparse_perform_eos),
	(gst_wavparse_loop), (gst_wavparse_chain):
	Add EOS logic for the push-based mode too. Fixes #476514.

2007-09-12  Wim Taymans  <wim.taymans@gmail.com>

	* gst/law/alaw-encode.c: (gst_alawenc_init), (gst_alawenc_chain):
	* gst/law/alaw-encode.h:
	* gst/law/mulaw-encode.c: (gst_mulawenc_init),
	(gst_mulawenc_chain):
	* gst/law/mulaw-encode.h:
	Fix law encoder timestamps.

2007-09-12  Stefan Kost  <ensonic@users.sf.net>

	* ext/gconf/gstgconfaudiosink.c:
	  Fix warning when building without debug.

	* sys/oss/gstossmixertrack.c:
	  Use const like in alsamixertrack.c (fixes warnings).

2007-09-11  Wim Taymans  <wim.taymans@gmail.com>

	* sys/v4l2/v4l2src_calls.c:
	(gst_v4l2src_probe_caps_for_format_and_size):
	Fix framerate detection code some more.
	Handle the case where there is a weird step in the stepwise framerates.
	Don't overwrite the min interval with the framerate, use a temp variable
	instead.
	Use max in the Continuous framerate intervals instead of step, which is
	1 according to the docs. Fixes #475424.

2007-09-10  Wim Taymans  <wim.taymans@gmail.com>

	* gst/udp/gstudpsrc.c: (gst_udpsrc_init), (gst_udpsrc_create):
	Make udpsrc timestamp outgoing buffers based on when they were received.
	Also make it output a segment in time.

2007-09-10  Stefan Kost  <ensonic@users.sf.net>

	* gst/avi/gstavidemux.c:
	  Plug a little leak. Little code cleanups.

2007-09-09  Tim-Philipp Müller  <tim at centricular dot net>

	* configure.ac:
	  Use AC_TRY_COMPILE instead of AC_TRY_RUN to check for old
	  flac versions, 's good for cross-compilation karma.

2007-09-07  Tim-Philipp Müller  <tim at centricular dot net>

	Patch by: Haakon Sporsheim  <haakon.sporsheim at tandberg com>

	* gst/rtp/gstrtph263pay.c:
	  Fix up header structure so that compilers don't add padding
	  between the structure fields, since that would lead to us
	  sending RTP packets with broken headers (as is currently the
	  case when compiling with MSVC). Also see similar fixes in
	  libgstrtp in gst-plugins-base. (#474616; #471194)

2007-09-07  Wim Taymans  <wim.taymans@gmail.com>

	* sys/v4l2/v4l2src_calls.c:
	(gst_v4l2src_probe_caps_for_format_and_size):
	Don't overwrite our GValue with 0 but instead use the previously
	computed value. Fixes #471823 some more.

2007-09-06  Tim-Philipp Müller  <tim at centricular dot net>

	* docs/plugins/gst-plugins-good-plugins.hierarchy:
	  No tabs in this file please, or gtk-doc will end up documenting
	  rather absurd class hierarchies.

2007-09-06  Tim-Philipp Müller  <tim at centricular dot net>

	* ext/gconf/gstswitchsink.c:
	  If the new kid element fails to change state for some reason
	  (e.g. esdsink not being able to connect to the sound server),
	  forward the error message it posted on the bus instead of just
	  posting a generic 'Internal state change error: please file a
	  bug' error message. Fixes #471364.

2007-09-05  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/qtdemux/Makefile.am:
	* gst/qtdemux/qtdemux.c:
	  Don't assume tags are encoded as UTF-8 (#473670).

2007-09-05  Tim-Philipp Müller  <tim at centricular dot net>

	* sys/v4l2/gstv4l2src.c:
	* sys/v4l2/gstv4l2src.h:
	* sys/v4l2/v4l2src_calls.c:
	  Implement LATENCY queries in the crudest way possible so I don't
	  have to use sync=false any longer when testing with videosinks.

2007-09-05  Tim-Philipp Müller  <tim at centricular dot net>

	* configure.ac:
	  Fix build.

2007-09-04  Wim Taymans  <wim.taymans@gmail.com>

	* sys/v4l2/v4l2src_calls.c:
	(gst_v4l2src_probe_caps_for_format_and_size):
	Add some more debugging in the framerate function.
	Iterate stepwise framerate up to and _including_ the max and if nothing
	was added to the list, add a dummy 0/1 to 100/1 framerate so that we
	don't end up with an empty list. Fixes #471823

2007-09-04  Wim Taymans  <wim.taymans@gmail.com>

	* gst/udp/gstmultiudpsink.c: (gst_multiudpsink_class_init),
	(gst_multiudpsink_set_clients_string),
	(gst_multiudpsink_get_clients_string),
	(gst_multiudpsink_set_property), (gst_multiudpsink_get_property),
	(gst_multiudpsink_init_send), (gst_multiudpsink_add_internal),
	(gst_multiudpsink_add), (gst_multiudpsink_clear_internal),
	(gst_multiudpsink_clear):
	Add property do configure destination address/port pairs
	API:GstMultiUDPSink::clients

2007-09-04  Wim Taymans  <wim.taymans@gmail.com>

	* tests/examples/Makefile.am:
	* tests/examples/rtp/Makefile.am:
	* tests/examples/rtp/client-H263p-AMR.sh:
	* tests/examples/rtp/client-H263p-PCMA.sdp:
	* tests/examples/rtp/client-H263p-PCMA.sh:
	* tests/examples/rtp/client-H264-PCMA.sdp:
	* tests/examples/rtp/client-H264-PCMA.sh:
	* tests/examples/rtp/client-PCMA.sh:
	* tests/examples/rtp/server-VTS-H263p-ATS-PCMA.sh:
	* tests/examples/rtp/server-alsasrc-PCMA.sh:
	* tests/examples/rtp/server-v4l2-H263p-alsasrc-AMR.sh:
	* tests/examples/rtp/server-v4l2-H264-alsasrc-PCMA.sh:
	Added some RTP example scripts for sending and receiving RTP streams.

2007-09-04  Wim Taymans  <wim.taymans@gmail.com>

	* sys/v4l2/gstv4l2src.c: (gst_v4l2_get_caps_info),
	(gst_v4l2src_set_caps), (gst_v4l2src_get_mmap):
	Restructure the setcaps function so that we can also compute the
	expected GStreamer output size of the video frames.
	Set frame_byte_size correctly so that read-based devices have a chance
	of working correctly.
	When grabbing a frame, discard frames that are not of the expected size.
	Some cameras don't output the right framesize for the first buffer.
	Try only a couple of times to get a valid frame, else error out.

	* sys/v4l2/v4l2_calls.c: (gst_v4l2_get_capabilities),
	(gst_v4l2_fill_lists), (gst_v4l2_get_input):
	Add some more debug info when scanning the device.

	* sys/v4l2/v4l2src_calls.c: (gst_v4l2_buffer_new),
	(gst_v4l2_buffer_pool_new), (gst_v4l2_buffer_pool_activate),
	(gst_v4l2src_fill_format_list), (gst_v4l2src_grab_frame),
	(gst_v4l2src_set_capture), (gst_v4l2src_capture_init):
	Add some more debug info when dequeing a frame.

2007-09-04  Stefan Kost  <ensonic@users.sf.net>

	* gst/wavparse/gstwavparse.c:
	  More code cleanups. Add some more comment and improve debugs logs.

2007-09-04  Stefan Kost  <ensonic@users.sf.net>

	* gst/wavparse/gstwavparse.c:
	* gst/wavparse/gstwavparse.h:
	  Implement seek-query. Refactor duration calculations. Appropriate use
	  of uint64_scale_int and uint64_scale. Move repeadedly calculated stuff
	  out of loops.

2007-09-03  Stefan Kost  <ensonic@users.sf.net>

	* gst/avi/gstavidemux.c:
	  Implement seek-query.

2007-08-29  Wim Taymans  <wim.taymans@gmail.com>

	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_stream_configure_udp_sink),
	(gst_rtspsrc_dup_printf):
	Use new basesink async property to make sparse RTCP packet not wait for
	preroll.

2007-08-27  Jan Schmidt  <thaytan@mad.scientist.com>

	* gst/audiofx/Makefile.am:
	Dist the right file.

2007-08-23  Wim Taymans  <wim.taymans@gmail.com>

	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_dup_printf),
	(gst_rtspsrc_get_float), (gst_rtspsrc_play):
	Make sure we generate and parse floating point values in the POSIX
	locale instead of the current locale. 

2007-08-22  Wim Taymans  <wim.taymans@gmail.com>

	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_do_seek),
	(gst_rtspsrc_parse_methods), (gst_rtspsrc_open),
	(gst_rtspsrc_play):
	* gst/rtsp/gstrtspsrc.h:
	Fix method detection again.
	Keep track of when we must send a Range header.
	Use segment values for Range, Speed and Scale headers.
	Parse Speed and Scale headers to update the segment values.

2007-08-22  Stefan Kost  <ensonic@users.sf.net>

	patch by: Mark Nauwelaerts <manauw@skynet.be>

	* sys/v4l2/v4l2src_calls.c:
	  Handle optional v4l2 ioctls gracefully.

2007-08-20  Wim Taymans  <wim.taymans@gmail.com>

	* gst/rtp/Makefile.am:
	* gst/rtp/gstrtp.c: (plugin_init):
	* gst/rtp/gstrtph263depay.c: (gst_rtp_h263_depay_base_init),
	(gst_rtp_h263_depay_class_init), (gst_rtp_h263_depay_init),
	(gst_rtp_h263_depay_finalize), (gst_rtp_h263_depay_setcaps),
	(gst_rtp_h263_depay_process), (gst_rtp_h263_depay_set_property),
	(gst_rtp_h263_depay_get_property),
	(gst_rtp_h263_depay_change_state),
	(gst_rtp_h263_depay_plugin_init):
	* gst/rtp/gstrtph263depay.h:
	Added an H263 depayloader. Fixes #369392.

	* gst/rtp/gstrtph263pdepay.c: (gst_rtp_h263p_depay_setcaps),
	(gst_rtp_h263p_depay_process):
	* gst/rtp/gstrtph263ppay.c: (gst_fragmentation_mode_get_type),
	(gst_rtp_h263p_pay_class_init), (gst_rtp_h263p_pay_flush):
	Make the H263+ pay/depayloader support H263-1998 and H263-2000
	payloads.
	Also alow plain H263 on the h263p payloaders. Fixes #465040.

2007-08-19  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/audiofx/audiochebyshevfreqband.c:
	* gst/audiofx/audiochebyshevfreqlimit.c:
	Add small comparision with the windowed sinc filters in the docs.

2007-08-19  Sebastian Dröge  <slomo@circular-chaos.org>

	* tests/check/elements/audiochebyshevfreqband.c: (GST_START_TEST),
	(audiochebyshevfreqband_suite):
	* tests/check/elements/audiochebyshevfreqlimit.c: (GST_START_TEST),
	(audiochebyshevfreqlimit_suite):
	Also test 32 bit float mode and the type 2 variants of the filters.

2007-08-18  Wim Taymans  <wim.taymans@gmail.com>

	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_loop_interleaved),
	(gst_rtspsrc_loop_udp), (gst_rtspsrc_loop_send_cmd),
	(gst_rtspsrc_loop):
	Refactor the udp and interleaved loop function a bit.

2007-08-17  Wim Taymans  <wim.taymans@gmail.com>

	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_init),
	(gst_rtspsrc_finalize), (gst_rtspsrc_connection_send),
	(gst_rtspsrc_connection_receive), (gst_rtspsrc_sink_chain),
	(gst_rtspsrc_handle_request), (gst_rtspsrc_send_keep_alive),
	(gst_rtspsrc_loop_interleaved), (gst_rtspsrc_loop_udp),
	(gst_rtspsrc_try_send), (gst_rtspsrc_pause):
	* gst/rtsp/gstrtspsrc.h:
	Protect connection activity with a new lock, avoids deadlocks when going
	to PAUSED. Fixes #455808.

2007-08-17  Wim Taymans  <wim.taymans@gmail.com>

	* gst/debug/rndbuffersize.c: (gst_rnd_buffer_size_loop):
	Fix debug statement.

2007-08-17  Wim Taymans  <wim.taymans@gmail.com>

	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_do_stream_eos):
	Fix stray %u in debug line as spotted by Saur on IRC.

2007-08-17  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/audiofx/audiochebyshevfreqband.c:
	(gst_audio_chebyshev_freq_band_class_init):
	* gst/audiofx/audiochebyshevfreqlimit.c:
	(gst_audio_chebyshev_freq_limit_class_init):
	Use generator macros for the process functions for the different
	sample types, add lower upper boundaries for the GObject properties
	so automatically generated UIs can use sliders and add a note about
	the number of poles as a too high number of poles combined with
	very low or very high frequencies will produce only noise.
	* docs/plugins/gst-plugins-good-plugins.args:
	Regenerated for the property changes.

2007-08-17  Wim Taymans  <wim.taymans@gmail.com>

	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_set_property),
	(gst_rtspsrc_flush), (gst_rtspsrc_sink_chain),
	(gst_rtspsrc_stream_configure_udp_sink),
	(gst_rtspsrc_send_keep_alive), (gst_rtspsrc_loop_interleaved),
	(gst_rtspsrc_loop_udp), (gst_rtspsrc_loop_send_cmd),
	(gst_rtspsrc_try_send), (gst_rtspsrc_send),
	(gst_rtspsrc_parse_methods), (gst_rtspsrc_parse_range),
	(gst_rtspsrc_open), (gst_rtspsrc_close), (gst_rtspsrc_pause),
	(gst_rtspsrc_handle_message), (gst_rtspsrc_change_state):
	* gst/rtsp/gstrtspsrc.h:
	Improve timeout handling.
	Use the same socket for sending and receiving RTCP packets so that some
	servers can track clients better.
	Improve connection closed handling. Try to reconnect.
	Don't overwrite our content base with NULL.
	Improve debugging.
	Improve range parsing and handling.
	Remove flushing hack now that core does the right thing.

2007-08-17  Wim Taymans  <wim.taymans@gmail.com>

	* gst/udp/gstmultiudpsink.c: (gst_multiudpsink_class_init),
	(gst_multiudpsink_init), (gst_multiudpsink_set_property),
	(gst_multiudpsink_get_property), (gst_multiudpsink_init_send),
	(gst_multiudpsink_close), (gst_multiudpsink_add):
	* gst/udp/gstmultiudpsink.h:
	Add support for getting and setting the socket to use.

	* gst/udp/gstudpsrc.c: (gst_udpsrc_class_init), (gst_udpsrc_init),
	(gst_udpsrc_create), (gst_udpsrc_get_property):
	Add support for getting the currently used socket.

2007-08-16  Sebastian Dröge  <slomo@circular-chaos.org>

	reviewed by: Stefan Kost  <ensonic@users.sf.net>

	* gst/audiofx/Makefile.am:
	* gst/audiofx/audiochebyshevfreqband.c:
	(gst_audio_chebyshev_freq_band_mode_get_type),
	(gst_audio_chebyshev_freq_band_base_init),
	(gst_audio_chebyshev_freq_band_dispose),
	(gst_audio_chebyshev_freq_band_class_init),
	(gst_audio_chebyshev_freq_band_init),
	(generate_biquad_coefficients), (calculate_gain),
	(generate_coefficients),
	(gst_audio_chebyshev_freq_band_set_property),
	(gst_audio_chebyshev_freq_band_get_property),
	(gst_audio_chebyshev_freq_band_setup), (process), (process_64),
	(process_32), (gst_audio_chebyshev_freq_band_transform_ip),
	(gst_audio_chebyshev_freq_band_start):
	* gst/audiofx/audiochebyshevfreqband.h:
	* gst/audiofx/audiochebyshevfreqlimit.c:
	(gst_audio_chebyshev_freq_limit_mode_get_type),
	(gst_audio_chebyshev_freq_limit_base_init),
	(gst_audio_chebyshev_freq_limit_dispose),
	(gst_audio_chebyshev_freq_limit_class_init),
	(gst_audio_chebyshev_freq_limit_init),
	(generate_biquad_coefficients), (calculate_gain),
	(generate_coefficients),
	(gst_audio_chebyshev_freq_limit_set_property),
	(gst_audio_chebyshev_freq_limit_get_property),
	(gst_audio_chebyshev_freq_limit_setup), (process), (process_64),
	(process_32), (gst_audio_chebyshev_freq_limit_transform_ip),
	(gst_audio_chebyshev_freq_limit_start):
	* gst/audiofx/audiochebyshevfreqlimit.h:
	* gst/audiofx/audiofx.c: (plugin_init):
	Add Chebyshev lowpass/highpass and bandpass/bandreject elements.
	Fixes #464800.

	* tests/check/Makefile.am:
	* tests/check/elements/.cvsignore:
	* tests/check/elements/audiochebyshevfreqband.c:
	(setup_audiochebyshevfreqband), (cleanup_audiochebyshevfreqband),
	(GST_START_TEST), (audiochebyshevfreqband_suite), (main):
	* tests/check/elements/audiochebyshevfreqlimit.c:
	(setup_audiochebyshevfreqlimit), (cleanup_audiochebyshevfreqlimit),
	(GST_START_TEST), (audiochebyshevfreqlimit_suite), (main):
	Add unit tests for the chebyshev filters.

	* docs/plugins/Makefile.am:
	* docs/plugins/gst-plugins-good-plugins-docs.sgml:
	* docs/plugins/gst-plugins-good-plugins-sections.txt:
	* docs/plugins/gst-plugins-good-plugins.args:
	* docs/plugins/inspect/plugin-1394.xml:
	* docs/plugins/inspect/plugin-audiofx.xml:
	* docs/plugins/inspect/plugin-dv.xml:
	* docs/plugins/inspect/plugin-flac.xml:
	* docs/plugins/inspect/plugin-jpeg.xml:
	* docs/plugins/inspect/plugin-png.xml:
	* docs/plugins/inspect/plugin-rtp.xml:
	* docs/plugins/inspect/plugin-shout2send.xml:
	* docs/plugins/inspect/plugin-wavpack.xml:
	And add docs for the chebyshev filters. While doing
	that also run make update in docs/plugins.

2007-08-16  Stefan Kost  <ensonic@users.sf.net>

	* ext/annodex/gstcmmltag.c:
	* gst/rtp/gstrtpvorbispay.c:
	  Make ro memory to share.

2007-08-16  Wim Taymans  <wim.taymans@gmail.com>

	* gst/udp/gstudpsrc.c: (gst_udpsrc_create):
	Improve UDP performance by avoiding a select() when we have data
	available immediatly.

2007-08-16  Wim Taymans  <wim.taymans@gmail.com>

	* gst/rtsp/gstrtpdec.c: (gst_rtp_dec_marshal_VOID__UINT_UINT),
	(gst_rtp_dec_class_init):
	* gst/rtsp/gstrtpdec.h:
	Add (dummy) SSRC management signals.

	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_class_init),
	(gst_rtspsrc_set_property), (gst_rtspsrc_get_property),
	(find_stream), (gst_rtspsrc_create_stream), (new_session_pad),
	(request_pt_map), (gst_rtspsrc_do_stream_eos), (on_bye_ssrc),
	(on_timeout), (gst_rtspsrc_stream_configure_manager),
	(gst_rtspsrc_stream_push_event), (gst_rtspsrc_push_event),
	(gst_rtspsrc_loop_interleaved), (gst_rtspsrc_parse_rtpinfo),
	(gst_rtspsrc_handle_message), (gst_rtspsrc_change_state):
	* gst/rtsp/gstrtspsrc.h:
	Add connection-speed property.
	Add find_stream helper functions.
	Handle stream EOS based on BYE messages or SSRC timeout.
	Returns SUCCESS from the state change function as we hide our async
	elements from the parent.

2007-08-16  Stefan Kost  <ensonic@users.sf.net>

	* gst/debug/rndbuffersize.c:
	  Fix da leak.

2007-08-14  Stefan Kost  <ensonic@users.sf.net>

	* gst/debug/Makefile.am:
	* gst/debug/breakmydata.c:
	* gst/debug/gstdebug.c:
	* gst/debug/negotiation.c:
	* gst/debug/progressreport.c:
	* gst/debug/rndbuffersize.c:
	* gst/debug/testplugin.c:
	  Add new test element and clean-up the others a little.

2007-08-12  Wim Taymans  <wim.taymans@gmail.com>

	* gst/qtdemux/qtdemux.c: (qtdemux_parse_node):
	Fix parsing of mp4a version 0 atoms. Fixes #465774.

2007-08-10  Stefan Kost  <ensonic@users.sf.net>

	* gst/rtp/gstrtpilbcdepay.c:
	  Include stdlib.

2007-08-10  Wim Taymans  <wim.taymans@gmail.com>

	* gst/rtp/gstrtpmpvdepay.c:
	Set the mpegversion in the caps so that autoplugging does not get
	confused.

2007-08-09  Thomas Vander Stichele  <thomas at apestaart dot org>

	* po/hu.po:
	* po/uk.po:
	* po/vi.po:
	  Updated translations.

2007-08-08  Michael Smith <msmith@fluendo.com>

	* gst/videobox/gstvideobox.c: (gst_video_box_ayuv_i420):
	  Render right border in the correct location.

2007-08-08  Wim Taymans  <wim.taymans@gmail.com>

	Patch by: Olivier Crete <tester at tester dot ca>

	* gst/rtp/gstrtpilbcdepay.c: (gst_rtp_ilbc_depay_setcaps):
	* gst/rtp/gstrtpilbcpay.c: (gst_rtpilbcpay_setcaps):
	Make mode property a string. Fixes #464475.

2007-08-05  Stefan Kost  <ensonic@users.sf.net>

	* ext/flac/gstflacenc.c:
	  Widen caps to match decoder a bit and add more FIXMEs.

2007-08-05  Stefan Kost  <ensonic@users.sf.net>

	patch by: Mark Nauwelaerts <manauw@skynet.be>

	* gst/avi/gstavimux.c:
	  Fix ODML index tag numbering. Fixes #463624.

2007-08-03  Wim Taymans  <wim.taymans@gmail.com>

	* gst/rtsp/gstrtspsrc.c: (get_default_rate_for_pt),
	(gst_rtspsrc_parse_rtpmap), (gst_rtspsrc_media_to_caps),
	(gst_rtspsrc_stream_configure_tcp),
	(gst_rtspsrc_stream_configure_udp_sink):
	Fix default clock-rate for realmedia.
	Fix parsing of transport.
	Don't try to link NULL pads.

2007-07-30  Tim-Philipp Müller  <tim at centricular dot net>

	* po/POTFILES.skip:
	  Add POTFILES.skip with list of source files that aren't disted at the
	  moment but contain translatable strings. Should hopefully pacify
	  broken tools and make it clearer that these files are left out
	  intentionally (#461600).

2007-07-30  Edward Hervey  <bilboed@bilboed.com>

	* gst/qtdemux/qtdemux.c: (gst_qtdemux_loop_state_movie):
	If the buffer was entirely clipped ... don't try sending it :)

2007-07-27  Wim Taymans  <wim.taymans@gmail.com>

	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_activate_streams),
	(gst_rtspsrc_loop_interleaved), (gst_rtspsrc_parse_methods),
	(gst_rtspsrc_create_transports_string),
	(gst_rtspsrc_prepare_transports):
	If we don't hav a session manager, set the caps on outgoing buffers
	ourselves.
	Force PAUSE/PLAY methods for now until the extensions can overwrite.
	Append final bit of the transport string even when it does not contain a
	placeholder.

2007-07-27  Wim Taymans  <wim.taymans@gmail.com>

	* gst/rtsp/gstrtspext.c: (gst_rtsp_ext_list_free),
	(gst_rtsp_ext_list_connect):
	* gst/rtsp/gstrtspext.h:
	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_init),
	(gst_rtspsrc_finalize), (gst_rtspsrc_send_cb):
	Clean up the interface list.
	Allow connecting to interface signals for the extensions.
	Remove old extension code.
	Free list on cleanup.
	Allow extensions to send additional RTSP messages.

2007-07-27  Jan Schmidt  <thaytan@mad.scientist.com>

	* ext/gconf/gconf.c: (gst_gconf_render_bin_with_default):
	Handle a NULL gconf key gracefully by rendering the default element.

2007-07-27  Wim Taymans  <wim.taymans@gmail.com>

	* gst/rtsp/gstrtspext.h:
	Fix include path for extension interface.

2007-07-26  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/audiofx/audioamplify.h:
	Also remove a now unecessary variable here.

2007-07-26  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/audiofx/audioamplify.c: (gst_audio_amplify_init),
	(gst_audio_amplify_setup), (gst_audio_amplify_transform_ip):
	* gst/audiofx/audiodynamic.c:
	(gst_audio_dynamic_set_process_function), (gst_audio_dynamic_init),
	(gst_audio_dynamic_setup), (gst_audio_dynamic_transform_ip):
	* gst/audiofx/audiodynamic.h:
	* gst/audiofx/audioinvert.c: (gst_audio_invert_init),
	(gst_audio_invert_setup), (gst_audio_invert_transform_ip):
	* gst/audiofx/audioinvert.h:
	Don't save format information ourselves, this is already saved in
	GstAudioFilter.

2007-07-26  Wim Taymans  <wim.taymans@gmail.com>

	* gst/rtsp/gstrtspext.c: (gst_rtsp_ext_list_filter),
	(gst_rtsp_ext_list_stream_select):
	* gst/rtsp/gstrtspext.h:
	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_setup_streams):
	Use rank to filter out extensions.
	Add url to stream_select interface call.

2007-07-25  Wim Taymans  <wim.taymans@gmail.com>

	* gst/rtsp/Makefile.am:
	* gst/rtsp/base64.c:
	* gst/rtsp/base64.h:
	* gst/rtsp/gstrtspext.c: (gst_rtsp_ext_list_filter),
	(gst_rtsp_ext_list_init), (gst_rtsp_ext_list_get),
	(gst_rtsp_ext_list_detect_server), (gst_rtsp_ext_list_before_send),
	(gst_rtsp_ext_list_after_send), (gst_rtsp_ext_list_parse_sdp),
	(gst_rtsp_ext_list_setup_media),
	(gst_rtsp_ext_list_configure_stream),
	(gst_rtsp_ext_list_get_transports),
	(gst_rtsp_ext_list_stream_select):
	* gst/rtsp/gstrtspext.h:
	* gst/rtsp/gstrtspsrc.c: (gst_rtsp_lower_trans_get_type),
	(gst_rtspsrc_class_init), (gst_rtspsrc_init),
	(gst_rtspsrc_finalize), (gst_rtspsrc_create_stream),
	(gst_rtspsrc_parse_rtpmap), (gst_rtspsrc_media_to_caps),
	(gst_rtspsrc_flush), (gst_rtspsrc_do_seek),
	(gst_rtspsrc_sink_chain), (gst_rtspsrc_stream_configure_manager),
	(gst_rtspsrc_stream_configure_tcp),
	(gst_rtspsrc_stream_configure_mcast),
	(gst_rtspsrc_stream_configure_udp),
	(gst_rtspsrc_stream_configure_udp_sink),
	(gst_rtspsrc_stream_configure_transport),
	(gst_rtspsrc_handle_request), (gst_rtspsrc_send_keep_alive),
	(gst_rtspsrc_loop_interleaved), (gst_rtspsrc_loop_udp),
	(gst_rtspsrc_loop_send_cmd), (gst_rtsp_auth_method_to_string),
	(gst_rtspsrc_parse_auth_hdr), (gst_rtspsrc_setup_auth),
	(gst_rtspsrc_try_send), (gst_rtspsrc_send),
	(gst_rtspsrc_parse_methods),
	(gst_rtspsrc_create_transports_string),
	(gst_rtspsrc_prepare_transports), (gst_rtspsrc_setup_streams),
	(gst_rtspsrc_parse_range), (gst_rtspsrc_open), (gst_rtspsrc_close),
	(gst_rtspsrc_play), (gst_rtspsrc_pause),
	(gst_rtspsrc_change_state), (gst_rtspsrc_uri_set_uri):
	* gst/rtsp/gstrtspsrc.h:
	* gst/rtsp/rtsp.h:
	* gst/rtsp/rtspconnection.c:
	* gst/rtsp/rtspconnection.h:
	* gst/rtsp/rtspdefs.c:
	* gst/rtsp/rtspdefs.h:
	* gst/rtsp/rtspext.h:
	* gst/rtsp/rtspextwms.c:
	* gst/rtsp/rtspextwms.h:
	* gst/rtsp/rtspmessage.c:
	* gst/rtsp/rtspmessage.h:
	* gst/rtsp/rtsprange.c:
	* gst/rtsp/rtsprange.h:
	* gst/rtsp/rtsptransport.c:
	* gst/rtsp/rtsptransport.h:
	* gst/rtsp/rtspurl.c:
	* gst/rtsp/rtspurl.h:
	* gst/rtsp/sdp.h:
	* gst/rtsp/sdpmessage.c:
	* gst/rtsp/sdpmessage.h:
	* gst/rtsp/test.c:
	Use shiny new RTSP and SDP library.
	Implement RTSP extensions using the new interface.
	Remove a lot of old code.

2007-07-24  Edward Hervey  <bilboed@bilboed.com>

	* gst/qtdemux/qtdemux.c: (qtdemux_video_caps):
	Add codec mapping for '2vuy' (Raw YUV produced by FCP) and 'divx'.

2007-07-24  Sebastian Dröge  <slomo@circular-chaos.org>

	* ext/wavpack/gstwavpackdec.c: (gst_wavpack_dec_chain):
	Don't unref the outgoing buffer twice when dropping it because it's
	outside of the segment.

2007-07-24  Sebastian Dröge  <slomo@circular-chaos.org>

	* configure.ac:
	* ext/wavpack/gstwavpackdec.c: (gst_wavpack_dec_reset),
	(gst_wavpack_dec_chain), (gst_wavpack_dec_sink_event):
	Use the new buffer clipping function from gstaudio here and
	require gst-plugins-base CVS.
	* tests/check/elements/wavpackdec.c: (GST_START_TEST):
	For framed Wavpack buffers we require a valid timestamp.

2007-07-23  Wim Taymans  <wim.taymans@gmail.com>

	* gst/qtdemux/qtdemux.c: (gst_qtdemux_activate_segment),
	(gst_qtdemux_clip_buffer), (gst_qtdemux_loop_state_movie),
	(qtdemux_parse_trak), (qtdemux_video_caps), (qtdemux_audio_caps):
	Clip raw audio and video when we can, keep track of current output
	segment.
	Don't leak buffers and events when there is no output pad.
	Improve debugging here and there.

2007-07-23  Stefan Kost  <ensonic@users.sf.net>

	* configure.ac:
	  Sync liboil check with plugins-base.

2007-07-20  Stefan Kost  <ensonic@users.sf.net>

	* ext/annodex/Makefile.am:
	  Fix CFLAGS/LIBS.

	* ext/cdio/gstcdiocddasrc.c:
	* ext/libpng/gstpngdec.c: (gst_pngdec_task):
	  Include stdlib

	* ext/cairo/Makefile.am:
	* gst/videofilter/Makefile.am:
	* tests/examples/level/Makefile.am:
	  Use $(LIBM) instead of -lm

2007-07-18  Stefan Kost  <ensonic@users.sf.net>

	* sys/v4l2/gstv4l2src.c:
	  Add another example pipeline.

2007-07-18  Stefan Kost  <ensonic@users.sf.net>

	Patch by: Alexander Eichner <alexeichi@yahoo.de>

	* sys/v4l2/gstv4l2src.c: (gst_v4l2src_init):
	  Use define here.

	* sys/v4l2/gstv4l2tuner.c:
	(gst_v4l2_tuner_set_frequency_and_notify):
	  Don't touch the property - its still disabled.

	* sys/v4l2/v4l2src_calls.c: (gst_v4l2src_probe_caps_for_format),
	(gst_v4l2src_grab_frame), (gst_v4l2src_get_size_limits):
	* sys/v4l2/v4l2src_calls.h:
	  Improve fallback format negotionation. Fixes #451388

2007-07-18  Stefan Kost  <ensonic@users.sf.net>

	* tests/check/elements/videocrop.c: (GST_START_TEST):
	  Fix the test.

2007-07-18  Stefan Kost  <ensonic@users.sf.net>

	* docs/plugins/Makefile.am:
	* docs/plugins/gst-plugins-good-plugins-docs.sgml:
	* docs/plugins/gst-plugins-good-plugins-sections.txt:
	* docs/plugins/inspect/plugin-jpeg.xml:
	* docs/plugins/inspect/plugin-png.xml:
	* ext/jpeg/gstjpegdec.c:
	* ext/libpng/gstpngdec.c: (gst_pngdec_task),
	(gst_pngdec_sink_setcaps):
	  More docs. More logs in pngdec.

2007-07-17  Stefan Kost  <ensonic@users.sf.net>

	* sys/v4l2/gstv4l2src.c: (gst_v4l2src_init):
	  Initialize num_buffers with minimum value.

	* sys/v4l2/v4l2src_calls.c: (gst_v4l2src_fill_format_list),
	(gst_v4l2src_probe_caps_for_format), (gst_v4l2src_grab_frame):
	  Handle frame-size query failure gracefully.

2007-07-16  Wim Taymans  <wim.taymans@gmail.com>

	* gst/qtdemux/qtdemux.c: (qtdemux_parse_node):
	Fix parsing of esds atoms inside mp4a atoms so that we can set correct
	codec_info for AAC audio. Fixes #457097 along with a whole other bunch
	of qt/aac files.

2007-07-16  Sebastian Dröge  <slomo@circular-chaos.org>

	* ext/wavpack/gstwavpackdec.c:
	(gst_wavpack_dec_clip_outgoing_buffer):
	Fix buffer clipping to correctly clip to the segment stop.

2007-07-13  Jan Schmidt  <thaytan@mad.scientist.com>

	* configure.ac:
	* tests/Makefile.am:
	Remove bogus check for libcheck, since we check for
	gstreamer-check and it pulls in the required info from there,
	and we weren't actually _using_ the information for libcheck
	ourselves anyway.

2007-07-12  Stefan Kost  <ensonic@users.sf.net>

	* configure.ac:
	  Use pkg-config to locate check.

2007-07-11  Tim-Philipp Müller  <tim at centricular dot net>

	* ext/cairo/gsttimeoverlay.c: (gst_cairo_time_overlay_transform):
	* ext/jpeg/gstjpegenc.c: (gst_jpegenc_chain):
	* ext/libpng/gstpngenc.c: (gst_pngenc_chain):
	* ext/wavpack/gstwavpackdec.c: (gst_wavpack_dec_chain):
	* gst/debug/gstnavigationtest.c: (gst_navigationtest_transform):
	* gst/effectv/gstaging.c: (gst_agingtv_transform):
	* gst/effectv/gstdice.c: (gst_dicetv_transform):
	* gst/effectv/gstedge.c: (gst_edgetv_transform):
	* gst/effectv/gstquark.c: (gst_quarktv_transform):
	* gst/effectv/gstrev.c: (gst_revtv_transform):
	* gst/effectv/gstshagadelic.c: (gst_shagadelictv_transform):
	* gst/effectv/gstvertigo.c: (gst_vertigotv_transform):
	* gst/effectv/gstwarp.c: (gst_warptv_transform):
	* gst/matroska/matroska-demux.c:
	(gst_matroska_demux_add_wvpk_header),
	(gst_matroska_demux_check_subtitle_buffer),
	(gst_matroska_decode_buffer):
	* gst/videofilter/gstvideoflip.c: (gst_video_flip_transform):
	  Fix build against core CVS.

2007-07-10  Edward Hervey  <bilboed@gmail.com>

	* gst/id3demux/gstid3demux.c: (gst_id3demux_chain):
	Don't return GST_FLOW_ERROR when pushing an event returns FALSE. We
	don't have enough granularity to convert that boolean into a
	GstFlowReturn.

2007-07-06  Michael Smith <msmith@fluendo.com>

	* gst/law/alaw-decode.c: (alawdec_sink_setcaps),
	(gst_alawdec_class_init), (gst_alawdec_init), (gst_alawdec_chain),
	(gst_alawdec_change_state):
	* gst/law/alaw-decode.h:
	* gst/law/mulaw-decode.c: (mulawdec_sink_setcaps),
	(gst_mulawdec_class_init), (gst_mulawdec_init),
	(gst_mulawdec_chain), (gst_mulawdec_change_state):
	* gst/law/mulaw-decode.h:
	  Fix capsnego bogosity in *law decoders. 

2007-07-06  Michael Smith <msmith@fluendo.com>

	* ext/jpeg/gstsmokeenc.c: (gst_smokeenc_init),
	(gst_smokeenc_setcaps), (gst_smokeenc_chain),
	(gst_smokeenc_change_state):
	* ext/jpeg/gstsmokeenc.h:
	  Remove stupidity in get/set caps functions.
	  Fix some refcounting problems.

2007-07-06  Jan Schmidt  <thaytan@mad.scientist.com>

	* ext/libpng/gstpngdec.c: (gst_pngdec_caps_create_and_set):
	Remove endianness-flipping hack that seems to have been required
	only because of a bug in ffmpegcolorspace.
	Partially Fixes: #451908

2007-07-05  Stefan Kost  <ensonic@users.sf.net>

	* docs/plugins/Makefile.am:
	  Simplify --extra-dir as gtkdoc scans recursively.

2007-07-03  Wim Taymans  <wim@fluendo.com>

	Patch by: Tommi Myöhänen  <ext-tommi dot myohanen at nokia dot com>

	* gst/rtp/gstrtpilbcpay.c: (gst_rtpilbcpay_setcaps):
	Set the encoding-name in the rtp caps to all uppercase, as required by
	the caps spec.
	Some small cleanups in the error paths. Fixes #453037.

2007-06-28  Sebastian Dröge  <slomo@circular-chaos.org>

	* ext/wavpack/gstwavpackparse.c:
	(gst_wavpack_parse_index_get_last_entry),
	(gst_wavpack_parse_index_get_entry_from_sample),
	(gst_wavpack_parse_index_append_entry), (gst_wavpack_parse_reset),
	(gst_wavpack_parse_scan_to_find_sample):
	* ext/wavpack/gstwavpackparse.h:
	Use a GSList for the GArray that is used like a list anyway.

2007-06-28  Tim-Philipp Müller  <tim at centricular dot net>

	* ext/gdk_pixbuf/gstgdkpixbuf.c: (gst_gdk_pixbuf_sink_setcaps),
	(gst_gdk_pixbuf_class_init), (gst_gdk_pixbuf_flush),
	(gst_gdk_pixbuf_sink_event), (gst_gdk_pixbuf_change_state):
	  Add state change function where we set 0/1 as default framerate in
	  case our setcaps function isn't called, like it might not in a
	  filesrc ! gdkpixbufdec scenario. Fixes assertion triggered by
	  gdkpixbufdec trying to create caps with a 0/0 framerate.
	  Also post an error message on the bus if gst_pad_push() fails when
	  called from our sink event handler (+1 for flow returns for event
	  functions in 0.11) instead of failing silently.

2007-06-27  Wim Taymans  <wim@fluendo.com>

	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_configure_caps):
	Cast stack args to the proper types. Fixes #451249.

2007-06-27  Wim Taymans  <wim@fluendo.com>

	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_create_stream),
	(new_session_pad), (gst_rtspsrc_setup_streams):
	* gst/rtsp/gstrtspsrc.h:
	For container formats we only need to activate one of the streams so
	that we correctly signal no-more-pads. Fixes #451015.

2007-06-25  Stefan Kost  <ensonic@users.sf.net>

	* docs/plugins/gst-plugins-good-plugins.args:
	* docs/plugins/inspect/plugin-aasink.xml:
	* docs/plugins/inspect/plugin-alaw.xml:
	* docs/plugins/inspect/plugin-alpha.xml:
	* docs/plugins/inspect/plugin-alphacolor.xml:
	* docs/plugins/inspect/plugin-annodex.xml:
	* docs/plugins/inspect/plugin-apetag.xml:
	* docs/plugins/inspect/plugin-audiofx.xml:
	* docs/plugins/inspect/plugin-auparse.xml:
	* docs/plugins/inspect/plugin-autodetect.xml:
	* docs/plugins/inspect/plugin-avi.xml:
	* docs/plugins/inspect/plugin-cacasink.xml:
	* docs/plugins/inspect/plugin-cairo.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-cutter.xml:
	* docs/plugins/inspect/plugin-debug.xml:
	* docs/plugins/inspect/plugin-efence.xml:
	* docs/plugins/inspect/plugin-effectv.xml:
	* docs/plugins/inspect/plugin-esdsink.xml:
	* docs/plugins/inspect/plugin-flac.xml:
	* docs/plugins/inspect/plugin-flxdec.xml:
	* docs/plugins/inspect/plugin-gconfelements.xml:
	* docs/plugins/inspect/plugin-gdkpixbuf.xml:
	* docs/plugins/inspect/plugin-goom.xml:
	* docs/plugins/inspect/plugin-halelements.xml:
	* docs/plugins/inspect/plugin-icydemux.xml:
	* docs/plugins/inspect/plugin-id3demux.xml:
	* docs/plugins/inspect/plugin-jpeg.xml:
	* docs/plugins/inspect/plugin-ladspa.xml:
	* docs/plugins/inspect/plugin-level.xml:
	* docs/plugins/inspect/plugin-matroska.xml:
	* docs/plugins/inspect/plugin-mulaw.xml:
	* docs/plugins/inspect/plugin-multipart.xml:
	* docs/plugins/inspect/plugin-navigationtest.xml:
	* docs/plugins/inspect/plugin-ossaudio.xml:
	* docs/plugins/inspect/plugin-png.xml:
	* docs/plugins/inspect/plugin-quicktime.xml:
	* docs/plugins/inspect/plugin-rtp.xml:
	* docs/plugins/inspect/plugin-rtsp.xml:
	* docs/plugins/inspect/plugin-smpte.xml:
	* docs/plugins/inspect/plugin-speex.xml:
	* docs/plugins/inspect/plugin-taglib.xml:
	* docs/plugins/inspect/plugin-udp.xml:
	* docs/plugins/inspect/plugin-videobalance.xml:
	* docs/plugins/inspect/plugin-videobox.xml:
	* docs/plugins/inspect/plugin-videocrop.xml:
	* docs/plugins/inspect/plugin-videoflip.xml:
	* docs/plugins/inspect/plugin-videomixer.xml:
	* docs/plugins/inspect/plugin-wavenc.xml:
	* docs/plugins/inspect/plugin-wavparse.xml:
	* docs/plugins/inspect/plugin-ximagesrc.xml:
	  Update docs with caps info.

2007-06-25  Tim-Philipp Müller  <tim at centricular dot net>

	* po/POTFILES.in:
	  Add more files with translatable strings (#450878).

2007-06-22  Jan Schmidt  <thaytan@noraisin.net>

	* MAINTAINERS:
	Updating all the maintainers files

2007-06-22  Edward Hervey  <edward@fluendo.com>

	* ext/flac/gstflactag.c: (gst_flac_tag_init):
	* gst/interleave/deinterleave.c: (deinterleave_init),
	(deinterleave_sink_link):
	* gst/interleave/interleave.c: (interleave_init):
	* gst/median/gstmedian.c: (gst_median_init):
	* gst/oldcore/gstmultifilesrc.c: (gst_multifilesrc_init):
	Fix memory leaks.
	* tests/check/elements/id3demux.c: (pad_added_cb):
	Remove unused variable.

2007-06-21  Jan Schmidt  <thaytan@mad.scientist.com>

	* ext/gconf/gconf.h:
	Make the prototype of gst_gconf_get_key_for_sink_profile
	match the implementation.
	Patch by: Damien Carbery <damien dot carbery at sun dot com>
	Fixes: #449747

2007-06-20  Michael Smith <msmith@fluendo.com>

	* gst/rtp/gstrtpdepay.c:
	  Fix description - rtpdepay is not a payloader.

2007-06-20  Stefan Kost  <ensonic@users.sf.net>

	* gst/qtdemux/qtdemux.c: (qtdemux_parse_samples),
	(qtdemux_video_caps):
	* gst/qtdemux/qtdemux_fourcc.h:
	  Add MJPG to the variants of motion jpeg.

2007-06-19  Tim-Philipp Müller  <tim at centricular dot net>

	* tests/check/Makefile.am:
	* tests/check/elements/audiopanorama.c: (GST_START_TEST):
	* tests/check/elements/videocrop.c: (GST_START_TEST):
	* tests/check/elements/videofilter.c:
	* tests/check/elements/wavpackdec.c: (GST_START_TEST):
	* tests/check/elements/wavpackparse.c: (GST_START_TEST):
	  Add GST_OPTION_CFLAGS to CFLAGS when building unit tests, so the
	  error flags are included and it errors out on compiler warnings
	  for CVS builds; remove unused variables in various unit tests.

2007-06-19  Wim Taymans  <wim@fluendo.com>

	* gst/rtsp/rtspconnection.c: (rtsp_connection_connect),
	(rtsp_connection_close), (rtsp_connection_free):
	Use threadsafe inet_ntop to convert an ip number to a string. 
	Fixes #447961.
	Don't leak fd (and ip) when freeing a connection without first closing
	it.

2007-06-19  Jan Schmidt  <thaytan@mad.scientist.com>

	* configure.ac:
	Back to CVS

	* gst-plugins-good.doap:
	Add 0.10.6 to the doap file.

=== release 0.10.6 ===

2007-06-18  Jan Schmidt <thaytan@mad.scientist.com>

	* configure.ac:
	  releasing 0.10.6, "Wobble Board"

2007-06-17  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/rtsp/rtspconnection.c: (rtsp_connection_connect),
	(rtsp_connection_free):
	  Revert previous commit again, since we are frozen (sorry).

2007-06-17  Tim-Philipp Müller  <tim at centricular dot net>

	Patch by: Peter Kjellerstedt <pkj at axis com>

	* gst/rtsp/rtspconnection.c: (rtsp_connection_connect),
	(rtsp_connection_free):
	  inet_ntoa() uses a static buffer internally, so we need to copy the
	  returned string if we want to store it for later (#447961).

2007-06-15  Jan Schmidt  <thaytan@mad.scientist.com>

	* win32/vs6/autogen.dsp:
	* win32/vs6/gst_plugins_good.dsw:
	* win32/vs6/libgstalaw.dsp:
	* win32/vs6/libgstalpha.dsp:
	* win32/vs6/libgstalphacolor.dsp:
	* win32/vs6/libgstapetag.dsp:
	* win32/vs6/libgstaudiofx.dsp:
	* win32/vs6/libgstauparse.dsp:
	* win32/vs6/libgstautodetect.dsp:
	* win32/vs6/libgstavi.dsp:
	* win32/vs6/libgstcutter.dsp:
	* win32/vs6/libgstdirectdraw.dsp:
	* win32/vs6/libgstdirectsound.dsp:
	* win32/vs6/libgsteffectv.dsp:
	* win32/vs6/libgstflx.dsp:
	* win32/vs6/libgstgoom.dsp:
	* win32/vs6/libgsticydemux.dsp:
	* win32/vs6/libgstid3demux.dsp:
	* win32/vs6/libgstinterleave.dsp:
	* win32/vs6/libgstjpeg.dsp:
	* win32/vs6/libgstlevel.dsp:
	* win32/vs6/libgstmatroska.dsp:
	* win32/vs6/libgstmedian.dsp:
	* win32/vs6/libgstmonoscope.dsp:
	* win32/vs6/libgstmulaw.dsp:
	* win32/vs6/libgstmultipart.dsp:
	* win32/vs6/libgstqtdemux.dsp:
	* win32/vs6/libgstrtp.dsp:
	* win32/vs6/libgstrtsp.dsp:
	* win32/vs6/libgstsmpte.dsp:
	* win32/vs6/libgstspeex.dsp:
	* win32/vs6/libgstudp.dsp:
	* win32/vs6/libgstvideobalance.dsp:
	* win32/vs6/libgstvideobox.dsp:
	* win32/vs6/libgstvideocrop.dsp:
	* win32/vs6/libgstvideoflip.dsp:
	* win32/vs6/libgstvideomixer.dsp:
	* win32/vs6/libgstwaveform.dsp:
	* win32/vs6/libgstwavenc.dsp:
	* win32/vs6/libgstwavparse.dsp:
	Mark *.dsp & *.dsw as binary files and convert to DOS line
	endings, as they don't load into VS6 correctly otherwise.

2007-06-15  Jan Schmidt  <thaytan@mad.scientist.com>

	* gst/rtsp/rtspconnection.c: (rtsp_connection_create),
	(rtsp_connection_connect):
	Fix the MingW build. 
	Patch By: Vincent Torri <vtorri at univ-evry dot fr>
	Fixes: #446981

2007-06-14  Jan Schmidt  <thaytan@mad.scientist.com>

	* tests/check/elements/.cvsignore:
	* tests/icles/.cvsignore:
	Hush the buildbots up

2007-06-14  Jan Schmidt  <thaytan@mad.scientist.com>

	* configure.ac:
	* sys/Makefile.am:
	* sys/directdraw/Makefile.am:
	* sys/directsound/Makefile.am:
	* sys/waveform/Makefile.am:
	Make sure to dist everything needed for win32 builds.

2007-06-14  Edward Hervey  <edward@fluendo.com>

	* gst/qtdemux/qtdemux.c: (qtdemux_parse_trak):
	For AMR-NB streams, export the AMRSpecificBox as codec_data on the
	caps.
	Fixes #447458

2007-06-13  Wim Taymans  <wim@fluendo.com>

	* gst/rtp/gstrtph264depay.c: (gst_rtp_h264_depay_setcaps):
	Make sure we allocate enough memory for the codec_data.
	Fixes #447210.

2007-06-12  Sebastien Moutte  <sebastien@moutte.net>

	* win32/MANIFEST:
	Add videocrop project file to the win32 manifest.
	* win32/vs6/gst_plugins_good.dsw:
	Add qtdemux,videocrop and waveform projects to the workspace.
	* win32/vs6/libgstqtdemux.dsp:
	Add zlib to the link list of qtdemux.
	* win32/vs6/libgstvideocrop.dsp:
	Add a project file for videocrop.

2007-06-12  Jan Schmidt  <thaytan@mad.scientist.com>

	* po/POTFILES.in:
	Add qtdemux for translation

2007-06-12  Jan Schmidt  <thaytan@mad.scientist.com>

	* configure.ac:
	* docs/plugins/Makefile.am:
	* docs/plugins/gst-plugins-good-plugins-docs.sgml:
	* docs/plugins/gst-plugins-good-plugins-sections.txt:
	* docs/plugins/inspect/plugin-videocrop.xml:
	* gst-plugins-good.spec.in:
	* sys/Makefile.am:
	* tests/check/Makefile.am:
	* tests/icles/Makefile.am:
	* tests/icles/videocrop-test.c:
	Move videocrop and osxvideo from -bad.

2007-06-12  Jan Schmidt  <thaytan@mad.scientist.com>

	* configure.ac:
	* docs/plugins/Makefile.am:
	* docs/plugins/gst-plugins-good-plugins-docs.sgml:
	* docs/plugins/gst-plugins-good-plugins-sections.txt:
	* docs/plugins/gst-plugins-good-plugins.args:
	* docs/plugins/inspect/plugin-qtdemux.xml:
	* docs/plugins/inspect/plugin-quicktime.xml:
	* win32/MANIFEST:
	Move qtdemux from -bad.

	* gst-plugins-good.spec.in:
	Update spec file to reflect moving of qtdemux and wavpack

2007-06-12  Jan Schmidt  <thaytan@mad.scientist.com>
	
	* win32/MANIFEST:
	* docs/plugins/Makefile.am:
	* docs/plugins/gst-plugins-good-plugins-docs.sgml:
	* docs/plugins/gst-plugins-good-plugins-sections.txt:
	* docs/plugins/inspect/plugin-directdraw.xml:
	* docs/plugins/inspect/plugin-directsound.xml:
	* docs/plugins/inspect/plugin-waveform.xml:
	Move the waveform plugin from -bad too. Update the inspect xml
	files to mention Plugins Good instead of Plugins Bad.

2007-06-12  Andy Wingo  <wingo@pobox.com>

	* sys/v4l2/v4l2src_calls.c (gst_v4l2_buffer_finalize)
	(gst_v4l2_buffer_class_init, gst_v4l2_buffer_get_type)
	(gst_v4l2_buffer_new): Behave more like ximagesink's buffers, with
	finalization and resuscitation. No longer public.
	(gst_v4l2_buffer_pool_finalize, gst_v4l2_buffer_pool_init)
	(gst_v4l2_buffer_pool_class_init, gst_v4l2_buffer_pool_get_type)
	(gst_v4l2_buffer_pool_new, gst_v4l2_buffer_pool_activate)
	(gst_v4l2_buffer_pool_destroy): Make the pool follow common
	miniobject semantics, and be threadsafe.
	(gst_v4l2src_queue_frame): Remove this function, as we just call
	the ioctls directly in the two places where we queue buffers.
	(gst_v4l2src_grab_frame): Return a flowreturn and fill the buffer
	directly.
	(gst_v4l2src_capture_init): Use the new buffer_pool_new function
	to allocate the pool, which also preallocates the GstBuffers.
	(gst_v4l2src_capture_start): Call buffer_pool_activate instead of
	queueing the frames directly.
	(gst_v4l2src_grab_frame): Return a copy of the pool buffer if all
	mmap buffers have been dequeued.

	* sys/v4l2/gstv4l2src.h (struct _GstV4l2BufferPool): Make this a
	real MiniObject instead of rolling our own refcounting and
	finalizing. Give it a lock.
	(struct _GstV4l2Buffer): Remove one intermediary object, having
	the buffers hold the struct v4l2_buffer directly.

	* sys/v4l2/gstv4l2src.c (gst_v4l2src_set_caps): Pass the caps to
	capture_init so that it can set them on the buffers that it will
	create.
	(gst_v4l2src_get_read): For better or for worse, include the
	timestamping and offsetting code here; really we should be using
	bufferalloc though.
	(gst_v4l2src_get_mmap): Just make grab_frame return one of our
	preallocated, mmap'd buffers.

2007-06-11  Wim Taymans  <wim@fluendo.com>

	Patch by: daniel fischer <dan at f3c dot com>

	* sys/ximage/gstximagesrc.c: (gst_ximage_src_start),
	(gst_ximage_src_get_caps):
	Actually use the display_name property so that we can dump any
	available X display. Fixes #445905.

2007-06-11  Wim Taymans  <wim@fluendo.com>

	Patch by: Tommi Myöhänen  <ext-tommi dot myohanen at nokia dot com>

	* gst/rtp/gstrtppcmadepay.c: (gst_rtp_pcma_depay_setcaps):
	* gst/rtp/gstrtppcmudepay.c: (gst_rtp_pcmu_depay_setcaps):
	Add missing rate fields to caps. Fixes #441118.

2007-06-10  Sebastien Moutte  <sebastien@moutte.net>

	* win32/vs6/gst_plugins_good.dsw:
	* win32/vs8/gst-plugins-good.sln:
	Add DirectSound and DirectDraw sinks project files to
	workspace and solution files.

2007-06-10  Sebastian Dröge  <slomo@circular-chaos.org>

	Patch by: Josh Coalson <xflac at yahoo dot com>,
	updated by Alexis Ballier <aballier at gentoo dot org>:

	* configure.ac:
	* ext/flac/gstflacdec.c: (gst_flac_dec_reset_decoders),
	(gst_flac_dec_setup_seekable_decoder),
	(gst_flac_dec_setup_stream_decoder), (gst_flac_dec_seek),
	(gst_flac_dec_tell), (gst_flac_dec_length), (gst_flac_dec_eof),
	(gst_flac_dec_read_seekable), (gst_flac_dec_read_stream):
	* ext/flac/gstflacdec.h:
	* ext/flac/gstflacenc.c: (gst_flac_enc_init),
	(gst_flac_enc_finalize), (gst_flac_enc_set_metadata),
	(gst_flac_enc_sink_setcaps), (gst_flac_enc_update_quality),
	(gst_flac_enc_seek_callback), (gst_flac_enc_write_callback),
	(gst_flac_enc_tell_callback), (gst_flac_enc_sink_event),
	(gst_flac_enc_chain), (gst_flac_enc_set_property),
	(gst_flac_enc_get_property), (gst_flac_enc_change_state):
	* ext/flac/gstflacenc.h:
	Add support for flac >= 1.1.3 which changed the API. Fixes bug #385887.
	
2007-06-09  Sebastian Dröge  <slomo@circular-chaos.org>

	* ext/wavpack/gstwavpackenc.c: (gst_wavpack_enc_sink_set_caps):
	Remove workaround for bug #421543. This is fixed in core 0.10.13 and
	not necessary anymore as we need at least that core version. 

2007-06-09  Sebastian Dröge  <slomo@circular-chaos.org>

	* ext/wavpack/gstwavpackdec.c: (gst_wavpack_dec_reset),
	(gst_wavpack_dec_chain):
	* ext/wavpack/gstwavpackdec.h:
	* ext/wavpack/gstwavpackparse.c: (gst_wavpack_parse_reset),
	(gst_wavpack_parse_push_buffer):
	* ext/wavpack/gstwavpackparse.h:
	Improve discont handling by checking if the next Wavpack block has
	the expected, following block index.

2007-06-08  Thomas Vander Stichele  <thomas at apestaart dot org>

	* gst/rtp/gstrtpmp4vpay.c (gst_rtp_mp4vpay_details):
	  Fix element description.

2007-06-08  Thomas Vander Stichele  <thomas at apestaart dot org>

	* configure.ac:
	* docs/plugins/Makefile.am:
	* docs/plugins/gst-plugins-good-plugins-docs.sgml:
	* docs/plugins/gst-plugins-good-plugins-sections.txt:
	* docs/plugins/gst-plugins-good-plugins.args:
	* docs/plugins/gst-plugins-good-plugins.hierarchy:
	* docs/plugins/gst-plugins-good-plugins.signals:
	* docs/plugins/inspect/plugin-autodetect.xml:
	* docs/plugins/inspect/plugin-gconfelements.xml:
	* docs/plugins/inspect/plugin-ladspa.xml:
	* docs/plugins/inspect/plugin-rtp.xml:
	* docs/plugins/inspect/plugin-wavpack.xml:
	* ext/Makefile.am:
	* tests/check/Makefile.am:
	  move wavpack plugin.  See #352605.

2007-06-08  Jan Schmidt  <thaytan@mad.scientist.com>

	* configure.ac:
	* docs/plugins/Makefile.am:
	* docs/plugins/gst-plugins-good-plugins-docs.sgml:
	* docs/plugins/gst-plugins-good-plugins-sections.txt:
	* docs/plugins/gst-plugins-good-plugins.args:
	* sys/Makefile.am:
	* win32/MANIFEST:
	Add DirectDraw & DirectSound plugins to the build and docs.

2007-06-08  Tim-Philipp Müller  <tim at centricular dot net>

	* ext/dv/gstdvdemux.c: (gst_dvdemux_loop):
	* ext/libpng/gstpngdec.c: (user_read_data), (gst_pngdec_task):
	  When operating in pull mode, error out correct on not-linked.

2007-06-06  Andy Wingo  <wingo@pobox.com>

	* sys/v4l2/v4l2src_calls.c (gst_v4l2src_probe_caps_for_format)
	(gst_v4l2src_probe_caps_for_format_and_size): Only probe for
	format and size if the ioctls are defined; should fix compilation
	on Linux < 2.16.19.

2007-06-06  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/videobox/gstvideobox.c: (gst_video_box_ayuv_i420):
	  Printf fixes in debug statements; use LOG level for debug statements
	  that are printed for each and every frame; convert c++ comments to
	  C-style comments; not much point using g_try_malloc() if we then not
	  even check the return value.

2007-06-05  Tim-Philipp Müller  <tim at centricular dot net>

	* configure.ac:
	  Bump requirements to released versions (core and base 0.10.13).

	* gst/icydemux/gsticydemux.c: (gst_icydemux_unicodify):
	  Use gst_tag_utf8_from_freeform_string() from libgsttag instead of
	  own implementation.

2007-06-05  Andy Wingo  <wingo@pobox.com>

	* sys/v4l2/gstv4l2src.c (gst_v4l2src_start, gst_v4l2src_stop): Add
	some useless comments.

	* sys/v4l2/v4l2src_calls.c (gst_v4l2src_capture_init): Don't queue
	frames before calling STREAMON, that might leave them in a state
	where they can't be dequeued if we go back to NULL without calling
	STREAMON, according to the docs.
	(gst_v4l2src_capture_start): Enqueue buffers here instead, right
	before we call STREAMON.
	(gst_v4l2src_capture_deinit): Remove crack to work around dequeue
	failures. (For me this code hung.) The pool refcounting is still
	crack; added a note to that effect.

2007-06-05  Wim Taymans  <wim@fluendo.com>

	* gst/multipart/multipartmux.c: (gst_multipart_mux_class_init),
	(gst_multipart_mux_get_mime), (gst_multipart_mux_collected):
	Add support for mapping gst structure names to the MIME type equivalent.
	Implemented for audio/x-mulaw->audio/basic. Fixes #442874.

2007-06-03  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/wavenc/gstwavenc.c: (gst_wavenc_create_header_buf),
	(gst_wavenc_sink_setcaps), (gst_wavenc_format_samples),
	(gst_wavenc_chain), (gst_wavenc_change_state):
	* gst/wavenc/gstwavenc.h:
	Properly write wav files with width!=depth by having the depth most
	significant bytes set and all others zero. Fixes #442535.

2007-06-01  Wim Taymans  <wim@fluendo.com>

	* gst/rtsp/rtspconnection.c:
	Add include to make buildbot happy.

2007-06-01  Wim Taymans  <wim@fluendo.com>

	Patch by: Peter Kjellerstedt  <pkj at axis com>

	* gst/rtsp/rtspconnection.c: (rtsp_connection_create),
	(rtsp_connection_connect), (add_date_header),
	(rtsp_connection_send), (parse_response_status),
	(parse_request_line), (parse_line), (rtsp_connection_receive):
	* gst/rtsp/rtspdefs.c: (rtsp_version_as_text):
	* gst/rtsp/rtspdefs.h:
	* gst/rtsp/rtspmessage.c: (key_value_foreach),
	(rtsp_message_init_request), (rtsp_message_init_response),
	(rtsp_message_remove_header), (rtsp_message_append_headers),
	(rtsp_message_dump):
	* gst/rtsp/rtspmessage.h:
	Improves version checking, allowing an RTSP server to reply with "505
	RTSP Version not supported.
	Adds a Date header to all messages.
	Replies with RTSP_EPARSE rather than RTSP_EINVALID in cases where we
	want to be able to send a response even if something in the request was
	invalid. EINVAL is only used when passing wrong arguments to functions.
	Do not handle an invalid method in parse_request_line(). Defer this to
	the caller so it can respond with "405 Method Not Allowed".
	Improves parsing of the timeout parameter to the Session header,
	allowing whitespace after the semicolon. 
	Avoids a compiler warning due to variables shadowing a function argument.

2007-06-01  Wim Taymans  <wim@fluendo.com>

	Based on Patch by: Daniel Charles <dcharles at ti dot com>

	* gst/rtp/gstrtpamrdepay.c: (gst_rtp_amr_depay_setcaps),
	(gst_rtp_amr_depay_process):
	* gst/rtp/gstrtpamrdepay.h:
	* gst/rtp/gstrtpamrpay.c: (gst_rtp_amr_pay_base_init),
	(gst_rtp_amr_pay_class_init), (gst_rtp_amr_pay_init),
	(gst_rtp_amr_pay_setcaps), (gst_rtp_amr_pay_handle_buffer):
	* gst/rtp/gstrtpamrpay.h:
	Add support for AMR-WB.
	Small cleanups such as using BOILERPLATE.

2007-05-31  Wim Taymans  <wim@fluendo.com>

	* gst/rtsp/rtspextwms.c: (rtsp_ext_wms_configure_stream):
	Fix compile warning when debug is disabled as spotted bu Saur on IRC.

2007-05-30  Andy Wingo  <wingo@pobox.com>

	* sys/v4l2/gstv4l2object.h: 
	* sys/v4l2/gstv4l2object.c (gst_v4l2_object_new): Revert some
	unintended changes.

	* sys/v4l2/v4l2src_calls.h: 
	* sys/v4l2/v4l2src_calls.c (gst_v4l2src_fill_format_list): Store
	the format list in the order that the driver gives it to us.
	(gst_v4l2src_probe_caps_for_format_and_size)
	(gst_v4l2src_probe_caps_for_format): New functions, fill GstCaps
	based on the capabilities of the device.
	(gst_v4l2src_grab_frame): Update for object variable renaming.
	(gst_v4l2src_set_capture): Update to be strict in its parameters,
	as in the set_caps below.
	(gst_v4l2src_capture_init): Update for object variable renaming,
	and reflow.
	(gst_v4l2src_capture_start, gst_v4l2src_capture_stop)
	(gst_v4l2src_capture_deinit): Update for object variable renaming.
	(gst_v4l2src_update_fps, gst_v4l2src_set_fps)
	(gst_v4l2src_get_fps): Remove; these functions don't have much
	meaning outside of an atomic set_caps method.
	(gst_v4l2src_buffer_new): Don't set buffer duration, it is not
	known.

	* sys/v4l2/gstv4l2tuner.c (gst_v4l2_tuner_set_channel): Remove
	call to update_fps; not sure about this change.
	(gst_v4l2_tuner_set_norm): Work around the fact that for the
	moment we don't have an update_fps_func.

	* sys/v4l2/gstv4l2src.h (struct _GstV4l2Src): Don't put v4l2
	structures in the object, just store what we need. Do store the
	probed caps of the device. Don't store the current frame rate.

	* sys/v4l2/gstv4l2src.c (gst_v4l2src_init): Remove the
	update_fps_function, for now. Update for new object variable
	naming.
	(gst_v4l2src_set_property, gst_v4l2src_get_property): Update for
	new object variable naming.
	(gst_v4l2src_v4l2fourcc_to_structure): Rename from ..._to_caps.
	(gst_v4l2_structure_to_v4l2fourcc): Rename from ...caps_to_....
	(gst_v4l2src_get_caps): Rework to probe the device for supported
	frame sizes and frame rates.
	(gst_v4l2src_set_caps): Rework to be strict in the given
	parameters: if someone asks us to have a certain size and rate,
	that is what we configure.
	(gst_v4l2src_get_read): Update for object variable naming. Don't
	leak buffers on short reads.
	(gst_v4l2src_get_mmap): Update for object variable naming, and add
	comments.
	(gst_v4l2src_create): Update for object variable naming.

2007-05-30  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/avi/gstavidemux.c: (gst_avi_demux_base_init),
	(gst_avi_demux_reset), (gst_avi_demux_parse_stream):
	* gst/avi/gstavidemux.h:
	  Parse subtitle text streams instead of erroring out (#442034). Still
	  needs a parser for the subtitles to actually show up.

2007-05-30  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/avi/gstavidemux.c: (gst_avi_demux_push_event),
	(gst_avi_demux_loop):
	  Make _push_event() return TRUE if the event could be pushed on at
	  least one pad and not only if it could be pushed on all pads,
	  otherwise we'll end up posting an error message on EOS if one or
	  more source pads are not connected.

2007-05-28  Wim Taymans  <wim@fluendo.com>

	* gst/rtsp/rtsptransport.c:
	Use renamed RTP bin.

2007-05-28  Wim Taymans  <wim@fluendo.com>

	Based on patch by: Dejan Sakelšak <sakdean at gmail dot com>

	* gst/videobox/gstvideobox.c: (gst_video_box_class_init),
	(gst_video_box_set_property), (gst_video_box_transform_caps),
	(video_box_recalc_transform), (gst_video_box_set_caps),
	(gst_video_box_get_unit_size), (gst_video_box_apply_alpha),
	(gst_video_box_ayuv_ayuv), (gst_video_box_clear), (UVfloor),
	(UVceil), (gst_video_box_ayuv_i420), (gst_video_box_i420_ayuv),
	(gst_video_box_i420_i420), (gst_video_box_transform),
	(plugin_init):
	Add AYUV->AYUV and AYUV->I420 formats. 
	Fix negotiation and I420->AYUV conversion.
	Fixes #429329.

2007-05-26  Wim Taymans  <wim@fluendo.com>

	* ext/speex/gstspeexdec.c: (speex_dec_chain_parse_data):
	Use different variables for nested for loops so that the outer loop
	functions properly and speex files with multiple frames per buffer work
	properly.
	Fixes #441408.

2007-05-25  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/id3demux/gstid3demux.c: (gst_id3demux_sink_event):
	  Don't leak newsegment events.

2007-05-25  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/wavparse/Makefile.am:
	  Add '-lm' to LIBS for ceil(), don't assume one of our dependencies
	  drags it in.

2007-05-25  Tim-Philipp Müller  <tim at centricular dot net>

	* ext/flac/gstflacenc.c: (gst_flac_enc_init),
	(notgst_value_array_append_buffer),
	(gst_flac_enc_process_stream_headers),
	(gst_flac_enc_write_callback), (gst_flac_enc_chain),
	(gst_flac_enc_change_state):
	* ext/flac/gstflacenc.h:
	  Collect headers, add "streamheader" field to output caps and set
	  BUFFER_IN_CAPS flag on pushed header buffers. That way oggmux
	  produces output according to the official FLAC-to-Ogg mapping
	  instead of completely broken files. Fixes #426044.

2007-05-25  Jan Schmidt  <thaytan@mad.scientist.com>

	* gst/id3demux/gstid3demux.c: (gst_id3demux_reset),
	(gst_id3demux_send_new_segment), (gst_id3demux_chain),
	(gst_id3demux_sink_event):
	* gst/id3demux/gstid3demux.h:
	* gst/apetag/gsttagdemux.c: (gst_tag_demux_reset),
	(gst_tag_demux_chain), (gst_tag_demux_sink_event),
	(gst_tag_demux_send_new_segment):
	Handle and adjust new-segment events so that downstream really
	sees a stream with the tag pieces stripped off the front and back.
	Fixes strangeness in seeking when mp3 decoders use the new-segment
	byte position to estimate their current playback position timestamp
	and then the arriving buffers don't match up.

2007-05-25  Jan Schmidt  <thaytan@mad.scientist.com>

	* gst/autodetect/gstautoaudiosink.c: (gst_auto_audio_sink_detect):
	  Don't unnecessarily perform a READY->NULL->READY transition on the
	  detected audio sink when starting up. Fixes: #440127

2007-05-24  Tim-Philipp Müller  <tim at centricular dot net>

	* ext/flac/gstflacenc.c: (gst_flac_enc_sink_setcaps),
	(gst_flac_enc_chain):
	  Don't crash in chain function if setcaps hasn't been called.

2007-05-24  Wim Taymans  <wim@fluendo.com>

	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_parse_methods):
	Init value to avoid infinte loops.

2007-05-24  Wim Taymans  <wim@fluendo.com>

	Patch by: Peter Kjellerstedt  <pkj at axis com>

	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_setup_auth),
	(gst_rtspsrc_try_send), (gst_rtspsrc_parse_methods),
	(gst_rtspsrc_setup_streams), (gst_rtspsrc_open),
	(gst_rtspsrc_play):
	(rtsp_connection_send), (rtsp_connection_receive):
	* gst/rtsp/rtspextwms.c: (rtsp_ext_wms_after_send):
	Fix for new API.

	* gst/rtsp/rtspconnection.c: (add_auth_header),
	Only add authorisation and session headers when sending messages.

	* gst/rtsp/rtspmessage.c: (key_value_foreach), (rtsp_message_init),
	(rtsp_message_init_request), (rtsp_message_init_response),
	(rtsp_message_unset), (rtsp_message_add_header),
	(rtsp_message_remove_header), (rtsp_message_get_header),
	(rtsp_message_append_headers), (dump_key_value),
	(rtsp_message_dump):
	* gst/rtsp/rtspmessage.h:
	Add support for multiple headers of the same type by storing the parsed
	headers in a GArray instaed of a hashtable.

2007-05-21  Wim Taymans  <wim@fluendo.com>

	* gst/udp/gstudpsrc.c: (gst_udpsrc_class_init),
	(gst_udpsrc_create), (gst_udpsrc_unlock), (gst_udpsrc_unlock_stop):
	Since we depend on 0.10.13 -core, override the unlock_stop vmethod for
	safer shutdown.

2007-05-21  Wim Taymans  <wim@fluendo.com>

	* gst/rtsp/gstrtpdec.c: (gst_rtp_dec_class_init):
	* gst/rtsp/gstrtpdec.h:
	Added signal for backwards compat.

2007-05-21  Sebastian Dröge  <slomo@circular-chaos.org>
	
	Patch by: René Stadler <mail at renestadler dot de>

	* configure.ac:
	* gst/auparse/gstauparse.c: (gst_au_parse_reset),
	(gst_au_parse_parse_header), (gst_au_parse_chain):
	* gst/auparse/gstauparse.h:
	Use audioconvert for converting from non-native endianness floats
	in auparse instead of doing it ourself. Fixes #424527.
	This needs the audioconvert from plugins-base CVS.
	
2007-05-21  Wim Taymans  <wim@fluendo.com>

	* gst/rtp/gstrtph263ppay.c: (gst_fragmentation_mode_get_type),
	(gst_rtp_h263p_pay_flush):
	Fix enum registration.

2007-05-21  Wim Taymans  <wim@fluendo.com>

	Patch by: Antoine Tremblay <hexa00 at gmail dot com>

	* gst/rtp/gstrtph263ppay.c: (gst_fragmentation_mode_get_type),
	(gst_rtp_h263p_pay_class_init), (gst_rtp_h263p_pay_init),
	(gst_rtp_h263p_pay_set_property), (gst_rtp_h263p_pay_get_property),
	(gst_rtp_h263p_pay_flush):
	* gst/rtp/gstrtph263ppay.h:
	Add new fragmentation mode base on GOB headers. Fixes #438940.

2007-05-20  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_loop_udp):
	  Printf format fix.

2007-05-18  Wim Taymans  <wim@fluendo.com>

	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_setup_streams):
	Don't crash when an unsupported transport error was returned by the
	server, just try to configure the next stream. Fixes #439255.

2007-05-18  Wim Taymans  <wim@fluendo.com>

	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_class_init),
	(gst_rtspsrc_set_property), (gst_rtspsrc_get_property),
	(gst_rtspsrc_stream_configure_udp), (gst_rtspsrc_loop_interleaved),
	(gst_rtspsrc_loop_udp), (gst_rtspsrc_try_send), (gst_rtspsrc_send),
	(gst_rtspsrc_setup_streams), (gst_rtspsrc_open):
	* gst/rtsp/gstrtspsrc.h:
	Add TCP timeout property and use it for all TCP connection.

	* gst/rtsp/rtspconnection.c: (rtsp_connection_connect),
	(rtsp_connection_write), (rtsp_connection_next_timeout),
	(rtsp_connection_reset_timeout):
	Make connect and writes cancelable and make them use the timeout.

2007-05-18  Wim Taymans  <wim@fluendo.com>

	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_send_keep_alive),
	(gst_rtspsrc_loop_interleaved), (gst_rtspsrc_loop_udp),
	(gst_rtspsrc_try_send), (gst_rtspsrc_send),
	(gst_rtspsrc_setup_streams):
	Refactor timeout handling.
	Also send keep-alive when dealing with TCP transport.

	* gst/rtsp/rtspconnection.c: (rtsp_connection_create),
	(rtsp_connection_free), (rtsp_connection_next_timeout),
	(rtsp_connection_reset_timeout):
	* gst/rtsp/rtspconnection.h:
	Use a timer to handle the session timeouts, add some methods to deal
	with timeouts.

2007-05-17  Wim Taymans  <wim@fluendo.com>

	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_send),
	(gst_rtspsrc_setup_streams):
	Ignore streams that fail the setup command, we will retry with a
	different transport later on.

	* gst/rtsp/rtspextwms.c: (rtsp_ext_wms_parse_sdp),
	(rtsp_ext_wms_configure_stream):
	Fix encoding name case.

2007-05-16  Edward Hervey  <edward@fluendo.com>

	* ext/libpng/gstpngdec.c: (user_endrow_callback), (user_read_data):
	Fix build on macosx.

2007-05-16  Sebastian Dröge  <slomo@circular-chaos.org>

	* ext/raw1394/gstdv1394src.c: (gst_dv1394src_uri_set_uri):
	Replace direct comparison of a string with the string literal "" with
	a comparison of the first character with '\0'. Fixes #438926.

2007-05-15  Stefan Kost  <ensonic@users.sf.net>

	* gst/debug/breakmydata.c (gst_break_my_data_init):
	  One more try. This should be the proper fix now.

2007-05-15  Stefan Kost  <ensonic@users.sf.net>

	* gst/debug/breakmydata.c:
	  Ooops, no // comments please.

2007-05-15  Stefan Kost  <ensonic@users.sf.net>

	* gst/debug/breakmydata.c: (gst_break_my_data_class_init),
	(gst_break_my_data_init):
	  Fix gst_buffer_is_writable() assertion.

2007-05-14  David Schleef  <ds@schleef.org>

	* sys/v4l2/gstv4l2src.c: Add support for Bayer images as
	  video/x-raw-bayer.  Fixes #314160.

2007-05-14  Wim Taymans  <wim@fluendo.com>

	* gst/rtp/gstrtptheoradepay.c: (decode_base64),
	(gst_rtp_theora_depay_parse_configuration):
	* gst/rtp/gstrtptheorapay.c: (encode_base64),
	(gst_rtp_theora_pay_finish_headers),
	(gst_rtp_theora_pay_handle_buffer):
	Update theora pay/depayloader in a similar to vorbis.

	* gst/rtp/gstrtpvorbisdepay.c:
	(gst_rtp_vorbis_depay_parse_configuration):
	Update docs.

2007-05-14  Wim Taymans  <wim@fluendo.com>

	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_send):
	When we try to execute a method that is not supported by the server,
	don't error out but remove the method from the accepted methods so that
	we never try to perform this method again.

2007-05-14  Wim Taymans  <wim@fluendo.com>

	* gst/rtp/gstrtpvorbisdepay.c: (gst_rtp_vorbis_depay_process):
	Remove annoying _dump_mem.

2007-05-14  Wim Taymans  <wim@fluendo.com>

	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_parse_range):
	Parse range correctly.

	* gst/rtsp/rtspurl.c: (rtsp_url_get_request_uri):
	The baseurl now always has a '/' at the start.

2007-05-14  Wim Taymans  <wim@fluendo.com>

	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_configure_caps),
	(gst_rtspsrc_parse_range), (gst_rtspsrc_open),
	(gst_rtspsrc_parse_rtpinfo), (gst_rtspsrc_play):
	Factor out caps configuration and configure more stuff such as the time
	ranges and speed/scale values.

	* gst/rtsp/rtsptransport.c:
	Add Copyright after non-trival fixes.

2007-05-12  Wim Taymans  <wim@fluendo.com>

	Patch by: Peter Kjellerstedt  <pkj at axis com>

	* gst/rtsp/gstrtspsrc.h:
	* gst/rtsp/rtspconnection.c: (rtsp_connection_receive):
	* gst/rtsp/rtspmessage.c: (rtsp_message_init_data),
	(rtsp_message_get_header):
	* gst/rtsp/rtspmessage.h:
	Make channel guint8 where possible.
	Make rtsp_message_init_data() take the channel as a guint8.

	* gst/rtsp/rtspdefs.c:
	Fixed a typo: Timout -> Timeout

	* gst/rtsp/rtspdefs.h:
	Make RTSP_CHECK() behave as a statement.

	* gst/rtsp/sdpmessage.c:
	Avoid a compiler warning in INIT_ARRAY().
	Fixes #437692.

2007-05-12  Wim Taymans  <wim@fluendo.com>

	Patch by: Peter Kjellerstedt  <pkj at axis com>

	* gst/rtsp/rtspurl.c: (rtsp_url_parse), (rtsp_url_free),
	(rtsp_url_get_request_uri):
	* gst/rtsp/rtspurl.h:
	Add support for query parameters to RTSP URLs.

2007-05-12  Wim Taymans  <wim@fluendo.com>

	Patch by: Peter Kjellerstedt  <pkj at axis com>

	* gst/rtsp/rtsptransport.c: (rtsp_transport_init), (parse_mode),
	(parse_range), (range_as_text), (rtsp_transport_mode_as_text),
	(rtsp_transport_profile_as_text), (rtsp_transport_ltrans_as_text),
	(rtsp_transport_parse), (rtsp_transport_as_text):
	* gst/rtsp/rtsptransport.h:
	Add validation to rtsp_transport_parse().
	Add rtsp_transport_as_text() to generate an RTSP header from an
	RTSPTransport.
	Change ssrc to guint (was a string) since that is what it is, even
	though it is sent as a hex string.
	Correctly identify PLAY|RECORD mode parameters (the syntax in the RFC is
	incorrect, which can be seen when looking at the examples in the RFC).
	Fixes #437670.

2007-05-11  Zaheer Abbas Merali  <<zaheerabbas at merali dot org>>

	Patch by: Eric Anholt

	* sys/ximage/gstximagesrc.c (gst_ximage_src_open_display,
	  gst_ximage_src_ximage_get):
	Use union of all damage between frames to make it faster.
	Fixes bug #342463.
	Also fix crasher when cursor is at bottom right of window.

2007-05-11  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/wavparse/gstwavparse.c: (gst_wavparse_stream_headers):
	  Skip LIST chunks before the fmt chunk (fixes #437499). Also fix
	  streaming mode regression for file from #343837 with 'bext' chunk
	  before the 'fmt' chunk.

2007-05-11  Wim Taymans  <wim@fluendo.com>

	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_flush),
	(gst_rtspsrc_do_seek), (gst_rtspsrc_perform_seek),
	(gst_rtspsrc_handle_src_event),
	(gst_rtspsrc_stream_configure_manager),
	(gst_rtspsrc_stream_configure_tcp), (gst_rtspsrc_loop_interleaved),
	(gst_rtspsrc_send_keep_alive), (gst_rtspsrc_open),
	(gst_rtspsrc_parse_rtpinfo), (gst_rtspsrc_play):
	* gst/rtsp/gstrtspsrc.h:
	* gst/rtsp/rtspdefs.h:
	Preliminary seek support.
	Activate internal pads so that we can receive events on them.
	Don't try to parse a range string when it's NULL.

2007-05-11  Wim Taymans  <wim@fluendo.com>

	* gst/rtp/README:
	Update README with new RTP variables that will be used for
	synchronisation.

	* gst/rtp/gstrtpvorbisdepay.c: (decode_base64),
	(gst_rtp_vorbis_depay_parse_configuration),
	(gst_rtp_vorbis_depay_process):
	* gst/rtp/gstrtpvorbispay.c: (encode_base64),
	(gst_rtp_vorbis_pay_finish_headers),
	(gst_rtp_vorbis_pay_handle_buffer):
	Update vorbis pay and depayloader to draft-04.

2007-05-11  Wim Taymans  <wim@fluendo.com>

	* gst/rtsp/rtsptransport.c:
	UDP MCAST is actually the default for RTP/AVP.
2007-05-13  Sebastien Moutte  <sebastien@moutte.net>

	* gst/level/gstlevel.c: (gst_level_transform_ip):
	Use guint8 * instead of gpointer then vs6 can build 
	in_data += (filter->width / 8).

2007-05-11  Zaheer Abbas Merali  <<zaheerabbas at merali dot org>>

	* sys/ximage/gstximagesrc.c (gst_ximage_src_start,
	  gst_ximage_src_ximage_get):
	* sys/ximage/gstximagesrc.h (last_ximage):
	When using Damage actually keep the last frame, and not assume
	that the buffer we get already has the last frame on it.
	Copy the cursor over if we specify a non-zero start x and
	start y.

2007-05-11  Wim Taymans  <wim@fluendo.com>

	* gst/rtsp/rtsptransport.c:
	Make UDP the default transport when not specified.

2007-05-09  David Schleef  <ds@schleef.org>

	* gst/level/gstlevel.c:
	  Revert last change.

2007-05-09  Sebastien Moutte  <sebastien@moutte.net>

	* gst/level/gstlevel.c: (gst_level_calculate_##TYPE),
	(gst_level_transform_ip):
	Use guint8 * instead of gpointer then vs6 know the size of data
	pointed when moving the pointer.
	* gst/rtp/gstrtph264pay.c: (gst_rtp_h264_pay_handle_buffer):
	Move instructions after variables declaration.
	* win32/vs6/autogen.dsp:
	* win32/vs6/libgstrtp.dsp:
	* win32/vs6/libgstrtsp.dsp:
	Update vs6 project files.

2007-05-09  Wim Taymans  <wim@fluendo.com>

	* gst/rtsp/Makefile.am:
	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_handle_src_query),
	(gst_rtspsrc_send_keep_alive), (gst_rtspsrc_open):
	* gst/rtsp/rtsprange.c: (parse_npt_time), (parse_npt_range),
	(parse_clock_range), (parse_smpte_range), (rtsp_range_parse),
	(rtsp_range_free):
	* gst/rtsp/rtsprange.h:
	Add code to parse time ranges.
	Report DURATION on the stream when possible.

2007-05-08  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/videomixer/videomixer.c: (gst_videomixer_blend_ayuv_ayuv),
	(gst_videomixer_fill_checker), (gst_videomixer_fill_color),
	(gst_videomixer_collected):
	  Fix strides calculation for AYUV (it's just width*4) (#436910).

2007-05-06  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/audiofx/audioamplify.c: (gst_audio_amplify_transform_ip):
	* gst/audiofx/audiodynamic.c: (gst_audio_dynamic_transform_ip):
	* gst/audiofx/audioinvert.c: (gst_audio_invert_transform_ip):
	Sync the GObject properties before each processing step to properly
	work with the controller.

2007-05-04  Wim Taymans  <wim@fluendo.com>

	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_send_keep_alive),
	(gst_rtspsrc_loop_udp), (gst_rtspsrc_try_send), (gst_rtspsrc_send),
	(gst_rtspsrc_setup_streams), (gst_rtspsrc_open),
	(gst_rtspsrc_close), (gst_rtspsrc_play), (gst_rtspsrc_pause),
	(gst_rtspsrc_change_state):
	Let more error state trickle down so that we can catch more error
	cases.
	Handle keep-alive a little smarter by selecting a method the server
	actually supports.
	Fix a race in UDP streaming shutdown.

2007-05-04  Wim Taymans  <wim@fluendo.com>

	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_send_keep_alive):
	Ignore errors when trying to use the keep-alive messages.

2007-05-04  Wim Taymans  <wim@fluendo.com>

	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_handle_src_event),
	(gst_rtspsrc_handle_src_query), (gst_rtspsrc_sink_chain),
	(gst_rtspsrc_stream_configure_manager),
	(gst_rtspsrc_stream_free_udp), (gst_rtspsrc_stream_configure_tcp),
	(gst_rtspsrc_stream_configure_mcast),
	(gst_rtspsrc_stream_configure_udp),
	(gst_rtspsrc_stream_configure_udp_sink),
	(gst_rtspsrc_stream_configure_transport):
	Send RTCP messages back to the server over the TCP connection.

	* gst/rtsp/rtspconnection.c: (rtsp_connection_write),
	(rtsp_connection_send), (rtsp_connection_read), (read_body),
	(rtsp_connection_receive):
	* gst/rtsp/rtspconnection.h:
	Factor out and expose lowlevel _write and _read methods.
	Implement sending data messages to the server.

2007-05-03  Wim Taymans  <wim@fluendo.com>

	* gst/multipart/multipartmux.c: (gst_multipart_mux_queue_pads),
	(gst_multipart_mux_collected):
	Fix timestamps on outgoing buffers.

2007-05-03  Wim Taymans  <wim@fluendo.com>

	* gst/multipart/multipartmux.c:
	(gst_multipart_mux_request_new_pad), (gst_multipart_mux_collected),
	(gst_multipart_mux_change_state):
	Emit NEWSEGMENT events before pushing the first buffer.

2007-05-03  Wim Taymans  <wim@fluendo.com>

	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_finalize),
	(gst_rtspsrc_alloc_udp_ports), (gst_rtspsrc_handle_src_event),
	(gst_rtspsrc_handle_src_query),
	(gst_rtspsrc_stream_configure_manager),
	(gst_rtspsrc_stream_free_udp), (gst_rtspsrc_stream_configure_tcp),
	(gst_rtspsrc_stream_configure_mcast),
	(gst_rtspsrc_stream_configure_udp),
	(gst_rtspsrc_stream_configure_udp_sink),
	(gst_rtspsrc_stream_configure_transport), (gst_rtspsrc_push_event),
	(gst_rtspsrc_loop_udp), (gst_rtspsrc_open),
	(gst_rtspsrc_parse_rtpinfo), (gst_rtspsrc_play),
	(gst_rtspsrc_pause):
	Refactor transport configuration code.
	Create internal pads for TCP transport so that we can implement events
	and queries.
	Handle events and queries.
	Parse range from the SDP.
	Fix race in pause handler where the connection could still be flushing.

2007-05-02  Wim Taymans  <wim@fluendo.com>

	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_init),
	(gst_rtspsrc_finalize), (new_session_pad), (request_pt_map),
	(gst_rtspsrc_loop_send_cmd), (gst_rtspsrc_try_send),
	(gst_rtspsrc_send), (gst_rtspsrc_async_open), (gst_rtspsrc_close),
	(gst_rtspsrc_play), (gst_rtspsrc_handle_message),
	(gst_rtspsrc_change_state):
	* gst/rtsp/gstrtspsrc.h:
	Fix race when multiple udp sources post timeouts, just act on the first
	received timeout.
	Protect stream list with a recursive lock to fix some races.
	Flush connection when we need to do a reconnect or stop.
	Make state lock recursive.

	* gst/rtsp/rtspconnection.c: (rtsp_connection_connect),
	(rtsp_connection_close):
	Some small cleanups.

2007-05-02  Wim Taymans  <wim@fluendo.com>

	* gst/wavparse/gstwavparse.c: (gst_wavparse_perform_seek),
	(gst_wavparse_stream_headers), (gst_wavparse_stream_data):
	Only set DISCONT when there actually is a discont or when we just
	started.

2007-05-02  Sebastian Dröge  <slomo@circular-chaos.org>

	* ext/flac/gstflac.c: (plugin_init):
	Call bindtextdomain() to get localized strings.

2007-05-02  Wim Taymans  <wim@fluendo.com>

	* gst/wavparse/gstwavparse.c: (gst_wavparse_perform_seek),
	(gst_wavparse_stream_headers), (gst_wavparse_add_src_pad),
	(gst_wavparse_stream_data):
	* gst/wavparse/gstwavparse.h:
	Be a bit more clever when dealing with VBR files with FACT tags, we
	don't want to timestamp buffers in that case but the estimated BPS can
	be used for seeking.
	Only send close segment in the streaming thread.

2007-05-02  Sebastian Dröge  <slomo@circular-chaos.org>

	* ext/flac/gstflacdec.c: (gst_flac_dec_loop):
	Correctly post an error on the bus if something went wrong in the loop
	function. This fixes a few cases where the task was paused and nothing
	happened anymore.

2007-05-02  Wim Taymans  <wim@fluendo.com>

	* gst/rtsp/test.c: (main):
	Fix compilation of deprecated test just because I'm too lazy to delete
	it.

2007-05-02  Wim Taymans  <wim@fluendo.com>

	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_init),
	(gst_rtspsrc_finalize), (gst_rtspsrc_stream_configure_transport),
	(gst_rtspsrc_handle_request), (gst_rtspsrc_loop_interleaved),
	(gst_rtspsrc_send_keep_alive), (gst_rtspsrc_loop_udp),
	(gst_rtspsrc_loop_send_cmd), (gst_rtspsrc_try_send),
	(gst_rtspsrc_open), (gst_rtspsrc_handle_message):
	* gst/rtsp/gstrtspsrc.h:
	Fix sending RTCP to the right place.
	Fix bug in reffing the wrong UDP element.
	Use new pad names for the session manager.
	Implement handling server requests in interleaved and UDP modes.
	Handle session keep-alive in UDP modes.
	Remove GCond for handling UDP timeouts.

	* gst/rtsp/rtspconnection.c: (rtsp_connection_connect),
	(rtsp_connection_send), (rtsp_connection_read), (read_body),
	(rtsp_connection_receive), (rtsp_connection_close):
	* gst/rtsp/rtspconnection.h:
	Store connection IP address for later.
	Add timeout args to all operations that might block forever.
	Parse session timeout.
	Only close sockets when not already closed.

	* gst/rtsp/rtspdefs.c:
	* gst/rtsp/rtspdefs.h:
	Add timeout return value and error string.

	* gst/rtsp/rtspmessage.c: (rtsp_message_init_response):
	Add small comment.

2007-05-01  Wim Taymans  <wim@fluendo.com>

	Patch by: Sjoerd Simons <sjoerd at luon dot net>

	* gst/rtp/gstrtpmp4vpay.c: (gst_rtp_mp4v_pay_init),
	(gst_rtp_mp4v_pay_empty), (gst_rtp_mp4v_pay_event):
	* gst/rtp/gstrtpmp4vpay.h:
	Handle NEWSEGMENT and FLUSH events. Fixes #434824.

2007-04-30  Tim-Philipp Müller  <tim at centricular dot net>

	* docs/plugins/gst-plugins-good-plugins-docs.sgml:
	  Remove v4l2src from docs, since it breaks the docs build, and the
	  plugin is only built if --enable-experimental is used anyway.

	* docs/plugins/Makefile.am:
	  Spaces => tab.

2007-04-29  Wim Taymans  <wim@fluendo.com>

	* gst/udp/gstmultiudpsink.c: (leave_multicast),
	(gst_multiudpsink_add), (gst_multiudpsink_remove):
	Add code to drop membership of a multicast group.

	* gst/udp/gstudpsink.c: (gst_udpsink_update_uri),
	(gst_udpsink_set_uri):
	Implement URI handler.

	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_stream_configure_transport),
	(gst_rtspsrc_parse_rtpinfo):
	Use URI handler to make udpsink instace.
	Improve code to configure port and destination.

2007-04-29  Wim Taymans  <wim@fluendo.com>

	* gst/udp/gstmultiudpsink.c: (gst_multiudpsink_add):
	Fix multicast detection.
	Don't try to join a multicast group if the address is not multicast.

	* gst/udp/gstudpsrc.c: (gst_udpsrc_update_uri):
	Small debug improvement.

2007-04-27  Wim Taymans  <wim@fluendo.com>

	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_stream_configure_transport),
	(gst_rtspsrc_parse_rtpinfo), (gst_rtspsrc_play),
	(gst_rtspsrc_handle_message):
	Ignore ASYNC state messages from the udpsink, it's irrelevant for the
	parent.

2007-04-27  Wim Taymans  <wim@fluendo.com>

	* gst/rtp/gstrtpilbcdepay.h:
	Fix mode property when specified as an arg.

2007-04-26  Edward Hervey  <edward@fluendo.com>

	* docs/plugins/gst-plugins-good-plugins-docs.sgml:
	* docs/plugins/gst-plugins-good-plugins-sections.txt:
	* docs/plugins/gst-plugins-good-plugins.hierarchy:
	* docs/plugins/inspect/plugin-osxaudio.xml:
	Add documentation for osxaudio plugin.

2007-04-26  Wim Taymans  <wim@fluendo.com>

	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_init),
	(gst_rtspsrc_finalize), (gst_rtspsrc_stream_configure_transport),
	(gst_rtspsrc_open), (gst_rtspsrc_close),
	(gst_rtspsrc_parse_rtpinfo), (gst_rtspsrc_play),
	(gst_rtspsrc_pause):
	* gst/rtsp/gstrtspsrc.h:
	Protect state changes with a lock.

	* gst/rtsp/rtspconnection.c: (rtsp_connection_create),
	(parse_line):
	* gst/rtsp/rtspconnection.h:
	Remove some unused stuff.

2007-04-26  Wim Taymans  <wim@fluendo.com>

	* gst/udp/gstudpsrc.c: (gst_udpsrc_create):
	Handle the case where there are exactly 0 bytes to read and the ioctl
	did not report an error. Fixes #433530.

2007-04-26  Wim Taymans  <wim@fluendo.com>

	* gst/wavparse/gstwavparse.c: (gst_wavparse_perform_seek),
	(gst_wavparse_stream_headers), (gst_wavparse_stream_data):
	* gst/wavparse/gstwavparse.h:
	Apply DISCONT to buffers.
	Only apply timestamp to the first sample after a DISCONT, too many VBR
	files cause random jitter in the timestamps. Fixes #433119.

2007-04-25  Wim Taymans  <wim@fluendo.com>

	* gst/rtsp/gstrtpdec.c: (gst_rtp_dec_class_init),
	(gst_rtp_dec_init), (gst_rtp_dec_set_property),
	(gst_rtp_dec_get_property):
	* gst/rtsp/gstrtpdec.h:
	Add dummy latency property to be backwards compat with rtpbin.

	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_class_init),
	(gst_rtspsrc_set_property), (gst_rtspsrc_get_property),
	(gst_rtspsrc_stream_configure_transport),
	(gst_rtspsrc_parse_rtpinfo):
	* gst/rtsp/gstrtspsrc.h:
	Add latency property and configure in the session manager.
	Don't set invalid clock-base and seqnum-base on caps, some servers
	sometimes don't send them.

2007-04-25  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/alpha/gstalphacolor.c: (gst_alpha_color_base_init),
	(gst_alpha_color_transform_caps), (gst_alpha_color_set_caps):
	  Double-check that RGB input caps are really RGBA caps (apparently
	  the core doesn't always catch it if those caps aren't a subset of
	  our template caps, also see #421543). Fixes #429319 in a way.
	  Also, don't leak the pad template in the transform_caps function.

	* tests/check/Makefile.am:
	* tests/check/elements/.cvsignore:
	* tests/check/elements/alphacolor.c: (setup_alphacolor),
	(cleanup_alphacolor), (create_caps_rgb24), (create_caps_rgba32),
	(create_buffer_rgb24_3x4), (create_buffer_rgba32_3x4),
	(GST_START_TEST), (alphacolor_suite):
	  Add some basic unit tests for alphacolor.

2007-04-25  Tim-Philipp Müller  <tim at centricular dot net>

	* ext/libpng/gstpngdec.c: (gst_pngdec_task):
	  If we get a fatal flow return in the loop function, first post the
	  error message and only then send the EOS event downstream, otherwise
	  applications might get an eos message before the error message and
	  think everything was ok (related to #429319).

2007-04-25  Wim Taymans  <wim@fluendo.com>

	* gst/rtsp/rtspconnection.c: (rtsp_connection_receive):
	Read the channel byte as an unsigned byte.

2007-04-25  Wim Taymans  <wim@fluendo.com>

	* gst/rtp/gstrtpL16depay.c: (gst_rtp_L16_depay_set_property):
	* gst/rtp/gstrtpamrdepay.c: (gst_rtp_amr_depay_init),
	(gst_rtp_amr_depay_setcaps), (gst_rtp_amr_depay_process):
	* gst/rtp/gstrtpgsmdepay.c: (gst_rtp_gsm_depay_init),
	(gst_rtp_gsm_depay_setcaps):
	* gst/rtp/gstrtph263pdepay.c: (gst_rtp_h263p_depay_setcaps):
	* gst/rtp/gstrtph264depay.c: (gst_rtp_h264_depay_setcaps):
	* gst/rtp/gstrtpilbcdepay.c: (gst_rtp_ilbc_depay_class_init),
	(gst_rtp_ilbc_depay_init), (gst_rtp_ilbc_depay_setcaps),
	(gst_rtp_ilbc_depay_process), (gst_ilbc_depay_set_property),
	(gst_ilbc_depay_get_property):
	* gst/rtp/gstrtpmp2tdepay.c: (gst_rtp_mp2t_depay_setcaps):
	* gst/rtp/gstrtpmp4adepay.c:
	* gst/rtp/gstrtppcmadepay.c: (gst_rtp_pcma_depay_init),
	(gst_rtp_pcma_depay_setcaps):
	* gst/rtp/gstrtppcmudepay.c: (gst_rtp_pcmu_depay_init),
	(gst_rtp_pcmu_depay_setcaps):
	Make sure we configure the clock_rate in the baseclass in the setcaps
	function. Fixes #431282.

2007-04-25  Wim Taymans  <wim@fluendo.com>

	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_finalize),
	(gst_rtspsrc_stream_free), (request_pt_map),
	(gst_rtspsrc_stream_configure_transport), (gst_rtspsrc_open):
	* gst/rtsp/gstrtspsrc.h:
	Parse server address from SDP.
	Hook up a udpsink to send RTCP back to the server.

	* docs/plugins/gst-plugins-good-plugins-sections.txt:
	* gst/rtsp/rtsptransport.h:
	Add some docs.

2007-04-25  Stefan Kost  <ensonic@users.sf.net>

	* gst/wavparse/gstwavparse.c: (gst_wavparse_stream_headers):
	  Make header field check conditional. Fixes #433135

2007-04-24  Tim-Philipp Müller  <tim at centricular dot net>

	* docs/plugins/Makefile.am:
	* docs/plugins/gst-plugins-good-plugins-docs.sgml:
	* docs/plugins/gst-plugins-good-plugins-sections.txt:
	* docs/plugins/inspect/plugin-alphacolor.xml:
	* gst/alpha/Makefile.am:
	* gst/alpha/gstalphacolor.c:
	* gst/alpha/gstalphacolor.h:
	  Add minimal docs blurb to alphacolor; split out headers into
	  separate header file for gtk-doc.

2007-04-20  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/debug/progressreport.c: (gst_progress_report_report):
	  Don't try to post NULL message (in case we can't query upstream
	  position or duration).

2007-04-18  Michael Smith  <msmith@fluendo.com>

	* gst/cutter/gstcutter.c: (gst_cutter_init), (gst_cutter_chain),
	(gst_cutter_get_caps):
	* gst/cutter/gstcutter.h:
	  Fix some of the most obvious bugs in cutter. Now doesn't leak
	  everything if input is silent.

2007-04-18  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/wavenc/gstwavenc.c: (gst_wavenc_create_header_buf),
	(gst_wavenc_sink_setcaps), (gst_wavenc_change_state):
	* gst/wavenc/gstwavenc.h:
	Wav apparently only supports width==GST_ROUND_UP(depth), everything
	else results in a invalid block align and invalid files.

2007-04-17  Tim-Philipp Müller  <tim at centricular dot net>

	Patch by: Snaik <snaik32 gmail com>

	* gst/smpte/barboxwipes.c: (gst_wipe_boxes_draw):
	  Add missing break statement for BOX_HORIZONTAL case.

2007-04-17  Sebastian Dröge  <slomo@circular-chaos.org>

	Patch by: Vincent Torri <vtorri at univ-evry dot fr>

	* gst/wavparse/gstwavparse.c: (gst_wavparse_stream_headers):
	Use correct format strings for integer types.

2007-04-17  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/wavparse/gstwavparse.c: (gst_wavparse_base_init),
	(gst_wavparse_create_sourcepad):
	Use gst_riff_create_audio_template_caps () instead of the local caps.
	This makes updates of the local caps unecessary whenever libgstriff
	gets support for new formats.

2007-04-16  Tim-Philipp Müller  <tim at centricular dot net>

	Patch by: Brian Cameron  <brian.cameron at sun dot com>

	* sys/sunaudio/gstsunaudio.c:
	* sys/sunaudio/gstsunaudiomixer.c:
	* sys/sunaudio/gstsunaudiomixer.h:
	* sys/sunaudio/gstsunaudiomixerctrl.c:
	* sys/sunaudio/gstsunaudiomixerctrl.h:
	* sys/sunaudio/gstsunaudiomixertrack.h:
	* sys/sunaudio/gstsunaudiosink.c:
	* sys/sunaudio/gstsunaudiosink.h:
	* sys/sunaudio/gstsunaudiosrc.c:
	* sys/sunaudio/gstsunaudiosrc.h:
	  Fix and/or update copyright attributions (#430228).

2007-04-13  Wim Taymans  <wim@fluendo.com>

	* docs/plugins/gst-plugins-good-plugins-sections.txt:
	Fix docs.

	* gst/rtsp/URLS:
	Add some more example urls.

	* gst/rtsp/gstrtpdec.c: (gst_rtp_dec_marshal_BOXED__UINT_UINT),
	(gst_rtp_dec_chain_rtp):
	Better debugging.

	* gst/rtsp/gstrtspsrc.c: (request_pt_map),
	(gst_rtspsrc_activate_streams), (gst_rtspsrc_loop_interleaved),
	(gst_rtspsrc_parse_rtpinfo):
	Remove unused code.

2007-04-13  Stefan Kost  <ensonic@users.sf.net>

	* gst/wavparse/gstwavparse.c: (uint64_ceiling_scale_int),
	(gst_wavparse_perform_seek), (gst_wavparse_stream_headers),
	(gst_wavparse_stream_data):
	  Relax the audio/mpeg caps again and add FIXME: comment.

2007-04-13  Stefan Kost  <ensonic@users.sf.net>

	* gst/wavparse/gstwavparse.c: (uint64_ceiling_scale_int),
	(gst_wavparse_perform_seek), (gst_wavparse_stream_headers),
	(gst_wavparse_stream_data):
	* gst/wavparse/gstwavparse.h:
	  More sanity check for the header fields. Fix type for 'rate' header
	  field.

2007-04-12  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/icydemux/gsticydemux.c: (notgst_tag_freeform_string_to_utf8),
	(gst_icydemux_unicodify):
	  If the metadata strings we get in the stream are not UTF-8, try to
	  interpret them according to the character encodings specified in the
	  GST_ICY_TAG_ENCODING and GST_TAG_ENCODING environment variables, and
	  only fall back to locale/ISO-8859-1 if those aren't set or don't
	  work. Should fix #428901.

2007-04-12  Wim Taymans  <wim@fluendo.com>

	* gst/rtp/gstrtph264depay.c:
	Use the proper sync word for SPS and PPS.

2007-04-12  Thomas Vander Stichele  <thomas at apestaart dot org>

	* gst/rtp/Makefile.am:
	* gst/rtp/fnv1hash.c (MASK_24, FNV1_HASH_32_INIT, FNV1_HASH_32_PRIME,
	  fnv1_hash_32_new, fnv1_hash_32_update, fnv1_hash_32_to_24):
	* gst/rtp/fnv1hash.h (__GST_FNV1_HASH_H__):
	  Add a simple hashing implementation that we can use to generate
	  a 24-bit ident value based on the codebooks for vorbis and theora.
	* gst/rtp/gstrtptheorapay.c (gst_rtp_theora_pay_finish_headers,
	  gst_rtp_theora_pay_handle_buffer):
	* gst/rtp/gstrtpvorbisdepay.c
	  (gst_rtp_vorbis_depay_parse_configuration,
	  gst_rtp_vorbis_depay_switch_codebook, gst_rtp_vorbis_depay_process):
	* gst/rtp/gstrtpvorbispay.c (gst_rtp_vorbis_pay_reset_packet,
	  gst_rtp_vorbis_pay_init_packet, gst_rtp_vorbis_pay_flush_packet,
	  gst_rtp_vorbis_pay_finish_headers, gst_rtp_vorbis_pay_handle_buffer):
	  Use the hashing function, ensuring that the same codebooks result
	  in the same ident and thus the same SDP description.
	  Various log fixes/changes.

2007-04-12  Wim Taymans  <wim@fluendo.com>

	Patch by: jerry tan <jerry dot tan at sun dot com>

	* sys/sunaudio/gstsunaudiosrc.c: (gst_sunaudiosrc_open):
	remove the call of  ioctl (fd, AUDIO_MIXER_MULTIPLE_OPEN), it is the
	application's responsibility to make sure it open the device once.
	Remove a careless error if AUDIODEV is set. Fixes #392620.

2007-04-12  Wim Taymans  <wim@fluendo.com>

	* gst/rtsp/gstrtpdec.c: (gst_rtp_dec_marshal_BOXED__UINT_UINT),
	(gst_rtp_dec_class_init), (gst_rtp_dec_chain_rtp):
	* gst/rtsp/gstrtpdec.h:
	Make backward compat with rtpbin by adding the request-pt-map signals.

	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_create_stream),
	(new_session_pad), (request_pt_map),
	(gst_rtspsrc_stream_configure_transport),
	(gst_rtspsrc_stream_configure_caps),
	(gst_rtspsrc_activate_streams):
	* gst/rtsp/gstrtspsrc.h:
	Implement request-pt-map signals instead of setting caps on the buffers
	for the session manager.

2007-04-11  Wim Taymans  <wim@fluendo.com>

	* gst/udp/gstudp.c: (plugin_init):
	Register GstNetBuffer in plugin_init so that the type can be used from
	multiple threads without races.

2007-04-10  Wim Taymans  <wim@fluendo.com>

	* gst/rtp/gstrtpamrdepay.c: (gst_rtp_amr_depay_setcaps),
	(gst_rtp_amr_depay_process):
	Fix depayloader clock_rate and some cleanups.

	* gst/rtp/gstrtph264depay.c: (gst_rtp_h264_depay_finalize),
	(gst_rtp_h264_depay_setcaps), (gst_rtp_h264_depay_process):
	* gst/rtp/gstrtph264depay.h:
	Don't push codec_data in the adapter because it might get flushed when
	we get a discont.

	* gst/rtp/gstrtpmp4gdepay.c: (gst_rtp_mp4g_depay_process):
	Handle multiple AU per packet.

	* gst/rtp/gstrtpsv3vdepay.c: (gst_rtp_sv3v_depay_process),
	(gst_rtp_sv3v_depay_plugin_init):
	Disable rank, this one does not work.
	Remove timestamping, base class does that.

2007-04-10  Stefan Kost  <ensonic@users.sf.net>

	* gst/auparse/gstauparse.c: (gst_au_parse_parse_header):
	  limit caps to the formats we announce in the template

	* gst/wavparse/gstwavparse.c: (uint64_ceiling_scale_int),
	(gst_wavparse_perform_seek), (gst_wavparse_stream_headers),
	(gst_wavparse_add_src_pad), (gst_wavparse_stream_data):
	  fix some crashers/asserts when dealing with broken files

2007-04-10  Wim Taymans  <wim@fluendo.com>

	Patch by: Peter Kjellerstedt  <pkj at axis com>

	* gst/avi/gstavidemux.c: (gst_avi_demux_massage_index):
	* gst/rtp/gstrtpL16depay.c:
	* gst/rtp/gstrtpmp4gdepay.c: (gst_rtp_mp4g_depay_process):
	* gst/rtp/gstrtpspeexdepay.c: (gst_rtp_speex_depay_get_mode),
	(gst_rtp_speex_depay_setcaps):
	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_media_to_caps),
	(gst_rtspsrc_stream_configure_transport), (gst_rtspsrc_loop_udp):
	* gst/udp/gstmultiudpsink.c: (gst_multiudpsink_init_send):
	Fix some compiler warnings. Fixes #428182.

2007-04-06  Wim Taymans  <wim@fluendo.com>

	* gst/rtsp/Makefile.am:
	* gst/rtsp/gstrtpdec.c: (find_session_by_id), (create_session),
	(free_session), (gst_rtp_dec_base_init), (gst_rtp_dec_class_init),
	(gst_rtp_dec_init), (gst_rtp_dec_finalize),
	(gst_rtp_dec_query_src), (gst_rtp_dec_chain_rtp),
	(gst_rtp_dec_chain_rtcp), (gst_rtp_dec_set_property),
	(gst_rtp_dec_get_property), (gst_rtp_dec_provide_clock),
	(gst_rtp_dec_change_state), (create_recv_rtp), (create_recv_rtcp),
	(create_rtcp), (gst_rtp_dec_request_new_pad),
	(gst_rtp_dec_release_pad):
	* gst/rtsp/gstrtpdec.h:
	* gst/rtsp/gstrtsp.c: (plugin_init):
	Morph RTPDec into something compatible with RTPBin as a fallback.
	Various other style fixes.

	* gst/rtsp/gstrtspsrc.c: (find_stream_by_id),
	(find_stream_by_udpsrc), (gst_rtspsrc_stream_free),
	(gst_rtspsrc_cleanup), (gst_rtspsrc_media_to_caps),
	(new_session_pad), (gst_rtspsrc_stream_configure_transport),
	(gst_rtspsrc_activate_streams), (gst_rtspsrc_loop_interleaved),
	(gst_rtspsrc_loop_udp), (gst_rtspsrc_setup_auth),
	(gst_rtspsrc_handle_message), (gst_rtspsrc_change_state):
	* gst/rtsp/gstrtspsrc.h:
	Implement RTPBin session manager handling.
	Don't try to add empty properties to caps.
	Implement fallback session manager, handling.
	Don't combine errors from RTCP streams, just ignore them.

	* gst/rtsp/rtsptransport.c: (rtsp_transport_get_manager):
	* gst/rtsp/rtsptransport.h:
	Implement fallback session manager.
	Make RTPBin the default one when available.

2007-04-05  Wim Taymans  <wim@fluendo.com>

	* gst/rtp/gstrtpmp4adepay.c: (gst_rtp_mp4a_depay_class_init),
	(gst_rtp_mp4a_depay_setcaps), (gst_rtp_mp4a_depay_plugin_init):
	This element is ready to be autoplugged.

2007-04-05  Julien MOUTTE  <julien@moutte.net>

	* gst/avi/gstavidemux.c: (gst_avi_demux_process_next_entry):
	Don't leave the offsets defined by upstream element on the
	compressed data buffer we are pushing downstream. Make them
	GST_BUFFER_OFFSET_NONE.

2007-04-04  Stefan Kost  <ensonic@users.sf.net>

	* gst/avi/README:
	* gst/avi/gstavidemux.c: (gst_avi_demux_handle_src_query),
	(gst_avi_demux_parse_stream), (gst_avi_demux_parse_index),
	(gst_avi_demux_stream_index), (gst_avi_demux_sync),
	(gst_avi_demux_stream_scan), (gst_avi_demux_massage_index),
	(gst_avi_demux_calculate_durations_from_index),
	(gst_avi_demux_stream_header_push),
	(gst_avi_demux_stream_header_pull), (gst_avi_demux_combine_flows),
	(gst_avi_demux_process_next_entry), (gst_avi_demux_stream_data):
	  Don't abort on out-of-memory. Use stream-nr as unsigned integer only.

2007-04-03  Wim Taymans  <wim@fluendo.com>

	* gst/smpte/barboxwipes.c:
	Fix error as spotted by Snaik <snaik32 at gmail dot com>

2007-03-30  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/wavparse/gstwavparse.c:
	Support audio/x-raw-float in wav files. This only works with
	plugins-base CVS, using an older version doesn't have any
	disadvantages though.

2007-03-30  Sebastian Dröge  <slomo@circular-chaos.org>

	* configure.ac:
	* gst/auparse/gstauparse.c: (gst_au_parse_reset),
	(gst_au_parse_parse_header), (gst_au_parse_chain):
	* gst/auparse/gstauparse.h:
	Revert last change as we don't want plugins-good to depend on
	plugins-base CVS now.

2007-03-29  Sebastian Dröge  <slomo@circular-chaos.org>

	* configure.ac:
	Require gst-plugins-base CVS for audioconvert with non-native
	float support and width/depth fix in libgstriff.

	Patch by: René Stadler <mail at renestadler dot de>

	* gst/auparse/gstauparse.c: (gst_au_parse_reset),
	(gst_au_parse_parse_header), (gst_au_parse_chain):
	* gst/auparse/gstauparse.h:
	Don't swap the floats ourself if they're not in native endianness.
	Instead let audioconvert handle this. Fixes #339838.

2007-03-29  Wim Taymans  <wim@fluendo.com>

	* gst/rtp/gstasteriskh263.h:
	* gst/rtp/gstrtph263pdepay.c: (gst_rtp_h263p_depay_process),
	(gst_rtp_h263p_depay_change_state):
	* gst/rtp/gstrtph263pdepay.h:
	* gst/rtp/gstrtph264depay.c: (gst_rtp_h264_depay_class_init),
	(gst_rtp_h264_depay_setcaps), (gst_rtp_h264_depay_process),
	(gst_rtp_h264_depay_change_state):
	* gst/rtp/gstrtph264depay.h:
	* gst/rtp/gstrtpmp4adepay.c: (gst_rtp_mp4a_depay_class_init),
	(gst_rtp_mp4a_depay_setcaps), (gst_rtp_mp4a_depay_process):
	* gst/rtp/gstrtpmp4gdepay.c: (gst_rtp_mp4g_depay_process):
	Flush adapter on disconts.

2007-03-29  Wim Taymans  <wim@fluendo.com>

	* gst/rtp/gstrtpL16depay.c: (gst_rtp_L16_depay_process):
	* gst/rtp/gstrtpgsmdepay.c: (gst_rtp_gsm_depay_process):
	* gst/rtp/gstrtpilbcdepay.c: (gst_rtp_ilbc_depay_process):
	* gst/rtp/gstrtpmp2tdepay.c: (gst_rtp_mp2t_depay_process):
	* gst/rtp/gstrtpmp4gdepay.c: (gst_rtp_mp4g_depay_process):
	* gst/rtp/gstrtpmp4gpay.c: (gst_rtp_mp4g_pay_flush):
	* gst/rtp/gstrtpmp4vdepay.c: (gst_rtp_mp4v_depay_setcaps),
	(gst_rtp_mp4v_depay_process):
	* gst/rtp/gstrtpmp4vpay.c: (gst_rtp_mp4v_pay_flush):
	* gst/rtp/gstrtpmpadepay.c: (gst_rtp_mpa_depay_process):
	* gst/rtp/gstrtpmpapay.c: (gst_rtp_mpa_pay_flush):
	* gst/rtp/gstrtpmpvdepay.c: (gst_rtp_mpv_depay_process):
	* gst/rtp/gstrtppcmadepay.c: (gst_rtp_pcma_depay_process):
	* gst/rtp/gstrtppcmudepay.c: (gst_rtp_pcmu_depay_process):
	* gst/rtp/gstrtpsv3vdepay.c: (gst_rtp_sv3v_depay_process):
	Use more efficient adapter and rtpbuffer methods when possible.

2007-03-29  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/wavenc/gstwavenc.c: (gst_wavenc_create_header_buf),
	(gst_wavenc_sink_setcaps):
	Correctly handle width!=depth input.
	* gst/wavparse/gstwavparse.c:
	Already export in the caps that width==8 uses unsigned samples and
	everything else uses signed samples.

2007-03-29  Wim Taymans  <wim@fluendo.com>

	Patch by: Laurent Glayal <spglegle at yahoo dot fr>

	* gst/udp/gstdynudpsink.c: (gst_dynudpsink_class_init),
	(gst_dynudpsink_init), (gst_dynudpsink_set_property),
	(gst_dynudpsink_get_property), (gst_dynudpsink_init_send),
	(gst_dynudpsink_close):
	* gst/udp/gstdynudpsink.h:
	* gst/udp/gstudpsrc.c: (gst_udpsrc_class_init), (gst_udpsrc_init),
	(gst_udpsrc_create), (gst_udpsrc_set_property),
	(gst_udpsrc_get_property), (gst_udpsrc_start), (gst_udpsrc_stop):
	* gst/udp/gstudpsrc.h:
	Rework the socket allocation a bit based on the sockfd argument so that
	it becomes usable.
	Add a closefd property to instruct the udp elements to close the custom
	file descriptors when going to READY. Fixes #423304.
	API:GstUDPSrc::closefd property
	API:GstDynUDPSink::closefd property

2007-03-29  Wim Taymans  <wim@fluendo.com>

	Patch by: Laurent Glayal <spglegle at yahoo dot fr>

	* gst/rtp/Makefile.am:
	* gst/rtp/gstrtp.c: (plugin_init):
	* gst/rtp/gstrtph264pay.c: (gst_rtp_h264_pay_base_init),
	(gst_rtp_h264_pay_class_init), (gst_rtp_h264_pay_init),
	(gst_rtp_h264_pay_finalize), (gst_rtp_h264_pay_setcaps),
	(gst_rtp_h264_pay_handle_buffer), (gst_rtp_h264_pay_set_property),
	(gst_rtp_h264_pay_get_property), (gst_rtp_h264_pay_change_state),
	(gst_rtp_h264_pay_plugin_init):
	* gst/rtp/gstrtph264pay.h:
	Added H264 payloader. Fixes #423782.

	* gst/rtp/gstrtph264depay.c: (gst_rtp_h264_depay_class_init),
	(gst_rtp_h264_depay_setcaps), (gst_rtp_h264_depay_process):
	Small fixes.

2007-03-29  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/wavparse/gstwavparse.c:
	Actually support depths from 1 to 32, not only 8 to 32.

2007-03-29  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/wavparse/gstwavparse.c:
	Add support for wav files containing audio/x-raw-int with random
	depths between 1 and 32 bits.

2007-03-28  Wim Taymans  <wim@fluendo.com>

	Based on patch by: Stefan Kost  <ensonic@users.sf.net>

	* gst/rtp/Makefile.am:
	* gst/rtp/gstrtp.c: (plugin_init):
	* gst/rtp/gstrtpmp4adepay.c: (gst_rtp_mp4a_depay_base_init),
	(gst_rtp_mp4a_depay_class_init), (gst_rtp_mp4a_depay_init),
	(gst_rtp_mp4a_depay_finalize), (gst_rtp_mp4a_depay_setcaps),
	(gst_rtp_mp4a_depay_process), (gst_rtp_mp4a_depay_set_property),
	(gst_rtp_mp4a_depay_get_property),
	(gst_rtp_mp4a_depay_change_state),
	(gst_rtp_mp4a_depay_plugin_init):
	* gst/rtp/gstrtpmp4adepay.h:
	Added MP4A-LATM depayloader. Fixes #417792.

	* gst/rtp/gstrtpmp4vdepay.c: (gst_rtp_mp4v_depay_setcaps),
	(gst_rtp_mp4v_depay_process):
	Fixup depayloader, setting codec_data, using more efficient adaptor and
	rtpbuffer handling.

	* gst/rtsp/URLS:
	Add url to test above.

2007-03-25  Wim Taymans  <wim@fluendo.com>

	* gst/rtsp/gstrtspsrc.c: (find_stream_by_setup),
	(gst_rtspsrc_create_stream), (gst_rtspsrc_stream_free),
	(get_default_rate_for_pt), (gst_rtspsrc_parse_rtpmap),
	(gst_rtspsrc_media_to_caps),
	(gst_rtspsrc_stream_configure_transport),
	(gst_rtspsrc_stream_configure_caps),
	(gst_rtspsrc_activate_streams), (gst_rtspsrc_parse_rtpinfo):
	* gst/rtsp/gstrtspsrc.h:
	Handle default clock-rates for static payload types, rearrange stuff so
	that the rtpmap field in the sdp can override the defaults.
	Parse RTP-Info field to get the seqnum and timebase fields that should
	go in the caps.
	Delay configuring caps after we got the RTP-Info from the PLAY reply from
	the server. 

2007-03-22  Wim Taymans  <wim@fluendo.com>

	Patch by: Christophe Dehais <christophe dot dehais at gmail dot com>

	* ext/gconf/gconf.c: (gst_gconf_render_bin_with_default):
	Accept complex pipeline descriptions as an audio profile instead of just
	a single element. Fixes #420658.

2007-03-21  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/apetag/gsttagdemux.c: (gst_tag_demux_get_type):
	  Rename registered type in preparation of GstTagDemux moving to
	  -base at some point in the future.

2007-03-19  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/wavparse/gstwavparse.c: (gst_wavparse_stream_headers):
	  Streaming mode fixes: don't unref buffer we don't own any longer;
	  remove bogus adapter flush. Fixes #419338.

2007-03-17  David Schleef  <ds@schleef.org>

	* REQUIREMENTS: Change the format to key/value, add a bunch of
	  information, remove a bunch of requirements that are for
	  other GStreamer packages.

2007-03-17  David Schleef  <ds@schleef.org>

	* REQUIREMENTS: Fix a few things.  This file really needs a
	good once-over.

2007-03-15  Edward Hervey  <edward@fluendo.com>

	* sys/Makefile.am:
	Don't forget to distribute the sys/osxaudio/ directory.

2007-03-15  Edward Hervey  <edward@fluendo.com>

	* configure.ac:
	* sys/Makefile.am:
	* sys/osxaudio/Makefile.am:
	* sys/osxaudio/gstosxaudio.c:
	* sys/osxaudio/gstosxaudiosink.c:
	(gst_osx_audio_sink_osxelement_do_init), (gst_osx_audio_sink_init),
	(gst_osx_audio_sink_getcaps),
	(gst_osx_audio_sink_create_ringbuffer), (plugin_init):
	* sys/osxaudio/gstosxaudiosrc.c:
	(gst_osx_audio_src_osxelement_do_init), (gst_osx_audio_src_init),
	(gst_osx_audio_src_create_ringbuffer):
	* sys/osxaudio/gstosxringbuffer.c: (gst_osx_ring_buffer_get_type),
	(gst_osx_ring_buffer_class_init), (gst_osx_ring_buffer_init),
	(gst_osx_ring_buffer_acquire), (gst_osx_ring_buffer_start),
	(gst_osx_ring_buffer_pause), (gst_osx_ring_buffer_stop):
	* sys/osxaudio/gstosxringbuffer.h:
	Activate osxaudio in gst-plugins-good with proper build setup.
	Add inlined documentation.
	Fix debug statements
	Fix ringbuffer when pausing.
	Fixes #323471

2007-03-14 Philippe Kalaf <philippe.kalaf@collabora.co.uk> 	 
	* gst/rtp/gstrtppcmapay.c:
	* gst/rtp/gstrtppcmapay.h:
	* gst/rtp/gstrtppcmupay.c:
	* gst/rtp/gstrtppcmupay.h:
	Ported mulaw and alaw payloaders to use new base class

2007-03-14  Thomas Vander Stichele  <thomas at apestaart dot org>

	* po/af.po:
	* po/az.po:
	* po/cs.po:
	* po/en_GB.po:
	* po/it.po:
	* po/nl.po:
	* po/or.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/uk.po:
	* po/vi.po:
	  Update translations.

2007-03-14  Tim-Philipp Müller  <tim at centricular dot net>

	* configure.ac:
	  Fix string replace error (AG_AG_GST_* => AG_GST_*).

2007-03-12  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/apetag/gsttagdemux.c: (gst_tag_demux_srcpad_event):
	  Fix handling of -1 values for start and stop values when seeking,
	  and SEEK_CUR+SEEK_END here as well.

2007-03-12  Jan Schmidt  <thaytan@mad.scientist.com>

	* gst/id3demux/gstid3demux.c: (gst_id3demux_srcpad_event):
	  Fix handling of -1 values for start and stop values when seeking, 
	  and SEEK_CUR+SEEK_END.

2007-03-12  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/id3demux/id3v2frames.c: (parse_picture_frame):
	  Fix parsing of ID3 v2.2.0 PIC frames. Only in version >= 2.3.0 is
	  the image format a variable-length NUL-terminated string; in
	  versions before that the image format is a fixed-length string of
	  3 characters (see #348644 for a sample tag).
	  Also make supplied mime type lower-case and fix up 'jpg' to 'jpeg'.

2007-03-10  Sebastien Moutte  <sebastien@moutte.net>

	* win32/MANIFEST:
	Add new project files to MANIFEST.
	* win32/vs6/libgstaudiofx.dsp:
	* win32/vs6/libgstrtp.dsp:
	* win32/vs6/libgstrtsp.dsp:
	Update project files.
	
2007-03-10  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/avi/gstavidemux.c: (gst_avi_demux_parse_subindex),
	(gst_avi_demux_parse_index):
	* sys/v4l2/v4l2_calls.c: (gst_v4l2_fill_lists):
	* sys/v4l2/v4l2src_calls.c: (gst_v4l2src_grab_frame):
	  Printf format fixes; also add some missing quotes in translated
	  strings. Fixes #416728 and #416727.

2007-03-09  Jan Schmidt  <thaytan@mad.scientist.com>

	* gst/autodetect/gstautoaudiosink.c: (gst_auto_audio_sink_find_best):
	  Tim and I can't think of any reason the child audio sink needs to 
	  be set back to NULL after successfully determining that it can 
	  reach READY - it gets immediately set back to READY by the caller
	  anyway, causing an unnecessary close/open of any audio devices
	  involved.

2007-03-09  Tim-Philipp Müller  <tim at centricular dot net>

	* po/LINGUAS:
	* po/ja.po:
	  Add ja.po file from #377306.

2007-03-09  Tim-Philipp Müller  <tim at centricular dot net>

	* sys/sunaudio/gstsunaudio.c: (plugin_init):
	* sys/sunaudio/gstsunaudiomixertrack.c:
	(gst_sunaudiomixer_track_new):
	  Actually translate sunaudio mixer track labels instead of just
	  marking the strings as translatable (#377306); clean up weird
	  label string mapping code that serves no apparent purpose. Also
	  set the 'untranslated-label' property when creating mixer tracks
	  if the GstMixerTrack base class supports this.

	* tests/check/Makefile.am:
	* tests/check/elements/.cvsignore:
	* tests/check/elements/sunaudio.c: (GST_START_TEST),
	(sunaudio_suite):
	  Very minimalistic unit test for sunaudiomixer element (compiles, but not
	  actually tested on a system where sunaudiomixer is available).

2007-03-09  Jan Schmidt  <thaytan@mad.scientist.com>

	* tests/check/Makefile.am:
	Re-enable the states test and see if it works on the buildbots.

2007-03-09  Jan Schmidt  <thaytan@mad.scientist.com>

	* ext/dv/gstdvdec.c: (gst_dvdec_init), (gst_dvdec_sink_setcaps),
	(gst_dvdec_src_negotiate), (gst_dvdec_chain),
	(gst_dvdec_change_state):
	* ext/dv/gstdvdec.h:
	Infer pixel-aspect-ratio from the video frame format if it isn't
	provided by the container, as happens when playing DV from AVI
	or Quicktime containers.

	Patch by: Wim Taymans <wim@fluendo.com>
	Fixes #380944

2007-03-09  Wim Taymans  <wim@fluendo.com>

	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_activate_streams):
	When activated, remove the udpsrc timeout, we have dataflow and timeouts
	will later be handled by the jitterbuffer.

2007-03-09  Wim Taymans  <wim@fluendo.com>

	* ext/taglib/gstid3v2mux.cc:
	Add write support for GST_TAG_MUSICBRAINZ_SORTNAME (TSOP) tag.
	Fixes #414496.
	
	Patch by: Alex Lancaster <alexl at users sourceforge net>

2007-03-09  Wim Taymans  <wim@fluendo.com>

	* gst/avi/gstavidemux.c: (gst_avi_demux_parse_stream),
	(gst_avi_demux_push_event), (gst_avi_demux_do_seek),
	(gst_avi_demux_process_next_entry), (gst_avi_demux_stream_data),
	(gst_avi_demux_chain):
	Fix stream position reporting after a seek. Fixes #416445.

2007-03-08  Wim Taymans  <wim@fluendo.com>

	Patch by: René Stadler <mail at renestadler dot de>

	* gst/avi/gstavidemux.c: (gst_avi_demux_parse_stream),
	(gst_avi_demux_push_event), (gst_avi_demux_process_next_entry),
	(gst_avi_demux_stream_data), (gst_avi_demux_chain):
	Make avidemux accept optional header chunks in any order.
	Fixes #415446.

2007-03-08  Jan Schmidt  <thaytan@mad.scientist.com>

	* tests/check/Makefile.am:
	Disable the states check until the remaining Valgrind errors
	are fixed or suppressed.

2007-03-08  Sebastian Dröge  <slomo@circular-chaos.org>

	* tests/check/elements/.cvsignore:
	  Add audiodynamic check to .cvsignore

2007-03-08  Sebastian Dröge  <slomo@circular-chaos.org>

	reviewed by: Stefan Kost  <ensonic@users.sf.net>

	* gst/audiofx/Makefile.am:
	* gst/audiofx/audiodynamic.c:
	(gst_audio_dynamic_characteristics_get_type),
	(gst_audio_dynamic_mode_get_type),
	(gst_audio_dynamic_set_process_function),
	(gst_audio_dynamic_base_init), (gst_audio_dynamic_class_init),
	(gst_audio_dynamic_init), (gst_audio_dynamic_set_property),
	(gst_audio_dynamic_get_property), (gst_audio_dynamic_setup),
	(gst_audio_dynamic_transform_hard_knee_compressor_int),
	(gst_audio_dynamic_transform_hard_knee_compressor_float),
	(gst_audio_dynamic_transform_soft_knee_compressor_int),
	(gst_audio_dynamic_transform_soft_knee_compressor_float),
	(gst_audio_dynamic_transform_hard_knee_expander_int),
	(gst_audio_dynamic_transform_hard_knee_expander_float),
	(gst_audio_dynamic_transform_soft_knee_expander_int),
	(gst_audio_dynamic_transform_soft_knee_expander_float),
	(gst_audio_dynamic_transform_ip):
	* gst/audiofx/audiodynamic.h:
	* gst/audiofx/audiofx.c: (plugin_init):
	Add new audiodynamic element which can act as a compressor or
	expander. Supported are hard-knee and soft-knee operation modes with
	user-specified ratio and threshold.
	Attack and release parameters are not yet implemented but will follow.
	* docs/plugins/Makefile.am:
	* docs/plugins/gst-plugins-good-plugins-docs.sgml:
	* docs/plugins/gst-plugins-good-plugins-sections.txt:
	* docs/plugins/gst-plugins-good-plugins.args:
	* docs/plugins/inspect/plugin-audiofx.xml:
	Integrate audiodynamic into the docs.
	* tests/check/Makefile.am:
	* tests/check/elements/audiodynamic.c: (setup_dynamic),
	(cleanup_dynamic), (GST_START_TEST), (dynamic_suite), (main):
	Add unit test for audiodynamic.

2007-03-07  Jan Schmidt  <thaytan@mad.scientist.com>

	* ext/raw1394/gstdv1394src.c: (gst_dv1394src_start):
	Free handles that we allocated when exiting via the error paths.

2007-03-07  Stefan Kost  <ensonic@users.sf.net>

	* gst/level/gstlevel.c: (gst_level_class_init),
	(gst_level_set_caps), (gst_level_start), (gst_level_event),
	(gst_level_transform_ip):
	* gst/level/gstlevel.h:
	  Resolve message timestamps against the playback segment.

2007-03-06  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/id3demux/gstid3demux.c: (gst_id3demux_add_srcpad),
	(gst_id3demux_sink_activate):
	  Don't leak caps: make gst_id3demux_add_srcpad() not take ownership of the
	  caps passed to it (previously one code path assumed it took ownership
	  while another one assumed it didn't, while in fact it sometimes did and
	  sometimes didn't ...).

	* configure.ac:
	* tests/files/Makefile.am:
	* tests/files/id3-407349-1.tag:
	* tests/files/id3-407349-2.tag:
	  Add directory where data for unit tests can be stored.

	* tests/Makefile.am:
	* tests/check/Makefile.am:
	* tests/check/elements/.cvsignore:
	* tests/check/elements/id3demux.c: (pad_added_cb), (error_cb),
	(read_tags_from_file), (run_check_for_file),
	(check_date_1977_06_23), (GST_START_TEST), (id3demux_suite):
	  Add unit test for id3demux, and in particular for bug #407349. Only
	  testing pull-mode for now; push mode doesn't work yet because the test
	  files are smaller than ID3_TYPE_FIND_MIN_SIZE.

2007-03-06  Tim-Philipp Müller  <tim at centricular dot net>

	* tests/check/Makefile.am:
	  Add missing backslash at end of line.

2007-03-06  Jan Schmidt  <thaytan@mad.scientist.com>

	Trigger rebuild.

2007-03-06  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/id3demux/id3tags.c: (id3demux_id3v2_frames_to_tag_list):
	* gst/id3demux/id3tags.h:
	* gst/id3demux/id3v2frames.c: (id3demux_id3v2_parse_frame),
	(parse_obsolete_tdat_frame):
	  Do not convert obsolete TDA/TDAT frames to TDRC frames, otherwise
	  the four-digit number will be interpreted as a year, whereas it is
	  month and day in DDMM format. Instead, parse TDAT frames and fix up
	  the date in the GST_TAG_DATE tag later if we also extracted a year.
	  Fixes #407349.

2007-03-06  Jan Schmidt  <thaytan@mad.scientist.com>

	* ext/gconf/gstswitchsink.c: (gst_switch_sink_dispose),
	(gst_switch_commit_new_kid):
	Fix up the dispose logic so it doesn't leak, and fix setting of 
	the child state so that we don't set a child to our current state 
	just as we are changing it to something else.

2007-03-06  Wim Taymans  <wim@fluendo.com>

	* gst/goom/gstgoom.c: (gst_goom_src_setcaps), (get_buffer),
	(gst_goom_chain):
	* gst/goom/gstgoom.h:
	Document, fix and improve goom adapter behaviour.
	Fixes #407006.

2007-03-05  Jan Schmidt  <thaytan@mad.scientist.com>

	* ext/esd/esdsink.c: (gst_esdsink_open):
	Unref static pad template after using it.

2007-03-05  Jan Schmidt  <thaytan@mad.scientist.com>

	* ext/gconf/gstswitchsink.c: (gst_switch_sink_dispose),
	(gst_switch_commit_new_kid):
	Fix up the reference counting of the child elements.

2007-03-05  Wim Taymans  <wim@fluendo.com>

	* gst/rtp/gstrtpmp4gpay.c: (gst_rtp_mp4g_pay_setcaps):
	* gst/rtp/gstrtptheorapay.c: (gst_rtp_theora_pay_finish_headers):
	* gst/rtp/gstrtpvorbispay.c: (gst_rtp_vorbis_pay_finish_headers):
	Fix encoding-name case.

2007-03-05  Wim Taymans  <wim@fluendo.com>

	* gst/rtp/gstrtpspeexdepay.c: (gst_rtp_speex_depay_class_init),
	(gst_rtp_speex_depay_get_mode), (gst_rtp_speex_depay_setcaps),
	(gst_rtp_speex_depay_process):
	* gst/rtp/gstrtpspeexpay.c: (gst_rtp_speex_pay_base_init),
	(gst_rtp_speex_pay_class_init), (gst_rtp_speex_pay_setcaps),
	(gst_rtp_speex_pay_parse_ident), (gst_rtp_speex_pay_handle_buffer),
	(gst_rtp_speex_pay_change_state):
	* gst/rtp/gstrtpspeexpay.h:
	Fix speex (de)payloader. Fixes #358040.

2007-03-05  Jan Schmidt  <thaytan@mad.scientist.com>

	* ext/gconf/gstswitchsink.c: (gst_switch_sink_reset),
	(gst_switch_commit_new_kid), (gst_switch_sink_set_child):
	Install fakesink in NULL by fixing some broken logic. This obviates
	the need to manually set _IS_SINK.
	Add some comments and remove a little cruft while I'm at it.

2007-03-05  Wim Taymans  <wim@fluendo.com>

	* ext/gconf/gstswitchsink.c: (gst_switch_sink_reset):
	Mark us as a sink when we have no fakesink in NULL. Fixes #414887.

2007-03-04  Tim-Philipp Müller  <tim at centricular dot net>

	* po/POTFILES.in:
	  Update.

2007-03-04  Jan Schmidt  <thaytan@mad.scientist.com>

	* tests/check/Makefile.am:
	Gah! Also disable gconfvideosink from the tests, otherwise
	it will instantiate autovideosink, and dfbvideosink and
	leak on the buildbots.

2007-03-04  Jan Schmidt  <thaytan@mad.scientist.com>

	* ext/cdio/gstcdiocddasrc.c: (gst_cdio_cdda_src_open),
	(gst_cdio_cdda_src_finalize):
	Make sure we always destroy our libcdio handle.

2007-03-04  Jan Schmidt  <thaytan@mad.scientist.com>

	* tests/check/Makefile.am:
	Disable autovideosink so the buildbots don't barf over memory
	leaked in the directfb sink.

2007-03-04  Jan Schmidt  <thaytan@mad.scientist.com>

	* sys/ximage/gstximagesrc.c: (gst_ximage_src_dispose):
	Chain up in dispose

2007-03-04  Jan Schmidt  <thaytan@mad.scientist.com>

	* gst/multipart/multipartdemux.c: (gst_multipart_demux_init),
	(gst_multipart_find_pad_by_mime):
	Use gst_pad_new_from_static_template instead of
	static_pad_template_get+pad_new.

2007-03-04  Jan Schmidt  <thaytan@mad.scientist.com>

	* sys/ximage/gstximagesrc.c: (gst_ximage_src_create):
	Catch the case where no clock has been set.

2007-03-04  Jan Schmidt  <thaytan@mad.scientist.com>

	* ext/flac/gstflacenc.c: (gst_flac_enc_finalize):
	* ext/gconf/gstgconfaudiosink.c: (gst_gconf_audio_sink_class_init),
	(gst_gconf_audio_sink_dispose), (gst_gconf_audio_sink_finalize):
	* ext/gconf/gstgconfaudiosrc.c: (gst_gconf_audio_src_base_init),
	(gst_gconf_audio_src_class_init), (gst_gconf_audio_src_dispose),
	(gst_gconf_audio_src_finalize), (do_toggle_element):
	* ext/gconf/gstgconfvideosink.c: (gst_gconf_video_sink_base_init),
	(gst_gconf_video_sink_class_init), (gst_gconf_video_sink_finalize),
	(do_toggle_element):
	* ext/gconf/gstgconfvideosrc.c: (gst_gconf_video_src_base_init),
	(gst_gconf_video_src_class_init), (gst_gconf_video_src_dispose),
	(gst_gconf_video_src_finalize), (do_toggle_element):
	* ext/gconf/gstswitchsink.c: (gst_switch_sink_class_init),
	(gst_switch_sink_reset), (gst_switch_sink_set_child):
	* ext/hal/gsthalaudiosink.c: (gst_hal_audio_sink_base_init):
	* ext/hal/gsthalaudiosrc.c: (gst_hal_audio_src_base_init):
	* ext/shout2/gstshout2.c: (gst_shout2send_class_init),
	(gst_shout2send_init), (gst_shout2send_finalize):
	* gst/debug/testplugin.c: (gst_test_class_init),
	(gst_test_finalize):
	* gst/flx/gstflxdec.c: (gst_flxdec_class_init),
	(gst_flxdec_dispose):
	* gst/multipart/multipartmux.c: (gst_multipart_mux_finalize):
	* gst/rtp/gstrtpmp4gpay.c: (gst_rtp_mp4g_pay_finalize):
	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_init),
	(gst_rtspsrc_finalize):
	* gst/rtsp/rtspextwms.c: (rtsp_ext_wms_free_context):
	* gst/rtsp/rtspextwms.h:
	* gst/smpte/gstsmpte.c: (gst_smpte_class_init),
	(gst_smpte_finalize):
	* gst/udp/gstmultiudpsink.c: (gst_multiudpsink_finalize):
	* gst/udp/gstudpsink.c: (gst_udpsink_class_init),
	(gst_udpsink_finalize):
	* gst/wavparse/gstwavparse.c: (gst_wavparse_dispose),
	(gst_wavparse_sink_activate):
	* sys/oss/gstosssink.c: (gst_oss_sink_finalise):
	* sys/oss/gstosssrc.c: (gst_oss_src_class_init),
	(gst_oss_src_finalize):
	* sys/v4l2/gstv4l2object.c: (gst_v4l2_object_destroy):
	* sys/v4l2/gstv4l2object.h:
	* sys/v4l2/gstv4l2src.c: (gst_v4l2src_class_init),
	(gst_v4l2src_finalize):
	* sys/ximage/gstximagesrc.c: (gst_ximage_src_ximage_get):

	Fix a bunch of leaks shown by the newly-added states test.

2007-03-04  Jan Schmidt  <thaytan@mad.scientist.com>

	* ext/dv/gstdvdec.c: (gst_dvdec_init):
	Use gst_pad_new_from_static_template instead of 
	static_pad_template_get+pad_new.

2007-03-03  Tim-Philipp Müller  <tim at centricular dot net>

	Patch by: Loïc Minier <lool+gnome at via ecp fr>

	* ext/libcaca/Makefile.am:
	* gst/debug/Makefile.am:
	  Don't mix tabs and spaces (#414168).

2007-03-02  Stefan Kost  <ensonic@users.sf.net>

	* tests/check/generic/.cvsignore:
	  Ignore files to please buildbot.

2007-03-02  Stefan Kost  <ensonic@users.sf.net>

	* gst/wavparse/gstwavparse.c: (gst_wavparse_stream_headers),
	(gst_wavparse_stream_data):
	  Unbreak my previous commit (swapped nominator & denominator). Tim,
	  thanks for spotting.

2007-03-02  Wim Taymans  <wim@fluendo.com>

	* ext/cdio/gstcdiocddasrc.c: (gst_cdio_cdda_src_probe_devices),
	(gst_cdio_cdda_src_read_sector), (gst_cdio_cdda_src_open),
	(gst_cdio_cdda_src_finalize):
	Small code cleanups.
	Don't use pad_alloc as the base class cannot deal with the error codes.

2007-03-02  Wim Taymans  <wim@fluendo.com>

	* gst/udp/gstudpsrc.c: (gst_udpsrc_class_init),
	(gst_udpsrc_create):
	Fix doc.

2007-03-02  Stefan Kost  <ensonic@users.sf.net>

	Patch by: René Stadler <mail@renestadler.de>

	* gst/wavparse/gstwavparse.c: (uint64_ceiling_scale_int),
	(gst_wavparse_perform_seek), (gst_wavparse_stream_headers),
	(gst_wavparse_stream_data):
	  Handle rounding better to not drop last sample frame. Fixes #356692

2007-03-02  Jan Schmidt  <thaytan@mad.scientist.com>

	* tests/check/Makefile.am:
	Disable cacasink from the states check too - it also calls exit(1)
	on us when it can't find a terminal to talk to.

2007-03-02  Wim Taymans  <wim@fluendo.com>

	Patch by: Thijs Vermeir <thijsvermeir at gmail dot com>

	* gst/udp/gstudpsrc.c: (gst_udpsrc_class_init), (gst_udpsrc_init),
	(gst_udpsrc_create), (gst_udpsrc_set_property),
	(gst_udpsrc_get_property):
	* gst/udp/gstudpsrc.h:
	Add support to strip proprietary headers. Fixes #350296.

2007-03-02  Wim Taymans  <wim@fluendo.com>

	* gst/rtp/gstrtpmp2tdepay.c: (gst_rtp_mp2t_depay_process):
	Fix compilation.

2007-03-02  Wim Taymans  <wim@fluendo.com>

	Patch by: Thijs Vermeir <thijsvermeir at gmail dot com>

	* gst/rtp/gstrtpmp2tdepay.c: (gst_rtp_mp2t_depay_class_init),
	(gst_rtp_mp2t_depay_init), (gst_rtp_mp2t_depay_process),
	(gst_rtp_mp2t_depay_set_property),
	(gst_rtp_mp2t_depay_get_property):
	* gst/rtp/gstrtpmp2tdepay.h:
	Add support to strip off proprietary headers. Fixes #350278.

2007-03-02  Wim Taymans  <wim@fluendo.com>

	* ext/hal/hal.c:
	Fix compilation.

2007-03-02  Wim Taymans  <wim@fluendo.com>

	* sys/sunaudio/gstsunaudiosrc.c: (gst_sunaudiosrc_class_init),
	(gst_sunaudiosrc_init), (gst_sunaudiosrc_get_property),
	(gst_sunaudiosrc_open):
	* sys/sunaudio/gstsunaudiosrc.h:
	Remove device-name from GstSunAudioSrc. Fixes #412597.

2007-03-01  Sebastian Dröge  <slomo@circular-chaos.org>

	* ext/hal/gsthalaudiosink.c: (do_toggle_element):
	* ext/hal/gsthalaudiosrc.c: (do_toggle_element):
	Having NULL as UDI previously selected the default sink/src. Change
	this back but mention it in the debug output.
	* ext/hal/hal.c: (gst_hal_get_alsa_element),
	(gst_hal_get_oss_element), (gst_hal_get_string),
	(gst_hal_render_bin_from_udi), (gst_hal_get_audio_sink),
	(gst_hal_get_audio_src):
	* ext/hal/hal.h:
	Refactor a bit, check all error conditions, greatly improve debugging
	and fix some possible memory leaks. Also implement OSS support
	and allow specifying an UDI that points to a real device. For this the
	child device which supports ALSA (preferred) or OSS is used.
	As a side effect this makes it impossible now to get a alsasink in
	halaudiosrc and a alsasrc in halaudiosink.

2007-03-01  Wim Taymans  <wim@fluendo.com>

	* gst/rtsp/gstrtspsrc.c: (find_stream_by_channel),
	(find_stream_by_udpsrc), (gst_rtspsrc_handle_message):
	Errors from the udp sources are not fatal unless all of them are in
	error.

2007-03-01  Jan Schmidt  <thaytan@mad.scientist.com>

	* tests/check/Makefile.am:
	Disable aasink in the states test. I suspect this is the element that
	is calling exit(1) when it can't proceed.

2007-03-01  Jan Schmidt  <thaytan@mad.scientist.com>

	* tests/check/Makefile.am:
	Draw plugins in from the build tree sys/ dir, rather than picking
	up the already installed versions.

2007-03-01  Zaheer Abbas Merali  <zaheerabbas at merali dot org>

	* sys/ximage/gstximagesrc.c: (gst_ximage_src_open_display):
	Error out correctly when getting xcontext fails.

2007-03-01  Wim Taymans  <wim@fluendo.com>

	* gst/rtsp/gstrtpdec.c: (gst_rtpdec_change_state):
	Make state change to PAUSED NO_PREROLL because that's what it will be in
	the future and rtspsrc relies on it.

	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_stream_configure_transport),
	(gst_rtspsrc_change_state):
	Don't error out when we don't get an error from the state change
	function.

2007-03-01  Sebastian Dröge  <slomo@circular-chaos.org>

	* ext/hal/gsthalaudiosink.c: (do_toggle_element):
	* ext/hal/gsthalaudiosrc.c: (do_toggle_element):
	  Check if the device UDI is set before trying to query HAL
	  about it and give a useful error message if it wasn't set.
	* ext/hal/hal.c: (gst_hal_get_string):
	  Don't query HAL for NULL UDIs. Passing NULL as UDI to HAL
	  gives an assertion failure in D-Bus when running with
	  DBUS_FATAL_WARNINGS=1.

2007-02-28  Thomas Vander Stichele  <thomas at apestaart dot org>

	* configure.ac:
	  Convert to new AG_GST style.

2007-02-28  Thomas Vander Stichele  <thomas at apestaart dot org>

	* tests/check/Makefile.am:
	* tests/check/generic/states.c: (GST_START_TEST), (states_suite):
	  add test for states

2007-02-28  Wim Taymans  <wim@fluendo.com>

	* tests/check/elements/.cvsignore:
	Add new videofilter check to .cvsignore.

2007-02-28  Wim Taymans  <wim@fluendo.com>

	* gst/avi/gstavidemux.c: (gst_avi_demux_combine_flows),
	(gst_avi_demux_process_next_entry), (gst_avi_demux_stream_data),
	(gst_avi_demux_loop), (gst_avi_demux_chain):
	Fix combined flow return. Fixes #412608.

2007-02-28  Wim Taymans  <wim@fluendo.com>

	* gst/videofilter/Makefile.am:
	Dist header..

2007-02-28  Wim Taymans  <wim@fluendo.com>

	* gst/videofilter/gstgamma.h:
	Add header too.

2007-02-28  Wim Taymans  <wim@fluendo.com>

	Patch by: Mark Nauwelaerts <manauw at skynet be>

	* gst/videofilter/Makefile.am:
	* gst/videofilter/gstgamma.c: (gst_gamma_base_init),
	(gst_gamma_class_init), (gst_gamma_init), (gst_gamma_set_property),
	(gst_gamma_get_property), (gst_gamma_calculate_tables),
	(oil_tablelookup_u8), (gst_gamma_set_caps),
	(gst_gamma_planar411_ip), (gst_gamma_transform_ip), (plugin_init):
	Port gamma filter to 0.10. Fixes #412704.

	* tests/check/Makefile.am:
	* tests/check/elements/videofilter.c: (setup_filter),
	(cleanup_filter), (check_filter), (GST_START_TEST),
	(videobalance_suite), (videoflip_suite), (gamma_suite), (main):
	Add unit tests for videofilters.

2007-02-28  Wim Taymans  <wim@fluendo.com>

	* gst/rtsp/URLS:
	Add another interesting test url.

	* gst/rtsp/rtspmessage.c: (rtsp_message_get_header):
	Don't allow getting header fields from data packets.

2007-02-28  Michael Smith  <msmith@fluendo.com>

	* ext/shout2/gstshout2.c: (gst_shout2send_class_init),
	(gst_shout2send_init), (gst_shout2send_start),
	(gst_shout2send_set_property), (gst_shout2send_get_property):
	* ext/shout2/gstshout2.h:
	  Add a property for username.

2007-02-27  Christian Schallerr <christian@fluendo.com>

	* sys/osxaudio: Add Pioneers of the inevitable to the copyright list

2007-02-26  Jan Schmidt  <thaytan@mad.scientist.com>

	* gst/rtsp/Makefile.am:
	Fix make check too.

2007-02-26  Jan Schmidt  <thaytan@mad.scientist.com>

	* gst/rtsp/base64.c: (util_base64_encode):
	* gst/rtsp/base64.h:
	Commit missing files for base64 encoding.

2007-02-24  Tim-Philipp Müller  <tim at centricular dot net>

	Patch by: Loïc Minier <lool+gnome at via ecp fr>

	* configure.ac:
	* ext/annodex/Makefile.am:
	* ext/jpeg/Makefile.am:
	* ext/speex/Makefile.am:
	* gst/alpha/Makefile.am:
	* gst/cutter/Makefile.am:
	* gst/debug/Makefile.am:
	* gst/effectv/Makefile.am:
	* gst/goom/Makefile.am:
	* gst/level/Makefile.am:
	* gst/smpte/Makefile.am:
	* gst/videofilter/Makefile.am:
	  Fix build with LDFLAGS='-Wl,-z,defs' (#410997)

2007-02-23  Jan Schmidt  <thaytan@mad.scientist.com>

	* gst/rtsp/Makefile.am:
	* gst/rtsp/rtspconnection.c: (append_auth_header),
	(rtsp_connection_send), (rtsp_connection_set_auth):
	g_base64_encode is a GLib 2.12 function. Use an equivalent taken
	from icecast to replace it. Relicensed from GPL courtesy of Mike
	Smith.

2007-02-23  Jan Schmidt  <thaytan@mad.scientist.com>

	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_finalize),
	(gst_rtspsrc_create_stream), (rtsp_auth_method_to_string),
	(gst_rtspsrc_parse_auth_hdr), (gst_rtspsrc_setup_auth),
	(gst_rtspsrc_send), (gst_rtspsrc_try_send), (gst_rtspsrc_open),
	(gst_rtspsrc_close), (gst_rtspsrc_play), (gst_rtspsrc_pause),
	(gst_rtspsrc_uri_set_uri):
	* gst/rtsp/gstrtspsrc.h:
	* gst/rtsp/rtspconnection.c: (rtsp_connection_create),
	(append_auth_header), (rtsp_connection_send),
	(rtsp_connection_free), (rtsp_connection_set_auth):
	* gst/rtsp/rtspconnection.h:
	* gst/rtsp/rtspdefs.h:
	* gst/rtsp/rtspurl.c: (rtsp_url_get_request_uri):
	* gst/rtsp/rtspurl.h:

	Implement simple Basic Authentication support so that urls like
	rtsp://user:pass@hostname/rtspstream work on hosts that require
	authentication.

2007-02-22  Edgard Lima <edgard.lima@indt.org.br>

	* sys/v4l2/gstv4l2object.c:
	* sys/v4l2/gstv4l2tuner.c:
	* sys/v4l2/v4l2_calls.c:
	Fix segfault when oppening a radio device.
	
2007-02-22  Stefan Kost  <ensonic@users.sf.net>

	* gst/level/gstlevel.c: (gst_level_set_caps),
	(gst_level_transform_ip):
	* sys/v4l2/README:
	* tests/check/elements/level.c: (GST_START_TEST):
	  Fix level for multi-channel case.

2007-02-21  Stefan Kost  <ensonic@users.sf.net>

	* gst/level/gstlevel.c: (gst_level_init), (gst_level_set_caps),
	(gst_level_transform_ip):
	* gst/level/gstlevel.h:
	  Use function pointer for process function and add process functions
	  for float audio.

2007-02-19  Stefan Kost  <ensonic@users.sf.net>

	* sys/v4l2/v4l2src_calls.c: (gst_v4l2src_fill_format_list),
	(gst_v4l2src_grab_frame), (gst_v4l2src_set_capture),
	(gst_v4l2src_capture_init):
	  Readd GST_ELEMENT_ERROR if we can't reenque buffers after EIO,
	  fixes #407369

2007-02-18  Wim Taymans  <wim@fluendo.com>

	* gst/rtp/Makefile.am:
	* gst/rtp/gstrtp.c: (plugin_init):
	* gst/rtp/gstrtpmp2tpay.c: (gst_rtp_mp2t_pay_base_init),
	(gst_rtp_mp2t_pay_class_init), (gst_rtp_mp2t_pay_init),
	(gst_rtp_mp2t_pay_setcaps), (gst_rtp_mp2t_pay_handle_buffer),
	(gst_rtp_mp2t_pay_plugin_init):
	* gst/rtp/gstrtpmp2tpay.h:
	Added simple mpeg transport stream payloader.

2007-02-16  Wim Taymans  <wim@fluendo.com>

	* gst/rtsp/URLS:
	Add example H264 rtsp url.

	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_media_to_caps),
	(gst_rtspsrc_handle_message), (gst_rtspsrc_change_state):
	Don't convert values to lowercase or we might mess up base64 encoded
	properties.

2007-02-16  Wim Taymans  <wim@fluendo.com>

	* gst/rtp/README:
	Fix case of string params.

	* gst/rtp/gstrtph264depay.c: (gst_rtp_h264_depay_class_init),
	(gst_rtp_h264_depay_setcaps), (gst_rtp_h264_depay_process):
	Fix depayloader, support more packet types.
	Add sync codes to make sure the packetizer can do its job.

	* gst/rtp/gstrtpmp4gdepay.c:
	* gst/rtp/gstrtpmp4gpay.c:
	* gst/rtp/gstrtpmpvdepay.c: (gst_rtp_mpv_depay_process):
	Fix caps case again.

2007-02-15  Wim Taymans  <wim@fluendo.com>

	* gst/rtp/gstrtph264depay.c: (gst_rtp_h264_depay_process):
	Set right caps on output buffers.

2007-02-14  Wim Taymans  <wim@fluendo.com>

	* gst/rtsp/sdpmessage.c: (sdp_parse_line):
	As spotted by: Peter Kjellerstedt  <pkj at axis com>:
	Clear stack allocated SDPMedia struct before calling _init() on it.
	Clarify this in the docs as well.

2007-02-14  Jan Schmidt  <thaytan@mad.scientist.com>

	* ext/gconf/gstgconfaudiosink.c: (gst_gconf_audio_sink_reset),
	(do_change_child):
	Don't reset the profile when going switching states, as it makes
	the element non-reusable.

2007-02-14  Wim Taymans  <wim@fluendo.com>

	* gst/rtsp/sdpmessage.c: (sdp_origin_init), (sdp_connection_init),
	(sdp_bandwidth_init), (sdp_time_init), (sdp_zone_init),
	(sdp_key_init), (sdp_attribute_init), (sdp_message_init),
	(sdp_message_uninit), (sdp_message_free), (sdp_media_init),
	(sdp_media_uninit), (sdp_media_free), (sdp_message_add_media),
	(sdp_parse_line):
	* gst/rtsp/sdpmessage.h:
	Based on patch by: jp.liu <jp_liu at astrocom dot cn>
	Fix memory management of SDP messages. Fixes #407793.

2007-02-14  Stefan Kost  <ensonic@users.sf.net>

	Patch by: zhangfei gao <gaozhangfei@yahoo.com.cn>

	* gst/avi/gstavimux.c: (gst_avi_mux_vidsink_set_caps):
	Allow muxing video/x-h264 (was already in the caps). Fixes #407780.

2007-02-14  Wim Taymans  <wim@fluendo.com>

	Patch by: jp.liu <jp_liu at astrocom dot cn>

	* gst/rtsp/rtspurl.c: (rtsp_url_parse):
	Fix parsing of password field in url. Fixes #407797.

2007-02-14  Wim Taymans  <wim@fluendo.com>

	* gst/wavparse/gstwavparse.c: (gst_wavparse_class_init),
	(gst_wavparse_reset), (gst_wavparse_init),
	(gst_wavparse_destroy_sourcepad), (gst_wavparse_fmt),
	(gst_wavparse_parse_file_header), (gst_wavparse_stream_init),
	(gst_wavparse_perform_seek), (gst_wavparse_peek_chunk_info),
	(gst_wavparse_stream_headers), (gst_wavparse_parse_stream_init),
	(gst_wavparse_add_src_pad), (gst_wavparse_stream_data),
	(gst_wavparse_loop), (gst_wavparse_chain),
	(gst_wavparse_pad_convert), (gst_wavparse_pad_query),
	(gst_wavparse_srcpad_event), (gst_wavparse_change_state),
	(plugin_init):
	* gst/wavparse/gstwavparse.h:
	Update docs.
	Use boilerplate.
	Various code cleanups.
	When the bitrate is not known (bps == 0 or compressed formats) let
	downstream element guestimate the duration and position and don't
	generate timestamps or durations. Fixes #405213.
	Fix EOS and ERROR conditions in chain mode, we just need to forward the
	error flowreturn upstream.

2007-02-13  Jan Schmidt  <thaytan@mad.scientist.com>

	* ext/gconf/Makefile.am:
	* ext/gconf/gconf.c: (gst_gconf_get_string),
	(gst_gconf_get_key_for_sink_profile), (gst_gconf_set_string),
	(gst_gconf_render_bin_with_default):
	* ext/gconf/gconf.h:
	* ext/gconf/gstgconfaudiosink.c: (gst_gconf_audio_sink_base_init),
	(gst_gconf_audio_sink_reset), (gst_gconf_audio_sink_init),
	(gst_gconf_audio_sink_dispose), (do_change_child),
	(gst_gconf_switch_profile), (gst_gconf_audio_sink_set_property),
	(cb_change_child), (gst_gconf_audio_sink_change_state):
	* ext/gconf/gstgconfaudiosink.h:
	* ext/gconf/gstswitchsink.c: (gst_switch_sink_base_init),
	(gst_switch_sink_class_init), (gst_switch_sink_reset),
	(gst_switch_sink_init), (gst_switch_sink_dispose),
	(gst_switch_commit_new_kid), (gst_switch_sink_set_child),
	(gst_switch_sink_set_property), (gst_switch_sink_handle_event),
	(gst_switch_sink_get_property), (gst_switch_sink_change_state):
	* ext/gconf/gstswitchsink.h:
	* gst/autodetect/gstautoaudiosink.c:
	(gst_auto_audio_sink_class_init), (gst_auto_audio_sink_dispose),
	(gst_auto_audio_sink_clear_kid), (gst_auto_audio_sink_reset),
	(gst_auto_audio_sink_detect):
	* gst/autodetect/gstautovideosink.c:
	(gst_auto_video_sink_class_init), (gst_auto_video_sink_dispose),
	(gst_auto_video_sink_clear_kid), (gst_auto_video_sink_reset),
	(gst_auto_video_sink_detect):
	Re-factor the gconfaudiosink into a "GstSwitchSink" base class
	and a child that implements the GConf key monitoring. The end goal of
	this is an audio sink that can be changed on the fly, but at the 
	moment it still only changes on the next READY transition.

2007-02-13  Stefan Kost  <ensonic@users.sf.net>

	* gst/avi/gstavidemux.c: (gst_avi_demux_handle_src_query),
	(gst_avi_demux_parse_index), (gst_avi_demux_stream_index),
	(gst_avi_demux_sync), (gst_avi_demux_massage_index),
	(gst_avi_demux_calculate_durations_from_index),
	(gst_avi_demux_push_event), (gst_avi_demux_stream_header_pull),
	(gst_avi_demux_process_next_entry), (gst_avi_demux_stream_data),
	(gst_avi_demux_loop):
	  Put debug stuff into #ifndef GST_DISABLE_DEBUG #endif

2007-02-13  Stefan Kost  <ensonic@users.sf.net>

	* configure.ac:
	* docs/plugins/Makefile.am:
	  Add crossreferences to glib/gobject/gstream docs.

2007-02-12  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/monoscope/Makefile.am:
	* gst/monoscope/gstmonoscope.c:
	  Fix copy'n'paste-o in docs chunk. Also add some missing CFLAGS
	  (but no LIBS, since we only use defines from the headers).

2007-02-12  Tim-Philipp Müller  <tim at centricular dot net>

	Based on patch by: Jonathan Matthew  <jonathan at kaolin wh9 net>

	* gst/wavparse/gstwavparse.c: (gst_wavparse_parse_stream_init),
	(gst_wavparse_stream_data):
	  Fix massive memory leak when operating in streaming mode due to
	  GST_BUFFER_MALLOCDATA() not being set on newly-created buffers.
	  Fixes #407057.

2007-02-12  Stefan Kost  <ensonic@users.sf.net>

	* gst/avi/gstavidemux.c: (gst_avi_demux_class_init),
	(gst_avi_demux_reset), (gst_avi_demux_index_entry_for_time),
	(gst_avi_demux_handle_src_query), (gst_avi_demux_parse_superindex),
	(gst_avi_demux_parse_subindex), (gst_avi_demux_parse_stream),
	(gst_avi_demux_parse_index), (gst_avi_demux_stream_index),
	(gst_avi_demux_sync), (gst_avi_demux_next_data_buffer),
	(gst_avi_demux_stream_scan), (gst_avi_demux_massage_index),
	(gst_avi_demux_calculate_durations_from_index),
	(gst_avi_demux_push_event), (gst_avi_demux_stream_header_pull),
	(gst_avi_demux_do_seek), (gst_avi_demux_process_next_entry),
	(gst_avi_demux_stream_data), (gst_avi_demux_loop):
	* gst/avi/gstavidemux.h:
	  Save some memory (8%) by repacking the index entry structure (more to
	  come). Add more FIXMEs to questionable parts.

2007-02-12  Stefan Kost  <ensonic@users.sf.net>

	* sys/v4l2/gstv4l2src.c: (gst_v4l2src_v4l2fourcc_to_caps),
	(gst_v4l2src_get_caps):
	* sys/v4l2/v4l2src_calls.c: (gst_v4l2src_fill_format_list),
	(gst_v4l2src_grab_frame), (gst_v4l2src_set_capture),
	(gst_v4l2src_capture_init):
	  More FIXME comments and messaging changes.

2007-02-12  Stefan Kost  <ensonic@users.sf.net>

	* gst/goom/gstgoom.c: (gst_goom_class_init), (gst_goom_init),
	(gst_goom_change_state):
	* gst/goom/gstgoom.h:
	  Improved docs and use GST_DEBUG_FUNCPTR.

	* gst/level/gstlevel.c: (gst_level_class_init):
	  Use GST_DEBUG_FUNCPTR.

	* gst/monoscope/gstmonoscope.c: (gst_monoscope_init),
	(gst_monoscope_chain), (gst_monoscope_change_state):
	  Improved docs source cleanups.

2007-02-12  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/debug/Makefile.am:
	* gst/debug/gstdebug.c: (plugin_init):
	* gst/debug/gstpushfilesrc.c:
	* gst/debug/gstpushfilesrc.h:
	  Add code for a pushfilesrc element that implements a pushfile:// URI
	  handler, to make debugging push-mode operation of demuxer/decoders
	  that support both easier in connection with seek/playbin/etc.
	  The element isn't registered at the moment.

2007-02-11  Sébastien Moutte  <sebastien@moutte.net>

	* gst/avi/gstavimux.c:
	  Comment a #if 0 in caps template definition as VS6 seems to 
	do not support it.
	* gst/rtsp/gstrtspsrc.c:(gst_rtspsrc_loop_udp):
	  Use gst_guint64_to_gdouble for conversion.
	* gst/rtsp/rtspconnection.c:(rtsp_connection_send):
	  Move variables declaration before the first instruction.
	* gst/rtsp/rtspdefs.c:(rtsp_strresult):
	  Don't use hstrerror for error log on G_OS_WIN32 build as it's not supported.
	  And don't include netdb.h for G_OS_WIN32
	* gst/rtsp/sdpmessage.c:(sdp_parse_line):
	  This initialization SDPMedia nmedia = {.media = NULL }; is not supported
	  by VS6 then use an other way to initialize SDPMedia structure.
	* gst/udp/gstdynudpsink.h:
	* gst/udp/gstdynudpnetutils.h:
	  Do not include <sys/time.h> for G_OS_WIN32
	* gst/udp/gstudpsrc.c:
	  Define socklen_t as int for G_OS_WIN32
	* win/common/config.h.in:
	  Undef HAVE_NETINET_IN_H
	* win32/vs6/gst_plugins_good.dsw:
	* win32/vs6/libgstrtp.dsp:
	* win32/vs6/libgstrtsp.dsp:
	* win32/vs6/libgstautogen.dsp:
	* win32/vs6/libgstaudiofx.dsp:
	* win32/vs6/libgstudp.dsp:
	  Add and update project files.
	* win32/common/gstudp-enumtypes.c:
	* win32/common/gstudp-enumtypes.h:
	  Add a copy of udp enumtypes to win32/common as in core 
	  and base.
	
2007-02-11  Stefan Kost  <ensonic@users.sf.net>

	* configure.ac:
	  Activate monoscope when building with --enable-experimental. Fix
	  --enable-external configure switch description.

	* sys/sunaudio/gstsunaudiomixer.c: (gst_sunaudiomixer_base_init):
	* sys/sunaudio/gstsunaudiosrc.c: (gst_sunaudiosrc_dispose):
	  Help gst-indent.

2007-02-09  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/avi/gstavimux.c: (gst_avi_mux_riff_get_avi_header):
	  Explicitly cast result of pointer arithmetic to integer in order to
	  avoid compiler warnings on some 64-bit systems. Should fix #406018.

2007-02-08  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/debug/progressreport.c:
	  Some more docs.

2007-02-07  Tim-Philipp Müller  <tim at centricular dot net>

	* docs/plugins/inspect/plugin-rtp.xml:
	  Update for new elements.

	* gst/debug/progressreport.h:
	  Commit newly-created header file as well.

2007-02-07  Tim-Philipp Müller  <tim at centricular dot net>

	* docs/plugins/Makefile.am:
	* docs/plugins/gst-plugins-good-plugins-docs.sgml:
	* docs/plugins/gst-plugins-good-plugins-sections.txt:
	* docs/plugins/gst-plugins-good-plugins.hierarchy:
	* gst/debug/Makefile.am:
	* gst/debug/progressreport.c: (gst_progress_report_post_progress),
	(gst_progress_report_do_query), (gst_progress_report_report):
	  Make progressreport element post messages with the current progress
	  on the bus. Also add some basic docs for it.

2007-01-30  Tim-Philipp Müller  <tim at centricular dot net>

	* ext/hal/hal.c: (gst_hal_get_string):
	* ext/hal/hal.h:
	  Some small cleanups; deal with errors when parsing the HAL ALSA
	  capabilities a bit better.

2007-02-06  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/smpte/gstsmpte.c: (gst_smpte_transition_type_get_type):
	  Let's try this again and use the right cast this time.

2007-02-06  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/smpte/gstsmpte.c: (gst_smpte_transition_type_get_type):
	  Add cast to avoid compiler warnings with older GLib versions
	  where the nick/name members in GEnumValue are not declared as
	  constant strings.

2007-02-06  Tim-Philipp Müller  <tim at centricular dot net>

	* ext/gconf/gconf.c: (gst_gconf_get_key_for_sink_profile),
	(gst_gconf_render_bin_from_key),
	(gst_gconf_get_default_audio_sink):
	* ext/gconf/gconf.h:
	* ext/gconf/gstgconfaudiosink.c: (get_gconf_key_for_profile),
	(do_toggle_element), (gst_gconf_audio_sink_set_property),
	(gst_gconf_audio_sink_get_property):
	  In gconfaudiosink, get the right key as the old key in do_toggle
	  (ie. one dependent on the profile selected). Log some more stuff so
	  we can see what's actually going on.

2007-02-06  Sebastian Dröge  <slomo@circular-chaos.org>

	* gst/audiofx/audioamplify.c: (gst_audio_amplify_base_init),
	(gst_audio_amplify_class_init), (gst_audio_amplify_init),
	(gst_audio_amplify_set_process_function),
	(gst_audio_amplify_setup):
	* gst/audiofx/audioamplify.h:
	* gst/audiofx/audioinvert.c: (gst_audio_invert_base_init),
	(gst_audio_invert_class_init), (gst_audio_invert_setup):
	* gst/audiofx/audioinvert.h:
	Some small cleanups and port both elements to the new GstAudioFilter
	base class to save a few lines of common code.
	* gst/audiofx/Makefile.am:
	Link against libgstaudio for the above changes

2007-01-29  Wim Taymans  <wim@fluendo.com>

	* tests/check/elements/.cvsignore:
	Some more ignores.

2007-01-26  Wim Taymans  <wim@fluendo.com>

	Patch by: charles <charlesg3 at gmail dot com>

	* ext/shout2/gstshout2.c: (gst_shout2send_init),
	(set_shout_metadata), (gst_shout2send_event):
	* ext/shout2/gstshout2.h:
	Properly handle tags in shout2send. Fixes #399825.

2007-01-25  Wim Taymans  <wim@fluendo.com>

	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_media_to_caps),
	(gst_rtspsrc_activate_streams):
	Convert SDP fields to upper/lowercase following the rules in the SDP to
	caps document. 

2007-01-25  Wim Taymans  <wim@fluendo.com>

	* gst/rtp/README:
	* gst/rtp/gstrtpilbcdepay.c:
	* gst/rtp/gstrtpilbcpay.c:
	* gst/rtp/gstrtpmp4gdepay.c:
	* gst/rtp/gstrtpmp4gpay.c:
	* gst/rtp/gstrtpspeexdepay.c:
	* gst/rtp/gstrtpspeexpay.c:
	* gst/rtp/gstrtpsv3vdepay.c:
	* gst/rtp/gstrtptheoradepay.c:
	* gst/rtp/gstrtptheorapay.c:
	* gst/rtp/gstrtpvorbisdepay.c:
	* gst/rtp/gstrtpvorbispay.c:
	Fix case of encoding-name and key/value pairs to match the document.
	This is to make interoperation with SDP case-insensitive as required by
	the relevant RFCs.

2007-01-25  Wim Taymans  <wim@fluendo.com>

	* configure.ac:
	Bump required -core/-base to CVS

2007-01-25  Wim Taymans  <wim@fluendo.com>

	* gst/rtp/gstrtpL16pay.c: (gst_rtp_L16_pay_setcaps),
	(gst_rtp_L16_pay_flush), (gst_rtp_L16_pay_handle_buffer):
	* gst/rtp/gstrtpL16pay.h:
	Fill up to MTU using adapter.
	Timestamp rtp packets.

2007-01-25  Edward Hervey  <edward@fluendo.com>

	* gst/multipart/multipartmux.c: (gst_multipart_mux_collected):
	* sys/ximage/ximageutil.c: (ximageutil_check_xshm_calls):
	Use G_GSIZE_FORMAT in print statements for portability.
	Fixes build on macosx.

2007-01-24  Wim Taymans  <wim@fluendo.com>

	* gst/rtp/Makefile.am:
	* gst/rtp/gstrtp.c: (plugin_init):
	* gst/rtp/gstrtpL16depay.c: (gst_rtp_L16_depay_base_init),
	(gst_rtp_L16_depay_class_init), (gst_rtp_L16_depay_init),
	(gst_rtp_L16_depay_parse_int), (gst_rtp_L16_depay_setcaps),
	(gst_rtp_L16_depay_process), (gst_rtp_L16_depay_set_property),
	(gst_rtp_L16_depay_get_property), (gst_rtp_L16_depay_change_state),
	(gst_rtp_L16_depay_plugin_init):
	* gst/rtp/gstrtpL16depay.h:
	* gst/rtp/gstrtpL16pay.c: (gst_rtp_L16_pay_get_type),
	(gst_rtp_L16_pay_base_init), (gst_rtp_L16_pay_class_init),
	(gst_rtp_L16_pay_init), (gst_rtp_L16_pay_finalize),
	(gst_rtp_L16_pay_setcaps), (gst_rtp_L16_pay_handle_buffer),
	(gst_rtp_L16_pay_plugin_init):
	* gst/rtp/gstrtpL16pay.h:
	Port and enable raw audio payloader/depayloader. Needs a bit more work
	on the payloader side.

2007-01-24  Wim Taymans  <wim@fluendo.com>

	* gst/rtsp/gstrtspsrc.c: (pad_blocked),
	(gst_rtspsrc_stream_configure_transport),
	(gst_rtspsrc_activate_streams), (gst_rtspsrc_loop_udp):
	* gst/rtsp/gstrtspsrc.h:
	Only unblock the udp pads when we linked and activated them all.
	Fixes #395688.

2007-01-24  Wim Taymans  <wim@fluendo.com>

	* gst/rtp/Makefile.am:
	* gst/rtp/gstrtp.c: (plugin_init):
	* gst/rtp/gstrtpac3depay.c: (gst_rtp_ac3_depay_base_init),
	(gst_rtp_ac3_depay_class_init), (gst_rtp_ac3_depay_init),
	(gst_rtp_ac3_depay_setcaps), (gst_rtp_ac3_depay_process),
	(gst_rtp_ac3_depay_set_property), (gst_rtp_ac3_depay_get_property),
	(gst_rtp_ac3_depay_change_state), (gst_rtp_ac3_depay_plugin_init):
	* gst/rtp/gstrtpac3depay.h:
	Added simple AC3 depayloader (RFC 4184).

	* gst/rtp/gstrtpmp2tdepay.c: (gst_rtp_mp2t_depay_setcaps):
	Fix a leak.

2007-01-24  Sebastian Dröge  <slomo@circular-chaos.org>

	reviewed by: Stefan Kost  <ensonic@users.sf.net>

	* gst/audiofx/Makefile.am:
	* gst/audiofx/audioamplify.c:
	(gst_audio_amplify_clipping_method_get_type),
	(gst_audio_amplify_base_init), (gst_audio_amplify_class_init),
	(gst_audio_amplify_init), (gst_audio_amplify_set_process_function),
	(gst_audio_amplify_set_property), (gst_audio_amplify_get_property),
	(gst_audio_amplify_set_caps),
	(gst_audio_amplify_transform_int_clip),
	(gst_audio_amplify_transform_int_wrap_negative),
	(gst_audio_amplify_transform_int_wrap_positive),
	(gst_audio_amplify_transform_float_clip),
	(gst_audio_amplify_transform_float_wrap_negative),
	(gst_audio_amplify_transform_float_wrap_positive),
	(gst_audio_amplify_transform_ip):
	* gst/audiofx/audioamplify.h:
	* gst/audiofx/audiofx.c: (plugin_init):
	Add new element "audioamplify". This allows scaling of raw audio
	samples, similar to the "volume" element, but provides different modes
	for clipping and allows unlimited amplification. It's mainly targeted
	for creative sound design and not as a replacement of the "volume"
	element. Fixes #397162
	* docs/plugins/Makefile.am:
	* docs/plugins/gst-plugins-good-plugins-docs.sgml:
	* docs/plugins/gst-plugins-good-plugins-sections.txt:
	* docs/plugins/gst-plugins-good-plugins.args:
	* docs/plugins/inspect/plugin-audiofx.xml:
	Add docs for audioamplify and integrate them into the build system
	* tests/check/Makefile.am:
	* tests/check/elements/audioamplify.c: (setup_amplify),
	(cleanup_amplify), (GST_START_TEST), (amplify_suite), (main):
	Add fairly extensive unit test suite for audioamplify

2007-01-24  Wim Taymans  <wim@fluendo.com>

	* gst/rtsp/gstrtspsrc.c: (pad_unblocked), (pad_blocked):
	Unblock pads after adding the pads to the element so that autopluggers
	get a change to link something. Possibly fixes #395688.

2007-01-24  Wim Taymans  <wim@fluendo.com>

	* gst/rtp/gstrtpamrdepay.c:
	* gst/rtp/gstrtpgsmdepay.c:
	* gst/rtp/gstrtph263pdepay.c:
	* gst/rtp/gstrtph263ppay.c:
	* gst/rtp/gstrtph264depay.c:
	* gst/rtp/gstrtpilbcdepay.c:
	* gst/rtp/gstrtpmp2tdepay.c:
	* gst/rtp/gstrtpmp4gdepay.c:
	* gst/rtp/gstrtpmp4gpay.c:
	* gst/rtp/gstrtpmp4vdepay.c: (gst_rtp_mp4v_depay_class_init):
	* gst/rtp/gstrtpmp4vpay.c:
	* gst/rtp/gstrtpmpadepay.c: (gst_rtp_mpa_depay_class_init),
	(gst_rtp_mpa_depay_init), (gst_rtp_mpa_depay_setcaps),
	(gst_rtp_mpa_depay_process):
	* gst/rtp/gstrtpmpvdepay.c: (gst_rtp_mpv_depay_class_init),
	(gst_rtp_mpv_depay_init), (gst_rtp_mpv_depay_process):
	* gst/rtp/gstrtppcmadepay.c:
	* gst/rtp/gstrtppcmudepay.c:
	* gst/rtp/gstrtpspeexdepay.c:
	* gst/rtp/gstrtpspeexpay.c:
	* gst/rtp/gstrtpsv3vdepay.c:
	* gst/rtp/gstrtptheoradepay.c:
	* gst/rtp/gstrtptheorapay.c:
	* gst/rtp/gstrtpvorbisdepay.c:
	* gst/rtp/gstrtpvorbispay.c:
	Fix caps with payload numbers.
	Add some fixed payload numbers to caps when possible.

2007-01-23  Sebastian Dröge  <slomo@circular-chaos.org>

	reviewed by: Stefan Kost  <ensonic@users.sf.net>

	* gst/audiofx/Makefile.am:
	* gst/audiofx/audiofx.c: (plugin_init):
	* gst/audiofx/audioinvert.c: (gst_audio_invert_base_init),
	(gst_audio_invert_class_init), (gst_audio_invert_init),
	(gst_audio_invert_set_property), (gst_audio_invert_get_property),
	(gst_audio_invert_set_caps), (gst_audio_invert_transform_int),
	(gst_audio_invert_transform_float),
	(gst_audio_invert_transform_ip):
	* gst/audiofx/audioinvert.h:
	Add new audiofx element "audioinvert". This element swaps the upper
	and lower half of samples and can be used for example for a
	wide-stereo effect. Fixes #396057
	* docs/plugins/Makefile.am:
	* docs/plugins/gst-plugins-good-plugins-docs.sgml:
	* docs/plugins/gst-plugins-good-plugins-sections.txt:
	* docs/plugins/gst-plugins-good-plugins.args:
	* docs/plugins/inspect/plugin-audiofx.xml:
	Add docs for the audioinvert element and add them to the build system.
	* tests/check/Makefile.am:
	* tests/check/elements/audioinvert.c: (setup_invert),
	(cleanup_invert), (GST_START_TEST), (invert_suite), (main):
	Add unit test suite for the audioinvert element.

2007-01-23  Wim Taymans  <wim@fluendo.com>

	* gst/rtp/gstrtpmp4gdepay.c: (gst_rtp_mp4g_depay_parse_int),
	(gst_rtp_mp4g_depay_setcaps), (gst_rtp_mp4g_depay_process):
	Parse config params as string and int.
	Parse and use AU header length

2007-01-23  Wim Taymans  <wim@fluendo.com>

	* gst/smpte/barboxwipes.c: (gst_wipe_boxes_draw),
	(gst_wipe_triangles_clock_draw), (gst_wipe_triangles_draw):
	* gst/smpte/gstmask.c: (_gst_mask_register):
	* gst/smpte/gstmask.h:
	* gst/smpte/gstsmpte.c: (gst_smpte_update_mask):
	* gst/smpte/paint.c: (gst_smpte_paint_hbox), (draw_bresenham_line),
	(gst_smpte_paint_triangle_clock):
	constify some static structs.
	Don't update the mask if nothing changed to the params.
	Make sure we never draw outside of the picture. Fixes #398325.

2007-01-22  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/avi/gstavidemux.c: (gst_avi_demux_stream_header_pull):
	  Error out properly when pull_range fails while we're reading the
	  headers, instead of just pausing the task silently. Fixes #399338.

2007-01-19  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/smpte/gstsmpte.c: (gst_smpte_collected):
	  Some more sanity checks to make sure the input formats match and the
	  input pads are actually negotiated, in case someone tries to feed
	  buffers from fakesrc or filesrc. Fixes #398299.
	  Also const-ify an array, just because we can.

2007-01-19  Edward Hervey  <edward@fluendo.com>

	* gst/smpte/gstsmpte.c: (fill_i420), (gst_smpte_collected):
	Ignore previous commit, that was only valid for widths and heights
	that are multiples of 4.
	Copy over size/stride macros from jpegdec. This allows the element
	to work with any width,height...
	... but puts in evidence that the actual transformations only work
	with width/height that are multiples of 4.

2007-01-19  Edward Hervey  <edward@fluendo.com>

	* gst/smpte/gstsmpte.c: (gst_smpte_collected):
	Allocate buffers of the right size.
	The proper size of a I420 buffer in bytes is:
	
	    width * height * 3
	    ------------------
	            2

2007-01-18  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/smpte/gstsmpte.c: (gst_smpte_init):
	  Proxy getcaps on sink pads too, so that we either end up with the
	  same dimensions on all pads or error out if that's not possible
	  (seems to work even!). Fixes #398086, I think.

2007-01-18  Tim-Philipp Müller  <tim at centricular dot net>

	* docs/plugins/gst-plugins-good-plugins-docs.sgml:
	* docs/plugins/gst-plugins-good-plugins.args:
	* docs/plugins/gst-plugins-good-plugins.hierarchy:
	  Remove ladspa from docs; add hierarchy info for GstAudioPanorama;
	  fix integer properties with -1 as minimum value.

	* docs/plugins/inspect/plugin-1394.xml:
	* docs/plugins/inspect/plugin-aasink.xml:
	* docs/plugins/inspect/plugin-alaw.xml:
	* docs/plugins/inspect/plugin-alpha.xml:
	* docs/plugins/inspect/plugin-alphacolor.xml:
	* docs/plugins/inspect/plugin-annodex.xml:
	* docs/plugins/inspect/plugin-apetag.xml:
	* docs/plugins/inspect/plugin-audiofx.xml:
	* docs/plugins/inspect/plugin-auparse.xml:
	* docs/plugins/inspect/plugin-autodetect.xml:
	* docs/plugins/inspect/plugin-avi.xml:
	* docs/plugins/inspect/plugin-cacasink.xml:
	* docs/plugins/inspect/plugin-cairo.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-cutter.xml:
	* docs/plugins/inspect/plugin-debug.xml:
	* docs/plugins/inspect/plugin-dv.xml:
	* docs/plugins/inspect/plugin-efence.xml:
	* docs/plugins/inspect/plugin-effectv.xml:
	* docs/plugins/inspect/plugin-esdsink.xml:
	* docs/plugins/inspect/plugin-flac.xml:
	* docs/plugins/inspect/plugin-flxdec.xml:
	* docs/plugins/inspect/plugin-gconfelements.xml:
	* docs/plugins/inspect/plugin-gdkpixbuf.xml:
	* docs/plugins/inspect/plugin-goom.xml:
	* docs/plugins/inspect/plugin-halelements.xml:
	* docs/plugins/inspect/plugin-icydemux.xml:
	* docs/plugins/inspect/plugin-id3demux.xml:
	* docs/plugins/inspect/plugin-jpeg.xml:
	* docs/plugins/inspect/plugin-level.xml:
	* docs/plugins/inspect/plugin-matroska.xml:
	* docs/plugins/inspect/plugin-mulaw.xml:
	* docs/plugins/inspect/plugin-multipart.xml:
	* docs/plugins/inspect/plugin-navigationtest.xml:
	* docs/plugins/inspect/plugin-ossaudio.xml:
	* docs/plugins/inspect/plugin-png.xml:
	* docs/plugins/inspect/plugin-rtp.xml:
	* docs/plugins/inspect/plugin-rtsp.xml:
	* docs/plugins/inspect/plugin-shout2send.xml:
	* docs/plugins/inspect/plugin-smpte.xml:
	* docs/plugins/inspect/plugin-speex.xml:
	* docs/plugins/inspect/plugin-taglib.xml:
	* docs/plugins/inspect/plugin-udp.xml:
	* docs/plugins/inspect/plugin-videobalance.xml:
	* docs/plugins/inspect/plugin-videobox.xml:
	* docs/plugins/inspect/plugin-videoflip.xml:
